[Touch-packages] [Bug 1568485] Re: kernel: audit: type=1400 audit(1460259033.648:34): apparmor="DENIED" operation="sendmsg" info="Failed name lookup - disconnected path" error=-13

2016-04-12 Thread dino99
apparmor 2.10.95-0ubuntu2 might fix this issue (Bug #1569316)

** Changed in: apparmor (Ubuntu)
   Status: Confirmed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1568485

Title:
  kernel: audit: type=1400 audit(1460259033.648:34): apparmor="DENIED"
  operation="sendmsg" info="Failed name lookup - disconnected path"
  error=-13

Status in apparmor package in Ubuntu:
  Incomplete

Bug description:
  Get this logged on a fully upgraded 64 desktop (proposed archive
  enabled)

  kernel: audit: type=1400 audit(1460259033.648:34): apparmor="DENIED"
  operation="sendmsg" info="Failed name lookup - disconnected path"
  error=-13 profile="/sbin/dhclient" name="run/systemd/journal/dev-log"
  pid=1102 comm="dhclient" requested_mask="w" denied_mask="w" fsuid=0
  ouid=0

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: apparmor 2.10.95-0ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia_modeset nvidia
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Sun Apr 10 12:23:56 2016
  ProcKernelCmdline: BOOT_IMAGE=/boot/vmlinuz-4.4.0-18-generic 
root=UUID=7c755ed6-51cc-4b75-88ac-9c75acf82749 ro
  SourcePackage: apparmor
  Syslog:
   
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor/+bug/1568485/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1560759] Re: packagekitd crashed with SIGSEGV in strlen()error just appeared at log in no apps open

2016-04-12 Thread Apport retracing service
** Tags added: bugpattern-needed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to packagekit in Ubuntu.
https://bugs.launchpad.net/bugs/1560759

Title:
  packagekitd crashed with SIGSEGV in strlen()error just appeared at log
  in no apps open

Status in packagekit package in Ubuntu:
  Confirmed

Bug description:
  Error appears only at log in, no apps open.. Error pops up before
  Launch bar loads!

  ProblemType: Crash
  DistroRelease: Ubuntu 16.04
  Package: packagekit 0.8.17-4ubuntu6~gcc5.4ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-15.31-generic 4.4.6
  Uname: Linux 4.4.0-15-generic x86_64
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  Date: Tue Mar 22 00:09:17 2016
  ExecutablePath: /usr/lib/packagekit/packagekitd
  InstallationDate: Installed on 2015-12-09 (104 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  ProcCmdline: /usr/lib/packagekit/packagekitd
  ProcEnviron:
   LANG=en_CA.UTF-8
   LANGUAGE=en_CA:en
   PATH=(custom, no user)
   SHELL=/bin/sh
  Signal: 11
  SourcePackage: packagekit
  StacktraceTop:
   strlen () at ../sysdeps/x86_64/strlen.S:106
   __add_to_environ (name=0x7f49a27719ef "http_proxy", value=0x0, combined=0x0, 
replace=1) at setenv.c:131
   AptIntf::init() () from 
/usr/lib/x86_64-linux-gnu/packagekit-backend/libpk_backend_aptcc.so
   ?? () from 
/usr/lib/x86_64-linux-gnu/packagekit-backend/libpk_backend_aptcc.so
   ?? ()
  Title: packagekitd crashed with SIGSEGV in strlen()
  UpgradeStatus: Upgraded to xenial on 2016-03-22 (0 days ago)
  UserGroups:

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/packagekit/+bug/1560759/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569676] Re: packagekitd crashed with SIGSEGV in strlen()

2016-04-12 Thread Apport retracing service
*** This bug is a duplicate of bug 1560759 ***
https://bugs.launchpad.net/bugs/1560759

Thank you for taking the time to report this crash and helping to make
this software better.  This particular crash has already been reported
and is a duplicate of bug #1560759, so is being marked as such.  Please
look at the other bug report to see if there is any missing information
that you can provide, or to see if there is a workaround for the bug.
Additionally, any further discussion regarding the bug should occur in
the other report.  Please continue to report any other bugs you may
find.

** Attachment removed: "CoreDump.gz"
   
https://bugs.launchpad.net/bugs/1569676/+attachment/4634996/+files/CoreDump.gz

** Attachment removed: "Disassembly.txt"
   
https://bugs.launchpad.net/bugs/1569676/+attachment/4634998/+files/Disassembly.txt

** Attachment removed: "ProcMaps.txt"
   
https://bugs.launchpad.net/bugs/1569676/+attachment/4635000/+files/ProcMaps.txt

** Attachment removed: "ProcStatus.txt"
   
https://bugs.launchpad.net/bugs/1569676/+attachment/4635001/+files/ProcStatus.txt

** Attachment removed: "Registers.txt"
   
https://bugs.launchpad.net/bugs/1569676/+attachment/4635002/+files/Registers.txt

** Attachment removed: "Stacktrace.txt"
   
https://bugs.launchpad.net/bugs/1569676/+attachment/4635004/+files/Stacktrace.txt

** Attachment removed: "ThreadStacktrace.txt"
   
https://bugs.launchpad.net/bugs/1569676/+attachment/4635005/+files/ThreadStacktrace.txt

** This bug has been marked a duplicate of bug 1560759
   packagekitd crashed with SIGSEGV in strlen()error just appeared at log in no 
apps open

** Information type changed from Private to Public

** Tags removed: need-amd64-retrace

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to packagekit in Ubuntu.
https://bugs.launchpad.net/bugs/1569676

Title:
  packagekitd crashed with SIGSEGV in strlen()

Status in packagekit package in Ubuntu:
  New

Bug description:
  Error occurred after logging in.

  ProblemType: Crash
  DistroRelease: Ubuntu 16.04
  Package: packagekit 0.8.17-4ubuntu6~gcc5.4ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-15.31-generic 4.4.6
  Uname: Linux 4.4.0-15-generic x86_64
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  Date: Tue Apr 12 20:56:30 2016
  ExecutablePath: /usr/lib/packagekit/packagekitd
  InstallationDate: Installed on 2016-04-10 (3 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Beta amd64 (20160323)
  ProcCmdline: /usr/lib/packagekit/packagekitd
  ProcEnviron:
   LANG=en_US.UTF-8
   PATH=(custom, no user)
   SHELL=/bin/sh
  Signal: 11
  SourcePackage: packagekit
  StacktraceTop:
   strlen () at ../sysdeps/x86_64/strlen.S:106
   __add_to_environ (name=0x7fdd6c1a89ef "http_proxy", value=0x0, combined=0x0, 
replace=1) at setenv.c:131
   AptIntf::init() () from 
/usr/lib/x86_64-linux-gnu/packagekit-backend/libpk_backend_aptcc.so
   ?? () from 
/usr/lib/x86_64-linux-gnu/packagekit-backend/libpk_backend_aptcc.so
   ?? ()
  Title: packagekitd crashed with SIGSEGV in strlen()
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups:

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/packagekit/+bug/1569676/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569679] [NEW] lxc failed to do lxc-checkpoint again

2016-04-12 Thread Cui Wei
Public bug reported:

When doing lxc-checkpoint, it replies:

lxc-checkpoint: criu.c: do_dump: 879 dump failed with 1

Checkpointing xxx failed.



About my ENV:

# uname -a
Linux ubuntu 4.4.0-18-generic #34-Ubuntu SMP Wed Apr 6 14:01:02 UTC 2016 x86_64 
x86_64 x86_64 GNU/Linux

# lsb_release -a
Distributor ID: Ubuntu
Description:Ubuntu Xenial Xerus (development branch)
Release:16.04
Codename:   xenial

# apt-cache policy lxc
lxc:
  Installed: 2.0.0-0ubuntu1
  Candidate: 2.0.0-0ubuntu1
  Version table:
 *** 2.0.0-0ubuntu1 500
500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
100 /var/lib/dpkg/status

# apt-cache policy criu
criu:
  Installed: 2.0-2ubuntu3
  Candidate: 2.0-2ubuntu3
  Version table:
 *** 2.0-2ubuntu3 500
500 http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
100 /var/lib/dpkg/status



ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: lxc 2.0.0-0ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
Uname: Linux 4.4.0-18-generic x86_64
NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
ApportVersion: 2.20.1-0ubuntu1
Architecture: amd64
Date: Wed Apr 13 12:44:20 2016
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=zh_CN:zh
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=zh_CN.UTF-8
 SHELL=/bin/bash
SourcePackage: lxc
UpgradeStatus: No upgrade log present (probably fresh install)
defaults.conf:
 lxc.network.type = veth
 lxc.network.link = lxcbr0
 lxc.network.flags = up
 lxc.network.hwaddr = 00:16:3e:xx:xx:xx

** Affects: lxc (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apparmor apport-bug xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lxc in Ubuntu.
https://bugs.launchpad.net/bugs/1569679

Title:
  lxc failed to do lxc-checkpoint again

Status in lxc package in Ubuntu:
  New

Bug description:
  When doing lxc-checkpoint, it replies:

  lxc-checkpoint: criu.c: do_dump: 879 dump failed with 1

  Checkpointing xxx failed.

  

  About my ENV:

  # uname -a
  Linux ubuntu 4.4.0-18-generic #34-Ubuntu SMP Wed Apr 6 14:01:02 UTC 2016 
x86_64 x86_64 x86_64 GNU/Linux

  # lsb_release -a
  Distributor ID:   Ubuntu
  Description:  Ubuntu Xenial Xerus (development branch)
  Release:  16.04
  Codename: xenial

  # apt-cache policy lxc
  lxc:
Installed: 2.0.0-0ubuntu1
Candidate: 2.0.0-0ubuntu1
Version table:
   *** 2.0.0-0ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  100 /var/lib/dpkg/status

  # apt-cache policy criu
  criu:
Installed: 2.0-2ubuntu3
Candidate: 2.0-2ubuntu3
Version table:
   *** 2.0-2ubuntu3 500
  500 http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
  100 /var/lib/dpkg/status

  

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: lxc 2.0.0-0ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  Date: Wed Apr 13 12:44:20 2016
  PackageArchitecture: all
  ProcEnviron:
   LANGUAGE=zh_CN:zh
   TERM=xterm-256color
   PATH=(custom, no user)
   LANG=zh_CN.UTF-8
   SHELL=/bin/bash
  SourcePackage: lxc
  UpgradeStatus: No upgrade log present (probably fresh install)
  defaults.conf:
   lxc.network.type = veth
   lxc.network.link = lxcbr0
   lxc.network.flags = up
   lxc.network.hwaddr = 00:16:3e:xx:xx:xx

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lxc/+bug/1569679/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569674] Re: Fail to connect to wifi after a recent update

2016-04-12 Thread Avishay
I believe that the update that cause this bug was released yesterday. My
system was up-to-date two days ago (no updates available) and the issue
started after I installed the updates yesterday

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1569674

Title:
  Fail to connect to wifi after a recent update

Status in network-manager package in Ubuntu:
  New

Bug description:
  I installed the recent updates in the Update Manager and after rebooting I 
wasn't able to connect to my wifi network anymore.
  It attempts to connect to the network and fails with the following error 
message:

  Failed to update connection [network name]
  connection.gateway-ping-timeout: can not set property:
  value "46730064" of type 'guint' is invalid or out of range for property 
'gateway-ping-timeout' of type 'guint'

  I am able to use wired connection.

  1. release:
  Description:Ubuntu Xenial Xerus (development branch)
  Release:16.04

  2. network-manager version:
  network-manager:
Installed: 1.1.93-0ubuntu3
Candidate: 1.1.93-0ubuntu3
Version table:
   *** 1.1.93-0ubuntu3 500
  500 http://il.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  100 /var/lib/dpkg/status

  3. I expected the machine to connect to wifi as always

  4. it failed to connect with the above error message

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: network-manager 1.1.93-0ubuntu2
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: KDE
  Date: Wed Apr 13 06:37:27 2016
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  InstallationDate: Installed on 2016-04-01 (11 days ago)
  InstallationMedia: Kubuntu 16.04 LTS "Xenial Xerus" - Beta amd64 (20160331)
  IpRoute:
   default via 10.100.102.1 dev enp0s31f6  proto static  metric 100 
   10.100.102.0/24 dev enp0s31f6  proto kernel  scope link  src 10.100.102.5  
metric 100 
   169.254.0.0/16 dev enp0s31f6  scope link  metric 1000
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=false
   WWANEnabled=false
   WimaxEnabled=true
  RfKill:
   0: phy0: Wireless LAN
Soft blocked: yes
Hard blocked: no
  SourcePackage: network-manager
  UpgradeStatus: No upgrade log present (probably fresh install)
  mtime.conffile..etc.NetworkManager.NetworkManager.conf: 
2016-04-12T22:28:14.870844
  nmcli-dev:
   DEVICE TYPE  STATEDBUS-PATH  
CONNECTION  CON-UUID  CON-PATH  
 
   enp0s31f6  ethernet  connected/org/freedesktop/NetworkManager/Devices/0  
Wired connection 1  d956dc0d-4de6-4f45-8869-a3703d8d0d28  
/org/freedesktop/NetworkManager/ActiveConnection/1 
   wlp4s0 wifi  unavailable  /org/freedesktop/NetworkManager/Devices/2  
--  ----
 
   lo loopback  unmanaged/org/freedesktop/NetworkManager/Devices/1  
--  ----
  nmcli-nm: Error: command ['nmcli', '-f', 'all', 'nm'] failed with exit code 
2: Error: Object 'nm' is unknown, try 'nmcli help'.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1569674/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1530464] Re: [GA-MA770T-UD3P, Realtek ALC888, Green Line Out, Rear] No sound at all

2016-04-12 Thread Launchpad Bug Tracker
[Expired for alsa-driver (Ubuntu) because there has been no activity for
60 days.]

** Changed in: alsa-driver (Ubuntu)
   Status: Incomplete => Expired

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1530464

Title:
  [GA-MA770T-UD3P, Realtek ALC888, Green Line Out, Rear] No sound at all

Status in alsa-driver package in Ubuntu:
  Expired

Bug description:
  after several  attempts to remove, re-install and reload the pulse audio as 
well as confirming alsa mixer settings and mute settings, sound is no longer 
coming out of speakers on 14.04 after something was installed.
  Steps included downgrading Skype version which did not help.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu4
  ProcVersionSignature: Ubuntu 3.19.0-42.48~14.04.1-generic 3.19.8-ckt10
  Uname: Linux 3.19.0-42-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 2.14.1-0ubuntu3.19
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Fri Jan  1 13:37:48 2016
  InstallationDate: Installed on 2015-11-02 (60 days ago)
  InstallationMedia: Ubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64 (20150805)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_AlsaPlaybackTest: ALSA playback test through plughw:SB failed
  Symptom_Card: Built-in Audio - HDA ATI SB
  Symptom_Jack: Green Line Out, Rear
  Symptom_Type: No sound at all
  Title: [GA-MA770T-UD3P, Realtek ALC888, Green Line Out, Rear] No sound at all
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 03/22/2011
  dmi.bios.vendor: Award Software International, Inc.
  dmi.bios.version: F12
  dmi.board.name: GA-MA770T-UD3P
  dmi.board.vendor: Gigabyte Technology Co., Ltd.
  dmi.chassis.type: 3
  dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
  dmi.modalias: 
dmi:bvnAwardSoftwareInternational,Inc.:bvrF12:bd03/22/2011:svnGigabyteTechnologyCo.,Ltd.:pnGA-MA770T-UD3P:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-MA770T-UD3P:rvr:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
  dmi.product.name: GA-MA770T-UD3P
  dmi.sys.vendor: Gigabyte Technology Co., Ltd.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1530464/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569674] [NEW] Fail to connect to wifi after a recent update

2016-04-12 Thread Avishay
Public bug reported:

I installed the recent updates in the Update Manager and after rebooting I 
wasn't able to connect to my wifi network anymore.
It attempts to connect to the network and fails with the following error 
message:

Failed to update connection [network name]
connection.gateway-ping-timeout: can not set property:
value "46730064" of type 'guint' is invalid or out of range for property 
'gateway-ping-timeout' of type 'guint'

I am able to use wired connection.

1. release:
Description:Ubuntu Xenial Xerus (development branch)
Release:16.04

2. network-manager version:
network-manager:
  Installed: 1.1.93-0ubuntu3
  Candidate: 1.1.93-0ubuntu3
  Version table:
 *** 1.1.93-0ubuntu3 500
500 http://il.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
100 /var/lib/dpkg/status

3. I expected the machine to connect to wifi as always

4. it failed to connect with the above error message

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: network-manager 1.1.93-0ubuntu2
ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
Uname: Linux 4.4.0-18-generic x86_64
ApportVersion: 2.20.1-0ubuntu1
Architecture: amd64
CurrentDesktop: KDE
Date: Wed Apr 13 06:37:27 2016
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
InstallationDate: Installed on 2016-04-01 (11 days ago)
InstallationMedia: Kubuntu 16.04 LTS "Xenial Xerus" - Beta amd64 (20160331)
IpRoute:
 default via 10.100.102.1 dev enp0s31f6  proto static  metric 100 
 10.100.102.0/24 dev enp0s31f6  proto kernel  scope link  src 10.100.102.5  
metric 100 
 169.254.0.0/16 dev enp0s31f6  scope link  metric 1000
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=false
 WWANEnabled=false
 WimaxEnabled=true
RfKill:
 0: phy0: Wireless LAN
Soft blocked: yes
Hard blocked: no
SourcePackage: network-manager
UpgradeStatus: No upgrade log present (probably fresh install)
mtime.conffile..etc.NetworkManager.NetworkManager.conf: 
2016-04-12T22:28:14.870844
nmcli-dev:
 DEVICE TYPE  STATEDBUS-PATH  
CONNECTION  CON-UUID  CON-PATH  
 
 enp0s31f6  ethernet  connected/org/freedesktop/NetworkManager/Devices/0  
Wired connection 1  d956dc0d-4de6-4f45-8869-a3703d8d0d28  
/org/freedesktop/NetworkManager/ActiveConnection/1 
 wlp4s0 wifi  unavailable  /org/freedesktop/NetworkManager/Devices/2  
--  ----
 
 lo loopback  unmanaged/org/freedesktop/NetworkManager/Devices/1  
--  ----
nmcli-nm: Error: command ['nmcli', '-f', 'all', 'nm'] failed with exit code 2: 
Error: Object 'nm' is unknown, try 'nmcli help'.

** Affects: network-manager (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug network wifi xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1569674

Title:
  Fail to connect to wifi after a recent update

Status in network-manager package in Ubuntu:
  New

Bug description:
  I installed the recent updates in the Update Manager and after rebooting I 
wasn't able to connect to my wifi network anymore.
  It attempts to connect to the network and fails with the following error 
message:

  Failed to update connection [network name]
  connection.gateway-ping-timeout: can not set property:
  value "46730064" of type 'guint' is invalid or out of range for property 
'gateway-ping-timeout' of type 'guint'

  I am able to use wired connection.

  1. release:
  Description:Ubuntu Xenial Xerus (development branch)
  Release:16.04

  2. network-manager version:
  network-manager:
Installed: 1.1.93-0ubuntu3
Candidate: 1.1.93-0ubuntu3
Version table:
   *** 1.1.93-0ubuntu3 500
  500 http://il.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  100 /var/lib/dpkg/status

  3. I expected the machine to connect to wifi as always

  4. it failed to connect with the above error message

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: network-manager 1.1.93-0ubuntu2
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: KDE
  Date: Wed Apr 13 06:37:27 2016
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  InstallationDate: Installed on 2016-04-01 (11 days ago)
  InstallationMedia: Kubuntu 16.04 LTS "Xenial Xerus" - Beta amd64 (20160331)
  IpRoute:
   default via 10.100.102.1 dev enp0s31f6  proto static  metric 100 
   10.100.102.0/24 dev enp0s31f6  proto kernel  scope link  src 10.100.102.5  

[Touch-packages] [Bug 1561302] Re: gdm won't allow passwordless login

2016-04-12 Thread Tim
** Patch added: "casper patch"
   
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1561302/+attachment/4634981/+files/casper-passwd.debdiff

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1561302

Title:
  gdm won't allow passwordless login

Status in gdm:
  Confirmed
Status in Ubuntu GNOME:
  Triaged
Status in casper package in Ubuntu:
  Triaged
Status in gdm3 package in Ubuntu:
  Fix Released
Status in gnome-shell package in Ubuntu:
  Invalid
Status in pam package in Ubuntu:
  Invalid

Bug description:
  The Live session user does not have a password set, however gdm won't
  allow login in this case since the "Sign In" button is disabled.

  Normally this should be too much of an issue, since the login screen
  should only be hit on logout from the live session, some people are
  reporting hitting the gdm login screen on boot due to ubiquity-dm
  failing to boot.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: gdm3 3.18.2-1ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-15.31-generic 4.4.6
  Uname: Linux 4.4.0-15-generic x86_64
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Thu Mar 24 13:55:19 2016
  InstallationDate: Installed on 2016-03-23 (0 days ago)
  InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Beta amd64 
(20160323)
  SourcePackage: gdm3
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/gdm/+bug/1561302/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1561302] Re: gdm won't allow passwordless login

2016-04-12 Thread Tim
-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1561302

Title:
  gdm won't allow passwordless login

Status in gdm:
  Confirmed
Status in Ubuntu GNOME:
  Triaged
Status in casper package in Ubuntu:
  Triaged
Status in gdm3 package in Ubuntu:
  Fix Released
Status in gnome-shell package in Ubuntu:
  Invalid
Status in pam package in Ubuntu:
  Invalid

Bug description:
  The Live session user does not have a password set, however gdm won't
  allow login in this case since the "Sign In" button is disabled.

  Normally this should be too much of an issue, since the login screen
  should only be hit on logout from the live session, some people are
  reporting hitting the gdm login screen on boot due to ubiquity-dm
  failing to boot.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: gdm3 3.18.2-1ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-15.31-generic 4.4.6
  Uname: Linux 4.4.0-15-generic x86_64
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Thu Mar 24 13:55:19 2016
  InstallationDate: Installed on 2016-03-23 (0 days ago)
  InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Beta amd64 
(20160323)
  SourcePackage: gdm3
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/gdm/+bug/1561302/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569573] Re: recent snapd path renames causes apparmor to not load profiles on boot

2016-04-12 Thread Jamie Strandboge
** Changed in: apparmor (Ubuntu)
   Status: In Progress => Fix Committed

** Changed in: snappy
   Status: New => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1569573

Title:
  recent snapd path renames causes apparmor to not load profiles on boot

Status in Snappy:
  Fix Committed
Status in apparmor package in Ubuntu:
  Fix Committed

Bug description:
  /lib/apparmor/functions has this:
  PROFILES_SNAPPY="/var/lib/snappy/apparmor/profiles"

  The recent snappy path renames move the profiles to
  /var/lib/snapd/apparmor/profiles so now snappy apparmor profiles are
  not loading on boot.

  apparmor needs this change:
  PROFILES_SNAPPY="/var/lib/snapd/apparmor/profiles"

To manage notifications about this bug go to:
https://bugs.launchpad.net/snappy/+bug/1569573/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569653] [NEW] NetworkManager plugin for 'team' unavailable

2016-04-12 Thread Jim Tang
Public bug reported:

Versions:
OS: 16.04 amd64 daily build
nmcli 1.0.4
network-manager: 1.0.4-0ubuntu

Symptom:
while creating a team connection with nmcli/nmtui, actions can be done but 
failed while activating team connection because no 'team' plugin avaulable.

Reproduce the issue:
$ nmcli c a type team ifname team0 con-name team0 config 
'{"runner":{"name":"lacp"}}' 
$ for dev in eno1 eno2 eno3 eno4; do
nmcli c a type team-slave ifname $dev con-name teamport-$dev master 
team0
   done
$ nmcli c up team0 

Error: Connection activation failed: NetworkManager plugin for 'team'
unavailable

** Affects: network-manager (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1569653

Title:
  NetworkManager plugin for 'team' unavailable

Status in network-manager package in Ubuntu:
  New

Bug description:
  Versions:
  OS: 16.04 amd64 daily build
  nmcli 1.0.4
  network-manager: 1.0.4-0ubuntu

  Symptom:
  while creating a team connection with nmcli/nmtui, actions can be done but 
failed while activating team connection because no 'team' plugin avaulable.

  Reproduce the issue:
  $ nmcli c a type team ifname team0 con-name team0 config 
'{"runner":{"name":"lacp"}}' 
  $ for dev in eno1 eno2 eno3 eno4; do
  nmcli c a type team-slave ifname $dev con-name teamport-$dev master 
team0
 done
  $ nmcli c up team0 

  Error: Connection activation failed: NetworkManager plugin for 'team'
  unavailable

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1569653/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1568787] Re: resolvconf does not reliable receive nameserver information from NetworkManager

2016-04-12 Thread Tim Kuhlman
Another possible workaround I have used is to comment out the line
"dns=dnsmasq" in /etc/NetworkManager/NetworkManager.conf

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to dbus in Ubuntu.
https://bugs.launchpad.net/bugs/1568787

Title:
  resolvconf does not reliable receive nameserver information from
  NetworkManager

Status in dbus package in Ubuntu:
  Confirmed
Status in dnsmasq package in Ubuntu:
  Confirmed
Status in network-manager package in Ubuntu:
  Confirmed

Bug description:
  resolvconf does not reliable receive nameserver information from
  NetworkManager.

  In the journal I see things like:

  Apr 11 11:13:52 ottawa dnsmasq[3122]: setting upstream servers from DBus
  Apr 11 11:13:52 ottawa dnsmasq[3122]: using nameserver fe80::1#53
  Apr 11 11:13:52 ottawa dnsmasq[3122]: using nameserver 192.168.1.254#53
  Apr 11 11:13:52 ottawa dbus[978]: [system] Rejected send message, 13 matched 
rules; type="method_return", sender=":1.99" (uid=0 pid=3122 
comm="/usr/sbin/dnsmasq --no-resolv --keep-in-foreground") interface="(unset)" 
member="(unset)" error name="(unset)" requested_reply="0" destination=":1.8" 
(uid=0 pid=1017 comm="/usr/sbin/NetworkManager --no-daemon ")

  Apr 11 11:04:21 ottawa NetworkManager[1017]:   DNS: starting dnsmasq...
  Apr 11 11:04:21 ottawa NetworkManager[1017]:   dnsmasq not available on 
the bus, can't update servers.
  Apr 11 11:04:21 ottawa NetworkManager[1017]:  [1460369061.825658] 
[dns-manager/nm-dns-dnsmasq.c:387] update(): dnsmasq owner not found on bus: 
Could not get owner of name 'org.freedesktop.NetworkManager.dnsmasq': no such 
name

  Doing this via dbus seems really odd, but I suspect messages between
  NetworkManager and the dnsmasq it spawns should not be rejected.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: dnsmasq-base 2.75-1
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Mon Apr 11 11:17:34 2016
  InstallationDate: Installed on 2016-01-26 (76 days ago)
  InstallationMedia: Ubuntu-Server 16.04 LTS "Xenial Xerus" - Alpha amd64 
(20160125)
  SourcePackage: dnsmasq
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dbus/+bug/1568787/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1568787] Re: resolvconf does not reliable receive nameserver information from NetworkManager

2016-04-12 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: network-manager (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to dbus in Ubuntu.
https://bugs.launchpad.net/bugs/1568787

Title:
  resolvconf does not reliable receive nameserver information from
  NetworkManager

Status in dbus package in Ubuntu:
  Confirmed
Status in dnsmasq package in Ubuntu:
  Confirmed
Status in network-manager package in Ubuntu:
  Confirmed

Bug description:
  resolvconf does not reliable receive nameserver information from
  NetworkManager.

  In the journal I see things like:

  Apr 11 11:13:52 ottawa dnsmasq[3122]: setting upstream servers from DBus
  Apr 11 11:13:52 ottawa dnsmasq[3122]: using nameserver fe80::1#53
  Apr 11 11:13:52 ottawa dnsmasq[3122]: using nameserver 192.168.1.254#53
  Apr 11 11:13:52 ottawa dbus[978]: [system] Rejected send message, 13 matched 
rules; type="method_return", sender=":1.99" (uid=0 pid=3122 
comm="/usr/sbin/dnsmasq --no-resolv --keep-in-foreground") interface="(unset)" 
member="(unset)" error name="(unset)" requested_reply="0" destination=":1.8" 
(uid=0 pid=1017 comm="/usr/sbin/NetworkManager --no-daemon ")

  Apr 11 11:04:21 ottawa NetworkManager[1017]:   DNS: starting dnsmasq...
  Apr 11 11:04:21 ottawa NetworkManager[1017]:   dnsmasq not available on 
the bus, can't update servers.
  Apr 11 11:04:21 ottawa NetworkManager[1017]:  [1460369061.825658] 
[dns-manager/nm-dns-dnsmasq.c:387] update(): dnsmasq owner not found on bus: 
Could not get owner of name 'org.freedesktop.NetworkManager.dnsmasq': no such 
name

  Doing this via dbus seems really odd, but I suspect messages between
  NetworkManager and the dnsmasq it spawns should not be rejected.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: dnsmasq-base 2.75-1
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Mon Apr 11 11:17:34 2016
  InstallationDate: Installed on 2016-01-26 (76 days ago)
  InstallationMedia: Ubuntu-Server 16.04 LTS "Xenial Xerus" - Alpha amd64 
(20160125)
  SourcePackage: dnsmasq
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dbus/+bug/1568787/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1384374] Re: Dash pauses/stutters during scope switching left/right

2016-04-12 Thread Daniel van Vugt
** Tags added: performance

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1384374

Title:
  Dash pauses/stutters during scope switching left/right

Status in unity8 package in Ubuntu:
  Triaged
Status in unity8 package in Ubuntu RTM:
  New

Bug description:
  Dash pauses/stutters during scope switching left/right.

  Watching the log:   tail -f ~/.cache/upstart/unity8-dash.log

  I can see error messages flood out whenever the dash pauses/stutters
  during left/right swipes:

  
file:///usr/lib/arm-linux-gnueabihf/unity8/qml/Dash/createCardComponent:120:1: 
QML Label: Binding loop detected for property "height"
  
file:///usr/lib/arm-linux-gnueabihf/unity8/qml/Dash/createCardComponent:120:1: 
QML Label: Binding loop detected for property "height"
  
file:///usr/lib/arm-linux-gnueabihf/unity8/qml/Dash/createCardComponent:120:1: 
QML Label: Binding loop detected for property "height"
  
file:///usr/lib/arm-linux-gnueabihf/unity8/qml/Dash/createCardComponent:120:1: 
QML Label: Binding loop detected for property "height"
  
file:///usr/lib/arm-linux-gnueabihf/unity8/qml/Dash/createCardComponent:120:1: 
QML Label: Binding loop detected for property "height"
  
file:///usr/lib/arm-linux-gnueabihf/unity8/qml/Dash/createCardComponent:120:1: 
QML Label: Binding loop detected for property "height"
  
file:///usr/lib/arm-linux-gnueabihf/unity8/qml/Dash/createCardComponent:120:1: 
QML Label: Binding loop detected for property "height"
  
file:///usr/lib/arm-linux-gnueabihf/unity8/qml/Dash/createCardComponent:120:1: 
QML Label: Binding loop detected for property "height"
  
file:///usr/lib/arm-linux-gnueabihf/unity8/qml/Dash/createCardComponent:120:1: 
QML Label: Binding loop detected for property "height"
  
file:///usr/lib/arm-linux-gnueabihf/unity8/qml/Dash/createCardComponent:120:1: 
QML Label: Binding loop detected for property "height"
  
file:///usr/lib/arm-linux-gnueabihf/unity8/qml/Dash/createCardComponent:120:1: 
QML Label: Binding loop detected for property "height"

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unity8/+bug/1384374/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1568787] Re: resolvconf does not reliable receive nameserver information from NetworkManager

2016-04-12 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: dnsmasq (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to dbus in Ubuntu.
https://bugs.launchpad.net/bugs/1568787

Title:
  resolvconf does not reliable receive nameserver information from
  NetworkManager

Status in dbus package in Ubuntu:
  Confirmed
Status in dnsmasq package in Ubuntu:
  Confirmed
Status in network-manager package in Ubuntu:
  Confirmed

Bug description:
  resolvconf does not reliable receive nameserver information from
  NetworkManager.

  In the journal I see things like:

  Apr 11 11:13:52 ottawa dnsmasq[3122]: setting upstream servers from DBus
  Apr 11 11:13:52 ottawa dnsmasq[3122]: using nameserver fe80::1#53
  Apr 11 11:13:52 ottawa dnsmasq[3122]: using nameserver 192.168.1.254#53
  Apr 11 11:13:52 ottawa dbus[978]: [system] Rejected send message, 13 matched 
rules; type="method_return", sender=":1.99" (uid=0 pid=3122 
comm="/usr/sbin/dnsmasq --no-resolv --keep-in-foreground") interface="(unset)" 
member="(unset)" error name="(unset)" requested_reply="0" destination=":1.8" 
(uid=0 pid=1017 comm="/usr/sbin/NetworkManager --no-daemon ")

  Apr 11 11:04:21 ottawa NetworkManager[1017]:   DNS: starting dnsmasq...
  Apr 11 11:04:21 ottawa NetworkManager[1017]:   dnsmasq not available on 
the bus, can't update servers.
  Apr 11 11:04:21 ottawa NetworkManager[1017]:  [1460369061.825658] 
[dns-manager/nm-dns-dnsmasq.c:387] update(): dnsmasq owner not found on bus: 
Could not get owner of name 'org.freedesktop.NetworkManager.dnsmasq': no such 
name

  Doing this via dbus seems really odd, but I suspect messages between
  NetworkManager and the dnsmasq it spawns should not be rejected.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: dnsmasq-base 2.75-1
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Mon Apr 11 11:17:34 2016
  InstallationDate: Installed on 2016-01-26 (76 days ago)
  InstallationMedia: Ubuntu-Server 16.04 LTS "Xenial Xerus" - Alpha amd64 
(20160125)
  SourcePackage: dnsmasq
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dbus/+bug/1568787/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1568787] Re: resolvconf does not reliable receive nameserver information from NetworkManager

2016-04-12 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: dbus (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to dbus in Ubuntu.
https://bugs.launchpad.net/bugs/1568787

Title:
  resolvconf does not reliable receive nameserver information from
  NetworkManager

Status in dbus package in Ubuntu:
  Confirmed
Status in dnsmasq package in Ubuntu:
  Confirmed
Status in network-manager package in Ubuntu:
  Confirmed

Bug description:
  resolvconf does not reliable receive nameserver information from
  NetworkManager.

  In the journal I see things like:

  Apr 11 11:13:52 ottawa dnsmasq[3122]: setting upstream servers from DBus
  Apr 11 11:13:52 ottawa dnsmasq[3122]: using nameserver fe80::1#53
  Apr 11 11:13:52 ottawa dnsmasq[3122]: using nameserver 192.168.1.254#53
  Apr 11 11:13:52 ottawa dbus[978]: [system] Rejected send message, 13 matched 
rules; type="method_return", sender=":1.99" (uid=0 pid=3122 
comm="/usr/sbin/dnsmasq --no-resolv --keep-in-foreground") interface="(unset)" 
member="(unset)" error name="(unset)" requested_reply="0" destination=":1.8" 
(uid=0 pid=1017 comm="/usr/sbin/NetworkManager --no-daemon ")

  Apr 11 11:04:21 ottawa NetworkManager[1017]:   DNS: starting dnsmasq...
  Apr 11 11:04:21 ottawa NetworkManager[1017]:   dnsmasq not available on 
the bus, can't update servers.
  Apr 11 11:04:21 ottawa NetworkManager[1017]:  [1460369061.825658] 
[dns-manager/nm-dns-dnsmasq.c:387] update(): dnsmasq owner not found on bus: 
Could not get owner of name 'org.freedesktop.NetworkManager.dnsmasq': no such 
name

  Doing this via dbus seems really odd, but I suspect messages between
  NetworkManager and the dnsmasq it spawns should not be rejected.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: dnsmasq-base 2.75-1
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Mon Apr 11 11:17:34 2016
  InstallationDate: Installed on 2016-01-26 (76 days ago)
  InstallationMedia: Ubuntu-Server 16.04 LTS "Xenial Xerus" - Alpha amd64 
(20160125)
  SourcePackage: dnsmasq
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dbus/+bug/1568787/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569649] Re: NetworkManager-wait-online.service not enabled after network-manager installation

2016-04-12 Thread Brad Cowie
** Description changed:

  The network-manager package (1.1.93-0ubuntu3) in xenial disables
  NetworkManager-wait-online.service on installation in the postinst
  script which causes issues mounting remote filesystems such as NFS on
  boot.
  
- The issue was fixed in #1430280 for vivid and #1515446 for wily/xenial
- but it seems that the fix was reverted in xenial in version
+ The issue was fixed in lp:#1430280 for vivid and lp:#1515446 for
+ wily/xenial but it seems that the fix was reverted in xenial in version
  1.1.93-0ubuntu1 of the package.
  
- I've tried the patch from #1515446 with the newer network-manager
+ I've tried the patch from lp:#1515446 with the newer network-manager
  version and that seems to fix the issue again.

** Description changed:

  The network-manager package (1.1.93-0ubuntu3) in xenial disables
  NetworkManager-wait-online.service on installation in the postinst
  script which causes issues mounting remote filesystems such as NFS on
  boot.
  
- The issue was fixed in lp:#1430280 for vivid and lp:#1515446 for
+ The issue was fixed in lp: #1430280 for vivid and lp: #1515446 for
  wily/xenial but it seems that the fix was reverted in xenial in version
  1.1.93-0ubuntu1 of the package.
  
- I've tried the patch from lp:#1515446 with the newer network-manager
+ I've tried the patch from lp: #1515446 with the newer network-manager
  version and that seems to fix the issue again.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1569649

Title:
  NetworkManager-wait-online.service not enabled after network-manager
  installation

Status in network-manager package in Ubuntu:
  New

Bug description:
  The network-manager package (1.1.93-0ubuntu3) in xenial disables
  NetworkManager-wait-online.service on installation in the postinst
  script which causes issues mounting remote filesystems such as NFS on
  boot.

  The issue was fixed in lp: #1430280 for vivid and lp: #1515446 for
  wily/xenial but it seems that the fix was reverted in xenial in
  version 1.1.93-0ubuntu1 of the package.

  I've tried the patch from lp: #1515446 with the newer network-manager
  version and that seems to fix the issue again.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1569649/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569649] [NEW] NetworkManager-wait-online.service not enabled after network-manager installation

2016-04-12 Thread Brad Cowie
Public bug reported:

The network-manager package (1.1.93-0ubuntu3) in xenial disables
NetworkManager-wait-online.service on installation in the postinst
script which causes issues mounting remote filesystems such as NFS on
boot.

The issue was fixed in lp: #1430280 for vivid and lp: #1515446 for
wily/xenial but it seems that the fix was reverted in xenial in version
1.1.93-0ubuntu1 of the package.

I've tried the patch from lp: #1515446 with the newer network-manager
version and that seems to fix the issue again.

** Affects: network-manager (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1569649

Title:
  NetworkManager-wait-online.service not enabled after network-manager
  installation

Status in network-manager package in Ubuntu:
  New

Bug description:
  The network-manager package (1.1.93-0ubuntu3) in xenial disables
  NetworkManager-wait-online.service on installation in the postinst
  script which causes issues mounting remote filesystems such as NFS on
  boot.

  The issue was fixed in lp: #1430280 for vivid and lp: #1515446 for
  wily/xenial but it seems that the fix was reverted in xenial in
  version 1.1.93-0ubuntu1 of the package.

  I've tried the patch from lp: #1515446 with the newer network-manager
  version and that seems to fix the issue again.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1569649/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1561302] Re: gdm won't allow passwordless login

2016-04-12 Thread Tim
** Changed in: gdm3 (Ubuntu)
 Assignee: Tim (darkxst) => (unassigned)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1561302

Title:
  gdm won't allow passwordless login

Status in gdm:
  Confirmed
Status in Ubuntu GNOME:
  Triaged
Status in casper package in Ubuntu:
  Triaged
Status in gdm3 package in Ubuntu:
  Fix Released
Status in gnome-shell package in Ubuntu:
  Invalid
Status in pam package in Ubuntu:
  Invalid

Bug description:
  The Live session user does not have a password set, however gdm won't
  allow login in this case since the "Sign In" button is disabled.

  Normally this should be too much of an issue, since the login screen
  should only be hit on logout from the live session, some people are
  reporting hitting the gdm login screen on boot due to ubiquity-dm
  failing to boot.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: gdm3 3.18.2-1ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-15.31-generic 4.4.6
  Uname: Linux 4.4.0-15-generic x86_64
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Thu Mar 24 13:55:19 2016
  InstallationDate: Installed on 2016-03-23 (0 days ago)
  InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Beta amd64 
(20160323)
  SourcePackage: gdm3
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/gdm/+bug/1561302/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1539009] Re: Mouse cursor is unusably slow in Unity 8 with a 1000Hz mouse

2016-04-12 Thread Daniel van Vugt
** Changed in: mir/0.20
   Status: Triaged => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1539009

Title:
  Mouse cursor is unusably slow in Unity 8 with a 1000Hz mouse

Status in Mir:
  Fix Released
Status in Mir 0.20 series:
  Won't Fix
Status in QtMir:
  Invalid
Status in mir package in Ubuntu:
  Fix Released
Status in qtmir package in Ubuntu:
  Invalid
Status in unity8 package in Ubuntu:
  Invalid

Bug description:
  Logging in to Unity8 on desktop (xenial) the mouse cursor moves
  glacially slow. I have to move the mouse across the whole desk to get
  anywhere. This is surprising given bug 1524145 shows the opposite is
  happening in the Mir demo servers.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: unity8 8.11+16.04.20160122-0ubuntu1
  ProcVersionSignature: Ubuntu 4.3.0-7.18-generic 4.3.3
  Uname: Linux 4.3.0-7-generic x86_64
  ApportVersion: 2.19.4-0ubuntu1
  Architecture: amd64
  Date: Thu Jan 28 18:32:27 2016
  InstallationDate: Installed on 2015-12-03 (56 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151202)
  SourcePackage: unity8
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1539009/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1568897] Re: Disable Guest Access by default.

2016-04-12 Thread Robert Ancell
** Package changed: lightdm (Ubuntu) => unity-control-center (Ubuntu)

** Also affects: lightdm (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: lightdm (Ubuntu)
   Status: New => Triaged

** Changed in: unity-control-center (Ubuntu)
   Status: New => Triaged

** Changed in: unity-control-center (Ubuntu)
   Importance: Undecided => Wishlist

** Changed in: lightdm (Ubuntu)
   Importance: Undecided => Wishlist

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lightdm in Ubuntu.
https://bugs.launchpad.net/bugs/1568897

Title:
  Disable Guest Access by default.

Status in lightdm package in Ubuntu:
  Triaged
Status in unity-control-center package in Ubuntu:
  Triaged

Bug description:
  "Guest Access" should be disabled by default. It is an unexpected
  "feature", on an otherwise secure system. Until a GUI option is added
  (https://bugs.launchpad.net/ubuntu/+source/gnome-control-
  center/+bug/886415), it is also an un-intuitive feature to disable.

  I've found it only invites trouble. For me, trouble had the face of my
  children while I was at work. =) They found that they were able to use
  my laptop, without logging in.

  Then on their PC they found that, while logged into their account,
  using the "Guest Access" bypassed the proxy settings setup in their
  Firefox profile.

  Please consider defaulting both pre-logon and post-logon Guest Access
  to off.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/1568897/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1553353] Re: tail'ing a file in a script session hangs

2016-04-12 Thread Bug Watch Updater
** Changed in: util-linux (Debian)
   Status: Unknown => New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to util-linux in Ubuntu.
https://bugs.launchpad.net/bugs/1553353

Title:
  tail'ing a file in a script session hangs

Status in util-linux package in Ubuntu:
  Confirmed
Status in util-linux source package in Xenial:
  Confirmed
Status in util-linux package in Debian:
  New

Bug description:
  Steps to reproduce:

  1) Start script session (same issue when script is saving to /dev/null)
  script # or: script /dev/null
  2) Tail a file
  tailf /var/log/syslog
  3) Press "Enter" 2 times
  4) Notice the script process taking 100% CPU

  This regression was introduced upstream by this commit:
  https://git.kernel.org/cgit/utils/util-linux/util-
  linux.git/commit/?id=54c6611d6f7b73609a5331f4d0bcf63c4af6429e

  $ lsb_release -rd
  Description:  Ubuntu Xenial Xerus (development branch)
  Release:  16.04

  $ apt-cache policy util-linux bsdutils coreutils
  util-linux:
    Installed: 2.27.1-4ubuntu1
    Candidate: 2.27.1-4ubuntu1
    Version table:
   *** 2.27.1-4ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
  100 /var/lib/dpkg/status
   2.27.1-3ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  bsdutils:
    Installed: 1:2.27.1-4ubuntu1
    Candidate: 1:2.27.1-4ubuntu1
    Version table:
   *** 1:2.27.1-4ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
  100 /var/lib/dpkg/status
   1:2.27.1-3ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  coreutils:
    Installed: 8.25-2ubuntu2
    Candidate: 8.25-2ubuntu2
    Version table:
   *** 8.25-2ubuntu2 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  100 /var/lib/dpkg/status

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: util-linux 2.27.1-4ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-10.25-generic 4.4.3
  Uname: Linux 4.4.0-10-generic x86_64
  NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Fri Mar  4 15:14:15 2016
  SourcePackage: util-linux
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/util-linux/+bug/1553353/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1325142] Re: failure to update libpam-systemd in 14.04 due to missing logind init script

2016-04-12 Thread Dustin Kirkland 
I am reopening the Trusty task, as I've re-confirmed this bug in 14.04
chroot.  apt upgrading will fail on libpam-systemd:

root@x250:/# apt dist-upgrade
Reading package lists... Done
Building dependency tree   
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  libfreetype6 os-prober
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
E: Can not write log (Is /dev/pts mounted?) - openpty (2: No such file or 
directory)
Setting up libpam-systemd:amd64 (204-5ubuntu20.19) ...
initctl: Unable to connect to Upstart: Failed to connect to socket 
/com/ubuntu/upstart: Connection refused
invoke-rc.d: unknown initscript, /etc/init.d/systemd-logind not found.
runlevel:/var/run/utmp: No such file or directory
dpkg: error processing package libpam-systemd:amd64 (--configure):
 subprocess installed post-installation script returned error exit status 100
Errors were encountered while processing:
 libpam-systemd:amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)

Note that I can work around this by disabling policy-rc.d and initctl as
such:

#!/bin/sh

# Ensure that apt upgrades work in Ubuntu on Windows
# environments, which do not use Ubuntu's /sbin/init
# Install a dummy, exit-non-zero policy-rc.d
cat >/usr/sbin/policy-rc.d < Confirmed

** Changed in: systemd (Ubuntu Trusty)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1325142

Title:
  failure to update libpam-systemd in 14.04 due to missing logind init
  script

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Trusty:
  Confirmed
Status in systemd source package in Utopic:
  Fix Released

Bug description:
  Hi,

  while running inside an i386 lubuntu 14.04 chroot, upgrading libpam-
  systemd to version 204-5ubuntu20.2 fails leaving dpkg in a broken
  state. 'apt-get -f install' from within the chroot will not fix it,
  but if the build is made bootable and put into a iso/VM you can
  recover that way in a live session.

  the problem seems to be the /var/lib/dpkg/info/libpam-systemd:i386.prerm 
script failing to bring down the logind daemon with 'invoke-rc.d systemd-logind 
stop', because invoke-rd.d is only looking for the /etc/init.d/ script (doesn't 
exist) and not /etc/init/systemd-logind.conf (does exist).
  ?

  
  Reading package lists...
  Building dependency tree...
  Reading state information...
  The following packages will be upgraded:
libpam-systemd
  1 upgraded, 0 newly installed, 0 to remove and 113 not upgraded.
  3 not fully installed or removed.
  Need to get 0 B/25.2 kB of archives.
  After this operation, 1024 B of additional disk space will be used.
  (Reading database ... 113986 files and directories currently installed.)
  Preparing to unpack .../libpam-systemd_204-5ubuntu20.2_i386.deb ...
  invoke-rc.d: unknown initscript, /etc/init.d/systemd-logind not found.
  dpkg: warning: subprocess old pre-removal script returned error exit status 
100
  dpkg: trying script from the new package instead ...
  invoke-rc.d: unknown initscript, /etc/init.d/systemd-logind not found.
  dpkg: error processing archive 
/var/cache/apt/archives/libpam-systemd_204-5ubuntu20.2_i386.deb (--unpack):
   subprocess new pre-removal script returned error exit status 100
  invoke-rc.d: unknown initscript, /etc/init.d/systemd-logind not found.
  dpkg: error while cleaning up:
   subprocess installed post-installation script returned error exit status 100
  Errors were encountered while processing:
   /var/cache/apt/archives/libpam-systemd_204-5ubuntu20.2_i386.deb
  E: Sub-process /usr/bin/dpkg returned an error code (1)

  
  Our build logs available upon request, but the scripts to setup the chroot to 
recreate it are here:

https://trac.osgeo.org/osgeo/browser/livedvd/gisvm/trunk/bin/build_chroot_nightly.sh

https://trac.osgeo.org/osgeo/browser/livedvd/gisvm/trunk/bin/inchroot_nightly.sh

  
  In a web-search I notice a few others running into the same bug,

  chatter on irc at [18:10], http://irclogs.ubuntu.com/2013/05/28
  /%23ubuntu-devel.txt

  someone else's build log:
  https://launchpad.net/~qutim/+archive/qutim/+build/6039800

  launchpad bug #1323575 seems to be a duplicate of this one.

  
  perhaps related to older launchpad bug #1305395 ?

  note we are also suffering from a failure with update-initramfs, not sure of 
the root cause of that one but I thought I'd mention it in case they were 
related, since they both started happening about the same time, a couple weeks 
ago. (launchpad bug #1317602)
  It all worked ok after the inital releases of 14.04, so 

[Touch-packages] [Bug 1537782] Re: Need to use (Q)Shortcuts instead of Keys.onPressed for shortcuts

2016-04-12 Thread Launchpad Bug Tracker
This bug was fixed in the package webbrowser-app -
0.23+16.04.20160408.1-0ubuntu1

---
webbrowser-app (0.23+16.04.20160408.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Loïc Molinari ]
  * Made AddressBar height scalable with regards to the grid units
system.

  [ Olivier Tilloy ]
  * Add dep8 tests and instructions to run them in qemu or on a phone.
Original work by Leo Arias and Vincent Ladeuil. added: debian/tests/
debian/tests/control debian/tests/touch-session-autopilot
  * Catch ESC key event one level up to ensure that it’s not incorrectly
bubbled up to the outer component. (LP: #1557016)
  * Customize the contents of the media permission dialog to avoid
truncated text. (LP: #1554220)
  * Do not write the session to a temporary file when no target file is
defined.
  * Fix a failing unit test with Qt 5.6. (LP: #1565507)
  * Fix broken webapp container autopilot tests. (LP: #1557019)
  * Fix issues with item selection in the downloads page: do not allow
selecting multiple files when only one is expected do not allow
entering delete mode (with a long press on an item) while in picker
mode (LP: #1534112, #1561575)
  * Fix unit tests when run under an sbuild chroot. (LP: #1567294)
  * Import QQuickShortcut from Qt 5.5 to properly handle window-level
keyboard shortcuts. We cannot bump the dependency on Qt to 5.5 as
the stable overlay PPA for devices currently has Qt 5.4.1. (LP:
#1542224, #1545802, #1537782)
  * Make the autopilot tests more reliable when dragging the bottom
edge. (LP: #1560109)
  * Remove workaround for bug #1526940 that was fixed in the latest
release of the UITK. (LP: #1526940)
  * Rename debian packages to follow new QML module naming convention.
(LP: #1342031)
  * Simplify the implementation of HistoryViewWide quite a bit, and as a
side effect fix a unit test failure when run against the staging
branch of the UITK. (LP: #1567337)

 -- Olivier Tilloy   Fri, 08 Apr 2016
17:07:04 +

** Changed in: webbrowser-app (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtdeclarative-opensource-
src in Ubuntu.
https://bugs.launchpad.net/bugs/1537782

Title:
  Need to use (Q)Shortcuts instead of Keys.onPressed for shortcuts

Status in Canonical System Image:
  Confirmed
Status in qtdeclarative-opensource-src package in Ubuntu:
  Invalid
Status in webbrowser-app package in Ubuntu:
  Fix Released
Status in webbrowser-app package in Ubuntu RTM:
  Fix Released

Bug description:
  On a phone with a bluetooth keyboard connected, with the following
  standalone example, if I press Ctrl+T I expect the message "Ctrl+T
  pressed" to be printed on the console, but instead the Ctrl key is
  ignored and "t" is inserted in the text field.

  import QtQuick 2.4
  Item {
    TextInput {
  anchors.centerIn: parent
  width: parent.width - 20
  height: 100
  Component.onCompleted: forceActiveFocus()
    }
    Keys.onPressed: {
  console.log("key pressed:", event.key, event.modifiers)
  if (event.key == Qt.Key_T && event.modifiers == Qt.ControlModifier) {
    console.log("Ctrl+T pressed")
    event.accepted = true
  }
    }
  }

  =

  See the discussion on https://codereview.qt-project.org/#/c/147556/,
  Qt's behaviour is correct here.

  QShortcut [1], or QML's Shortcut [2] from qt-5.5 should be used for
  this instead.

  [1] http://doc.qt.io/qt-5/qshortcut.html
  [2] http://doc.qt.io/qt-5/qml-qtquick-shortcut.html

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1537782/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1554220] Re: Text truncated in media permission prompt

2016-04-12 Thread Launchpad Bug Tracker
This bug was fixed in the package webbrowser-app -
0.23+16.04.20160408.1-0ubuntu1

---
webbrowser-app (0.23+16.04.20160408.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Loïc Molinari ]
  * Made AddressBar height scalable with regards to the grid units
system.

  [ Olivier Tilloy ]
  * Add dep8 tests and instructions to run them in qemu or on a phone.
Original work by Leo Arias and Vincent Ladeuil. added: debian/tests/
debian/tests/control debian/tests/touch-session-autopilot
  * Catch ESC key event one level up to ensure that it’s not incorrectly
bubbled up to the outer component. (LP: #1557016)
  * Customize the contents of the media permission dialog to avoid
truncated text. (LP: #1554220)
  * Do not write the session to a temporary file when no target file is
defined.
  * Fix a failing unit test with Qt 5.6. (LP: #1565507)
  * Fix broken webapp container autopilot tests. (LP: #1557019)
  * Fix issues with item selection in the downloads page: do not allow
selecting multiple files when only one is expected do not allow
entering delete mode (with a long press on an item) while in picker
mode (LP: #1534112, #1561575)
  * Fix unit tests when run under an sbuild chroot. (LP: #1567294)
  * Import QQuickShortcut from Qt 5.5 to properly handle window-level
keyboard shortcuts. We cannot bump the dependency on Qt to 5.5 as
the stable overlay PPA for devices currently has Qt 5.4.1. (LP:
#1542224, #1545802, #1537782)
  * Make the autopilot tests more reliable when dragging the bottom
edge. (LP: #1560109)
  * Remove workaround for bug #1526940 that was fixed in the latest
release of the UITK. (LP: #1526940)
  * Rename debian packages to follow new QML module naming convention.
(LP: #1342031)
  * Simplify the implementation of HistoryViewWide quite a bit, and as a
side effect fix a unit test failure when run against the staging
branch of the UITK. (LP: #1567337)

 -- Olivier Tilloy   Fri, 08 Apr 2016
17:07:04 +

** Changed in: webbrowser-app (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1554220

Title:
  Text truncated in media permission prompt

Status in Ubuntu UX:
  New
Status in webbrowser-app package in Ubuntu:
  Fix Released

Bug description:
  This appears to be the case in several languages, including English, German 
and French.
  To observe, browse to e.g. https://appear.in/foobarbaz. You’ll get a prompt 
to allow the browser to access the camera and microphone. Given that the 
question is in the title of the dialog (which is limited to 2 lines of text, 
and ellipsized), it is truncated, making it hard to understand the question at 
all.
  See attached screenshot (in French).

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-ux/+bug/1554220/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1342031] Re: Rename QML modules to follow qml-module-foo naming

2016-04-12 Thread Launchpad Bug Tracker
This bug was fixed in the package webbrowser-app -
0.23+16.04.20160408.1-0ubuntu1

---
webbrowser-app (0.23+16.04.20160408.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Loïc Molinari ]
  * Made AddressBar height scalable with regards to the grid units
system.

  [ Olivier Tilloy ]
  * Add dep8 tests and instructions to run them in qemu or on a phone.
Original work by Leo Arias and Vincent Ladeuil. added: debian/tests/
debian/tests/control debian/tests/touch-session-autopilot
  * Catch ESC key event one level up to ensure that it’s not incorrectly
bubbled up to the outer component. (LP: #1557016)
  * Customize the contents of the media permission dialog to avoid
truncated text. (LP: #1554220)
  * Do not write the session to a temporary file when no target file is
defined.
  * Fix a failing unit test with Qt 5.6. (LP: #1565507)
  * Fix broken webapp container autopilot tests. (LP: #1557019)
  * Fix issues with item selection in the downloads page: do not allow
selecting multiple files when only one is expected do not allow
entering delete mode (with a long press on an item) while in picker
mode (LP: #1534112, #1561575)
  * Fix unit tests when run under an sbuild chroot. (LP: #1567294)
  * Import QQuickShortcut from Qt 5.5 to properly handle window-level
keyboard shortcuts. We cannot bump the dependency on Qt to 5.5 as
the stable overlay PPA for devices currently has Qt 5.4.1. (LP:
#1542224, #1545802, #1537782)
  * Make the autopilot tests more reliable when dragging the bottom
edge. (LP: #1560109)
  * Remove workaround for bug #1526940 that was fixed in the latest
release of the UITK. (LP: #1526940)
  * Rename debian packages to follow new QML module naming convention.
(LP: #1342031)
  * Simplify the implementation of HistoryViewWide quite a bit, and as a
side effect fix a unit test failure when run against the staging
branch of the UITK. (LP: #1567337)

 -- Olivier Tilloy   Fri, 08 Apr 2016
17:07:04 +

** Changed in: webbrowser-app (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-system-settings-
online-accounts in Ubuntu.
Matching subscriptions: touch
https://bugs.launchpad.net/bugs/1342031

Title:
  Rename QML modules to follow qml-module-foo naming

Status in accounts-qml-module package in Ubuntu:
  Fix Released
Status in address-book-app package in Ubuntu:
  New
Status in bacon2d package in Ubuntu:
  Triaged
Status in clickmanager-plugin package in Ubuntu:
  New
Status in content-hub package in Ubuntu:
  New
Status in cordova-ubuntu package in Ubuntu:
  New
Status in dee-qt package in Ubuntu:
  New
Status in gsettings-qt package in Ubuntu:
  New
Status in history-service package in Ubuntu:
  New
Status in libhud-qt package in Ubuntu:
  Won't Fix
Status in libqofono package in Ubuntu:
  New
Status in libusermetrics package in Ubuntu:
  New
Status in mediascanner2 package in Ubuntu:
  Fix Released
Status in oxide-qt package in Ubuntu:
  New
Status in poppler-qml-plugin package in Ubuntu:
  New
Status in qml-box2d package in Ubuntu:
  New
Status in qml-friends package in Ubuntu:
  New
Status in qt3d-opensource-src package in Ubuntu:
  Fix Released
Status in qtconnectivity-opensource-src package in Ubuntu:
  Fix Released
Status in qtdeclarative-opensource-src package in Ubuntu:
  Fix Released
Status in qtfeedback-opensource-src package in Ubuntu:
  Fix Released
Status in qtgrilo package in Ubuntu:
  New
Status in qtlocation-opensource-src package in Ubuntu:
  Fix Released
Status in qtmultimedia-opensource-src package in Ubuntu:
  Fix Released
Status in qtpim-opensource-src package in Ubuntu:
  Fix Released
Status in qtquickcontrols-opensource-src package in Ubuntu:
  Fix Released
Status in qtsensors-opensource-src package in Ubuntu:
  Fix Released
Status in qtsystems-opensource-src package in Ubuntu:
  Fix Released
Status in reminders-app package in Ubuntu:
  New
Status in solid package in Ubuntu:
  New
Status in sync-monitor package in Ubuntu:
  New
Status in telephony-service package in Ubuntu:
  Triaged
Status in thumbnailer package in Ubuntu:
  Fix Released
Status in u1db-qt package in Ubuntu:
  Confirmed
Status in ubuntu-download-manager package in Ubuntu:
  Triaged
Status in ubuntu-keyboard package in Ubuntu:
  New
Status in ubuntu-settings-components package in Ubuntu:
  New
Status in ubuntu-system-settings-online-accounts package in Ubuntu:
  Fix Released
Status in ubuntu-ui-extras package in Ubuntu:
  New
Status in ubuntu-ui-toolkit package in Ubuntu:
  Fix Released
Status in ubuntuone-credentials package in Ubuntu:
  Fix Released
Status in unity-action-api package in Ubuntu:
  Triaged
Status in unity-notifications package in Ubuntu:
  New
Status in webbrowser-app package in Ubuntu:
  Fix Released
Status in ubuntu-ui-toolkit 

[Touch-packages] [Bug 1545802] Re: activeFocus not being forwarded to TextInput inside TextField

2016-04-12 Thread Launchpad Bug Tracker
This bug was fixed in the package webbrowser-app -
0.23+16.04.20160408.1-0ubuntu1

---
webbrowser-app (0.23+16.04.20160408.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Loïc Molinari ]
  * Made AddressBar height scalable with regards to the grid units
system.

  [ Olivier Tilloy ]
  * Add dep8 tests and instructions to run them in qemu or on a phone.
Original work by Leo Arias and Vincent Ladeuil. added: debian/tests/
debian/tests/control debian/tests/touch-session-autopilot
  * Catch ESC key event one level up to ensure that it’s not incorrectly
bubbled up to the outer component. (LP: #1557016)
  * Customize the contents of the media permission dialog to avoid
truncated text. (LP: #1554220)
  * Do not write the session to a temporary file when no target file is
defined.
  * Fix a failing unit test with Qt 5.6. (LP: #1565507)
  * Fix broken webapp container autopilot tests. (LP: #1557019)
  * Fix issues with item selection in the downloads page: do not allow
selecting multiple files when only one is expected do not allow
entering delete mode (with a long press on an item) while in picker
mode (LP: #1534112, #1561575)
  * Fix unit tests when run under an sbuild chroot. (LP: #1567294)
  * Import QQuickShortcut from Qt 5.5 to properly handle window-level
keyboard shortcuts. We cannot bump the dependency on Qt to 5.5 as
the stable overlay PPA for devices currently has Qt 5.4.1. (LP:
#1542224, #1545802, #1537782)
  * Make the autopilot tests more reliable when dragging the bottom
edge. (LP: #1560109)
  * Remove workaround for bug #1526940 that was fixed in the latest
release of the UITK. (LP: #1526940)
  * Rename debian packages to follow new QML module naming convention.
(LP: #1342031)
  * Simplify the implementation of HistoryViewWide quite a bit, and as a
side effect fix a unit test failure when run against the staging
branch of the UITK. (LP: #1567337)

 -- Olivier Tilloy   Fri, 08 Apr 2016
17:07:04 +

** Changed in: webbrowser-app (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-ui-toolkit in
Ubuntu.
https://bugs.launchpad.net/bugs/1545802

Title:
  activeFocus not being forwarded to TextInput inside TextField

Status in ubuntu-ui-toolkit package in Ubuntu:
  New
Status in webbrowser-app package in Ubuntu:
  Fix Released

Bug description:
  Haven’t managed to reproduce with a standalone example yet, but I can
  reliably reproduce the following issue with the browser app on a
  tablet with a bluetooth keyboard connected (this needs to be on a
  tablet so that the wide layout of the app is used, for example with a
  Nexus 7 (flo) in landscape orientation):

   1) launch the browser app with a bluetooth keyboard attached and ensure that 
the current tab is not a new tab
   2) press Ctrl+T to open a new tab

  Expected result: the address bar gets active focus so that the user
  can start entering a URL right away

  Current result: the address bar gets active focus for a fraction of a
  second, then looses it. When that happens, pressing Ctrl+L (which
  forces focus on the address bar) doesn’t fix it.

  
  I added some debugging to the browser (printing Window.activeFocusItem 
whenever it changes), and it appears that when initially forcing active focus 
on the address bar the QQuickTextInput inside it gets active focus, then looses 
it. At that point the activeFocusItem is the TextField, but it doesn’t forward 
it to QQuickTextInput inside itself.

  That situation can be remedied by using a bluetooth mouse to click on
  the address bar, which restores active focus on the QQuickTextInput.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-ui-toolkit/+bug/1545802/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1557016] Re: webbrowser_app.tests.test_keyboard.TestKeyboard.test_search_in_history fails with latest UITK

2016-04-12 Thread Launchpad Bug Tracker
This bug was fixed in the package webbrowser-app -
0.23+16.04.20160408.1-0ubuntu1

---
webbrowser-app (0.23+16.04.20160408.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Loïc Molinari ]
  * Made AddressBar height scalable with regards to the grid units
system.

  [ Olivier Tilloy ]
  * Add dep8 tests and instructions to run them in qemu or on a phone.
Original work by Leo Arias and Vincent Ladeuil. added: debian/tests/
debian/tests/control debian/tests/touch-session-autopilot
  * Catch ESC key event one level up to ensure that it’s not incorrectly
bubbled up to the outer component. (LP: #1557016)
  * Customize the contents of the media permission dialog to avoid
truncated text. (LP: #1554220)
  * Do not write the session to a temporary file when no target file is
defined.
  * Fix a failing unit test with Qt 5.6. (LP: #1565507)
  * Fix broken webapp container autopilot tests. (LP: #1557019)
  * Fix issues with item selection in the downloads page: do not allow
selecting multiple files when only one is expected do not allow
entering delete mode (with a long press on an item) while in picker
mode (LP: #1534112, #1561575)
  * Fix unit tests when run under an sbuild chroot. (LP: #1567294)
  * Import QQuickShortcut from Qt 5.5 to properly handle window-level
keyboard shortcuts. We cannot bump the dependency on Qt to 5.5 as
the stable overlay PPA for devices currently has Qt 5.4.1. (LP:
#1542224, #1545802, #1537782)
  * Make the autopilot tests more reliable when dragging the bottom
edge. (LP: #1560109)
  * Remove workaround for bug #1526940 that was fixed in the latest
release of the UITK. (LP: #1526940)
  * Rename debian packages to follow new QML module naming convention.
(LP: #1342031)
  * Simplify the implementation of HistoryViewWide quite a bit, and as a
side effect fix a unit test failure when run against the staging
branch of the UITK. (LP: #1567337)

 -- Olivier Tilloy   Fri, 08 Apr 2016
17:07:04 +

** Changed in: webbrowser-app (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1557016

Title:
  webbrowser_app.tests.test_keyboard.TestKeyboard.test_search_in_history
  fails with latest UITK

Status in webbrowser-app package in Ubuntu:
  Fix Released

Bug description:
  This test has recently started reliably failing when run on desktop
  (wide layout):

  webbrowser_app.tests.test_keyboard.TestKeyboard.test_search_in_history

  What seems to happen is that the ESC key is being pressed when the
  search field has active focus, and instead of exiting search mode, it
  exits the history view.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1557016/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1567337] Re: QmlTests::HistoryViewWide::test_delete_key_at_last_visit_date() fails with latest UITK

2016-04-12 Thread Launchpad Bug Tracker
This bug was fixed in the package webbrowser-app -
0.23+16.04.20160408.1-0ubuntu1

---
webbrowser-app (0.23+16.04.20160408.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Loïc Molinari ]
  * Made AddressBar height scalable with regards to the grid units
system.

  [ Olivier Tilloy ]
  * Add dep8 tests and instructions to run them in qemu or on a phone.
Original work by Leo Arias and Vincent Ladeuil. added: debian/tests/
debian/tests/control debian/tests/touch-session-autopilot
  * Catch ESC key event one level up to ensure that it’s not incorrectly
bubbled up to the outer component. (LP: #1557016)
  * Customize the contents of the media permission dialog to avoid
truncated text. (LP: #1554220)
  * Do not write the session to a temporary file when no target file is
defined.
  * Fix a failing unit test with Qt 5.6. (LP: #1565507)
  * Fix broken webapp container autopilot tests. (LP: #1557019)
  * Fix issues with item selection in the downloads page: do not allow
selecting multiple files when only one is expected do not allow
entering delete mode (with a long press on an item) while in picker
mode (LP: #1534112, #1561575)
  * Fix unit tests when run under an sbuild chroot. (LP: #1567294)
  * Import QQuickShortcut from Qt 5.5 to properly handle window-level
keyboard shortcuts. We cannot bump the dependency on Qt to 5.5 as
the stable overlay PPA for devices currently has Qt 5.4.1. (LP:
#1542224, #1545802, #1537782)
  * Make the autopilot tests more reliable when dragging the bottom
edge. (LP: #1560109)
  * Remove workaround for bug #1526940 that was fixed in the latest
release of the UITK. (LP: #1526940)
  * Rename debian packages to follow new QML module naming convention.
(LP: #1342031)
  * Simplify the implementation of HistoryViewWide quite a bit, and as a
side effect fix a unit test failure when run against the staging
branch of the UITK. (LP: #1567337)

 -- Olivier Tilloy   Fri, 08 Apr 2016
17:07:04 +

** Changed in: webbrowser-app (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1567337

Title:
  QmlTests::HistoryViewWide::test_delete_key_at_last_visit_date() fails
  with latest UITK

Status in webbrowser-app package in Ubuntu:
  Fix Released

Bug description:
  FAIL!  : QmlTests::HistoryViewWide::test_delete_key_at_last_visit_date() 
Compared values are not the same
 Actual   (): 0
 Expected (): 1
 Loc: [/tmp/webbrowser-app/tests/unittests/qml/tst_HistoryViewWide.qml(432)]

  This is on xenial with version
  1.3.1922+201604070817-staging-0+1.3.1872+16.04.20160314~ubuntu16.04.1
  of the UITK from https://launchpad.net/~ubuntu-sdk-
  team/+archive/ubuntu/staging. The released version
  (1.3.1872+16.04.20160330.2-0ubuntu1) doesn’t exhibit the failure.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1567337/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1557019] Re: webapp_container’s test_context_menu fails to load on touch device

2016-04-12 Thread Launchpad Bug Tracker
This bug was fixed in the package webbrowser-app -
0.23+16.04.20160408.1-0ubuntu1

---
webbrowser-app (0.23+16.04.20160408.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Loïc Molinari ]
  * Made AddressBar height scalable with regards to the grid units
system.

  [ Olivier Tilloy ]
  * Add dep8 tests and instructions to run them in qemu or on a phone.
Original work by Leo Arias and Vincent Ladeuil. added: debian/tests/
debian/tests/control debian/tests/touch-session-autopilot
  * Catch ESC key event one level up to ensure that it’s not incorrectly
bubbled up to the outer component. (LP: #1557016)
  * Customize the contents of the media permission dialog to avoid
truncated text. (LP: #1554220)
  * Do not write the session to a temporary file when no target file is
defined.
  * Fix a failing unit test with Qt 5.6. (LP: #1565507)
  * Fix broken webapp container autopilot tests. (LP: #1557019)
  * Fix issues with item selection in the downloads page: do not allow
selecting multiple files when only one is expected do not allow
entering delete mode (with a long press on an item) while in picker
mode (LP: #1534112, #1561575)
  * Fix unit tests when run under an sbuild chroot. (LP: #1567294)
  * Import QQuickShortcut from Qt 5.5 to properly handle window-level
keyboard shortcuts. We cannot bump the dependency on Qt to 5.5 as
the stable overlay PPA for devices currently has Qt 5.4.1. (LP:
#1542224, #1545802, #1537782)
  * Make the autopilot tests more reliable when dragging the bottom
edge. (LP: #1560109)
  * Remove workaround for bug #1526940 that was fixed in the latest
release of the UITK. (LP: #1526940)
  * Rename debian packages to follow new QML module naming convention.
(LP: #1342031)
  * Simplify the implementation of HistoryViewWide quite a bit, and as a
side effect fix a unit test failure when run against the staging
branch of the UITK. (LP: #1567337)

 -- Olivier Tilloy   Fri, 08 Apr 2016
17:07:04 +

** Changed in: webbrowser-app (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1557019

Title:
  webapp_container’s test_context_menu fails to load on touch device

Status in webbrowser-app package in Ubuntu:
  Fix Released

Bug description:
  This seems to be because the base class for
  TestContextMenuTextAreaMainWebView and
  TestContextMenuTextAreaOverlayWebView is being conditionally skipped.
  Skipping those two cases instead fixes the issue.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1557019/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1534112] Re: Can select multiple files in downloads view when only one expected

2016-04-12 Thread Launchpad Bug Tracker
This bug was fixed in the package webbrowser-app -
0.23+16.04.20160408.1-0ubuntu1

---
webbrowser-app (0.23+16.04.20160408.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Loïc Molinari ]
  * Made AddressBar height scalable with regards to the grid units
system.

  [ Olivier Tilloy ]
  * Add dep8 tests and instructions to run them in qemu or on a phone.
Original work by Leo Arias and Vincent Ladeuil. added: debian/tests/
debian/tests/control debian/tests/touch-session-autopilot
  * Catch ESC key event one level up to ensure that it’s not incorrectly
bubbled up to the outer component. (LP: #1557016)
  * Customize the contents of the media permission dialog to avoid
truncated text. (LP: #1554220)
  * Do not write the session to a temporary file when no target file is
defined.
  * Fix a failing unit test with Qt 5.6. (LP: #1565507)
  * Fix broken webapp container autopilot tests. (LP: #1557019)
  * Fix issues with item selection in the downloads page: do not allow
selecting multiple files when only one is expected do not allow
entering delete mode (with a long press on an item) while in picker
mode (LP: #1534112, #1561575)
  * Fix unit tests when run under an sbuild chroot. (LP: #1567294)
  * Import QQuickShortcut from Qt 5.5 to properly handle window-level
keyboard shortcuts. We cannot bump the dependency on Qt to 5.5 as
the stable overlay PPA for devices currently has Qt 5.4.1. (LP:
#1542224, #1545802, #1537782)
  * Make the autopilot tests more reliable when dragging the bottom
edge. (LP: #1560109)
  * Remove workaround for bug #1526940 that was fixed in the latest
release of the UITK. (LP: #1526940)
  * Rename debian packages to follow new QML module naming convention.
(LP: #1342031)
  * Simplify the implementation of HistoryViewWide quite a bit, and as a
side effect fix a unit test failure when run against the staging
branch of the UITK. (LP: #1567337)

 -- Olivier Tilloy   Fri, 08 Apr 2016
17:07:04 +

** Changed in: webbrowser-app (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-ui-toolkit in
Ubuntu.
https://bugs.launchpad.net/bugs/1534112

Title:
  Can select multiple files in downloads view when only one expected

Status in ubuntu-ui-toolkit package in Ubuntu:
  Invalid
Status in webbrowser-app package in Ubuntu:
  Fix Released

Bug description:
  (originally reported in bug #1528651)

  Steps to reproduce:

   1) Browse to http://www.wufoo.com/html5/attributes/07-accept.html, click the 
"Select file" button
   2) Choose the browser as a content source
   3) Tap the first download in the list to select it
   4) Tap the second download in the list to select it, the first download is 
unselected
   5) Tap the first download again, the second one is unselected
   6) Tap the second one again

  Expected result: the first download in the list is unselected, only
  the second one is selected.

  Current result: both the first and the second download are selected.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-ui-toolkit/+bug/1534112/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1565507] Re: webbrowser-app fails tests with Qt 5.6

2016-04-12 Thread Launchpad Bug Tracker
This bug was fixed in the package webbrowser-app -
0.23+16.04.20160408.1-0ubuntu1

---
webbrowser-app (0.23+16.04.20160408.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Loïc Molinari ]
  * Made AddressBar height scalable with regards to the grid units
system.

  [ Olivier Tilloy ]
  * Add dep8 tests and instructions to run them in qemu or on a phone.
Original work by Leo Arias and Vincent Ladeuil. added: debian/tests/
debian/tests/control debian/tests/touch-session-autopilot
  * Catch ESC key event one level up to ensure that it’s not incorrectly
bubbled up to the outer component. (LP: #1557016)
  * Customize the contents of the media permission dialog to avoid
truncated text. (LP: #1554220)
  * Do not write the session to a temporary file when no target file is
defined.
  * Fix a failing unit test with Qt 5.6. (LP: #1565507)
  * Fix broken webapp container autopilot tests. (LP: #1557019)
  * Fix issues with item selection in the downloads page: do not allow
selecting multiple files when only one is expected do not allow
entering delete mode (with a long press on an item) while in picker
mode (LP: #1534112, #1561575)
  * Fix unit tests when run under an sbuild chroot. (LP: #1567294)
  * Import QQuickShortcut from Qt 5.5 to properly handle window-level
keyboard shortcuts. We cannot bump the dependency on Qt to 5.5 as
the stable overlay PPA for devices currently has Qt 5.4.1. (LP:
#1542224, #1545802, #1537782)
  * Make the autopilot tests more reliable when dragging the bottom
edge. (LP: #1560109)
  * Remove workaround for bug #1526940 that was fixed in the latest
release of the UITK. (LP: #1526940)
  * Rename debian packages to follow new QML module naming convention.
(LP: #1342031)
  * Simplify the implementation of HistoryViewWide quite a bit, and as a
side effect fix a unit test failure when run against the staging
branch of the UITK. (LP: #1567337)

 -- Olivier Tilloy   Fri, 08 Apr 2016
17:07:04 +

** Changed in: webbrowser-app (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1565507

Title:
  webbrowser-app fails tests with Qt 5.6

Status in webbrowser-app package in Ubuntu:
  Fix Released

Bug description:
  Some tests are newly failing with Qt 5.6 on webbrowser-app:

  The following tests FAILED:
  2 - tst_QmlTests (Failed)
  9 - tst_TabsModelTests (OTHER_FAULT)
  ...
   6/25 Test  #9: tst_TabsModelTests ...***Exception: Other 
 0.28 sec
  = Received signal, dumping stack ==
  = End of stack trace ==
  ...
  FAIL!  : QmlTests::HistoryViewWide::test_delete_key_at_last_visit_date() 
Compared values are not the same

  https://launchpadlibrarian.net/251526902/buildlog_ubuntu-xenial-amd64
  .webbrowser-
  app_0.23+16.04.20160322-0ubuntu2~xenial1~qt560~1_BUILDING.txt.gz

  More information about Qt 5.6 at
  https://wiki.ubuntu.com/Touch/QtTesting

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1565507/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1560109] Re: webbrowser_app.tests.test_fullscreen.TestForcedFullscreen.test_disabled_user_exit_swipe_up fails on phones

2016-04-12 Thread Launchpad Bug Tracker
This bug was fixed in the package webbrowser-app -
0.23+16.04.20160408.1-0ubuntu1

---
webbrowser-app (0.23+16.04.20160408.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Loïc Molinari ]
  * Made AddressBar height scalable with regards to the grid units
system.

  [ Olivier Tilloy ]
  * Add dep8 tests and instructions to run them in qemu or on a phone.
Original work by Leo Arias and Vincent Ladeuil. added: debian/tests/
debian/tests/control debian/tests/touch-session-autopilot
  * Catch ESC key event one level up to ensure that it’s not incorrectly
bubbled up to the outer component. (LP: #1557016)
  * Customize the contents of the media permission dialog to avoid
truncated text. (LP: #1554220)
  * Do not write the session to a temporary file when no target file is
defined.
  * Fix a failing unit test with Qt 5.6. (LP: #1565507)
  * Fix broken webapp container autopilot tests. (LP: #1557019)
  * Fix issues with item selection in the downloads page: do not allow
selecting multiple files when only one is expected do not allow
entering delete mode (with a long press on an item) while in picker
mode (LP: #1534112, #1561575)
  * Fix unit tests when run under an sbuild chroot. (LP: #1567294)
  * Import QQuickShortcut from Qt 5.5 to properly handle window-level
keyboard shortcuts. We cannot bump the dependency on Qt to 5.5 as
the stable overlay PPA for devices currently has Qt 5.4.1. (LP:
#1542224, #1545802, #1537782)
  * Make the autopilot tests more reliable when dragging the bottom
edge. (LP: #1560109)
  * Remove workaround for bug #1526940 that was fixed in the latest
release of the UITK. (LP: #1526940)
  * Rename debian packages to follow new QML module naming convention.
(LP: #1342031)
  * Simplify the implementation of HistoryViewWide quite a bit, and as a
side effect fix a unit test failure when run against the staging
branch of the UITK. (LP: #1567337)

 -- Olivier Tilloy   Fri, 08 Apr 2016
17:07:04 +

** Changed in: webbrowser-app (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1560109

Title:
  
webbrowser_app.tests.test_fullscreen.TestForcedFullscreen.test_disabled_user_exit_swipe_up
  fails on phones

Status in webbrowser-app package in Ubuntu:
  Fix Released

Bug description:
  
webbrowser_app.tests.test_fullscreen.TestForcedFullscreen.test_disabled_user_exit_swipe_up
  has been consistently failing when run on phones (krillin and arale)
  for quite some time now.

  It appears that the method used to drag the bottom edge in autopilot
  tests is unreliable when in fullscreen mode.

  Note that this affects only the tests themselves, the actual
  functionality when used by a human being works well.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1560109/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1561575] Re: Can enter delete mode in downloads view while in picker mode

2016-04-12 Thread Launchpad Bug Tracker
This bug was fixed in the package webbrowser-app -
0.23+16.04.20160408.1-0ubuntu1

---
webbrowser-app (0.23+16.04.20160408.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Loïc Molinari ]
  * Made AddressBar height scalable with regards to the grid units
system.

  [ Olivier Tilloy ]
  * Add dep8 tests and instructions to run them in qemu or on a phone.
Original work by Leo Arias and Vincent Ladeuil. added: debian/tests/
debian/tests/control debian/tests/touch-session-autopilot
  * Catch ESC key event one level up to ensure that it’s not incorrectly
bubbled up to the outer component. (LP: #1557016)
  * Customize the contents of the media permission dialog to avoid
truncated text. (LP: #1554220)
  * Do not write the session to a temporary file when no target file is
defined.
  * Fix a failing unit test with Qt 5.6. (LP: #1565507)
  * Fix broken webapp container autopilot tests. (LP: #1557019)
  * Fix issues with item selection in the downloads page: do not allow
selecting multiple files when only one is expected do not allow
entering delete mode (with a long press on an item) while in picker
mode (LP: #1534112, #1561575)
  * Fix unit tests when run under an sbuild chroot. (LP: #1567294)
  * Import QQuickShortcut from Qt 5.5 to properly handle window-level
keyboard shortcuts. We cannot bump the dependency on Qt to 5.5 as
the stable overlay PPA for devices currently has Qt 5.4.1. (LP:
#1542224, #1545802, #1537782)
  * Make the autopilot tests more reliable when dragging the bottom
edge. (LP: #1560109)
  * Remove workaround for bug #1526940 that was fixed in the latest
release of the UITK. (LP: #1526940)
  * Rename debian packages to follow new QML module naming convention.
(LP: #1342031)
  * Simplify the implementation of HistoryViewWide quite a bit, and as a
side effect fix a unit test failure when run against the staging
branch of the UITK. (LP: #1567337)

 -- Olivier Tilloy   Fri, 08 Apr 2016
17:07:04 +

** Changed in: webbrowser-app (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1561575

Title:
  Can enter delete mode in downloads view while in picker mode

Status in webbrowser-app package in Ubuntu:
  Fix Released

Bug description:
  Steps to reproduce:

   1) Browse to e.g. http://www.wufoo.com/html5/attributes/07-accept.html, 
click the "Select file" button
   2) Choose the browser as a content source
   3) Long press on the first item in the list

  Expected result: nothing happens

  Current result: the view enters delete mode, where one can select
  items and delete them.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1561575/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1567294] Re: Some unit tests fail when run under an sbuild chroot

2016-04-12 Thread Launchpad Bug Tracker
This bug was fixed in the package webbrowser-app -
0.23+16.04.20160408.1-0ubuntu1

---
webbrowser-app (0.23+16.04.20160408.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Loïc Molinari ]
  * Made AddressBar height scalable with regards to the grid units
system.

  [ Olivier Tilloy ]
  * Add dep8 tests and instructions to run them in qemu or on a phone.
Original work by Leo Arias and Vincent Ladeuil. added: debian/tests/
debian/tests/control debian/tests/touch-session-autopilot
  * Catch ESC key event one level up to ensure that it’s not incorrectly
bubbled up to the outer component. (LP: #1557016)
  * Customize the contents of the media permission dialog to avoid
truncated text. (LP: #1554220)
  * Do not write the session to a temporary file when no target file is
defined.
  * Fix a failing unit test with Qt 5.6. (LP: #1565507)
  * Fix broken webapp container autopilot tests. (LP: #1557019)
  * Fix issues with item selection in the downloads page: do not allow
selecting multiple files when only one is expected do not allow
entering delete mode (with a long press on an item) while in picker
mode (LP: #1534112, #1561575)
  * Fix unit tests when run under an sbuild chroot. (LP: #1567294)
  * Import QQuickShortcut from Qt 5.5 to properly handle window-level
keyboard shortcuts. We cannot bump the dependency on Qt to 5.5 as
the stable overlay PPA for devices currently has Qt 5.4.1. (LP:
#1542224, #1545802, #1537782)
  * Make the autopilot tests more reliable when dragging the bottom
edge. (LP: #1560109)
  * Remove workaround for bug #1526940 that was fixed in the latest
release of the UITK. (LP: #1526940)
  * Rename debian packages to follow new QML module naming convention.
(LP: #1342031)
  * Simplify the implementation of HistoryViewWide quite a bit, and as a
side effect fix a unit test failure when run against the staging
branch of the UITK. (LP: #1567337)

 -- Olivier Tilloy   Fri, 08 Apr 2016
17:07:04 +

** Changed in: webbrowser-app (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1567294

Title:
  Some unit tests fail when run under an sbuild chroot

Status in webbrowser-app package in Ubuntu:
  Fix Released

Bug description:
  This is because in an sbuild chroot HOME is set to /sbuild-
  nonexistent.

  Test #18: tst_FaviconFetcherTests ..***Failed0.76 sec
  Test #24: tst_SingleInstanceManagerTests ...***Failed0.02 sec
  Test  #2: tst_QmlTests .***Failed  178.00 sec

  
  FAIL!  : QmlTests::BrowserTab::test_delete_preview_on_close() 'verify()' 
returned FALSE. ()
  Loc: 
[/$BUILDDIR$/webbrowser-app-0.23+16.04.20160405+vivid206bzr863/tests/unittests/qml/tst_BrowserTab.qml(164)]

  FAIL!  : QmlTests::BrowserTab::test_save_preview() Compared values are not 
the same
  Actual   (): 
  Expected (): 
file:///sbuild-nonexistent/.cache/tst_QmlTests/captures/dab521de65f9250b4cca7383feef67dc.png
  Loc: 
[/$BUILDDIR$/webbrowser-app-0.23+16.04.20160405+vivid206bzr863/tests/unittests/qml/tst_BrowserTab.qml(131)]

  FAIL!  : QmlTests::PreviewManager::test_save_preview() 'verify()' returned 
FALSE. ()
  Loc: 
[/$BUILDDIR$/webbrowser-app-0.23+16.04.20160405+vivid206bzr863/tests/unittests/qml/tst_PreviewManager.qml(99)]

  FAIL!  : QmlTests::PreviewManager::test_topsites_not_deleted() 'verify()' 
returned FALSE. ()
  Loc: 
[/$BUILDDIR$/webbrowser-app-0.23+16.04.20160405+vivid206bzr863/tests/unittests/qml/tst_PreviewManager.qml(90)]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1567294/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1560797] Re: package systemd-sysv 225-1ubuntu9.1 failed to install/upgrade: libgcrypt20 was unconfigured during 15.10 to 16.04 upgrade

2016-04-12 Thread 林博仁
I've confirmed Winfried's reproduce steps on a Ubuntu 15.10 clean
install VM.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1560797

Title:
  package systemd-sysv 225-1ubuntu9.1 failed to install/upgrade:
  libgcrypt20 was unconfigured during 15.10 to 16.04 upgrade

Status in apt package in Ubuntu:
  Confirmed
Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  Happened during upgrade to 16.04, don't know any more details.

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: systemd-sysv 225-1ubuntu9.1
  Uname: Linux 4.4.5-040405-generic x86_64
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  Date: Tue Mar 22 22:56:03 2016
  ErrorMessage: pre-dependency problem - not installing systemd-sysv
  InstallationDate: Installed on 2013-04-24 (1064 days ago)
  InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130423.1)
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1
   apt  1.2.7
  SourcePackage: systemd
  Title: package systemd-sysv 225-1ubuntu9.1 failed to install/upgrade: 
pre-dependency problem - not installing systemd-sysv
  UpgradeStatus: Upgraded to xenial on 2016-03-23 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1560797/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1536662] Re: [regression] Black screen: Mir hangs and then crashes on startup/login due to reading from /dev/random

2016-04-12 Thread Daniel van Vugt
** Changed in: mir/0.20
   Status: Triaged => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1536662

Title:
  [regression] Black screen: Mir hangs and then crashes on startup/login
  due to reading from /dev/random

Status in Mir:
  Fix Committed
Status in Mir 0.19 series:
  Won't Fix
Status in Mir 0.20 series:
  Won't Fix
Status in Mir 0.21 series:
  Triaged
Status in Unity System Compositor:
  Fix Committed
Status in mir package in Ubuntu:
  Triaged
Status in unity-system-compositor package in Ubuntu:
  Fix Released

Bug description:
  cookie_factory attempts to read data from /dev/random at boot, and
  blocks until it has enough random data or timesout after 30 seconds.

  How I can reproduce
  1. Run the Unity8 greeter as a mir server
  2. Reboot

  Expected behavior: Greeter is displayed as mir && USC run happily
  Actual behavior: Mir throws an exception after 30 seconds

  Work-around:
  Before logging in, move the mouse around lots, for at least 20 seconds. And 
after logging in, while you're looking at a black screen, move the mouse around 
furiously. This will populate the kernel entropy pool sufficiently to avoid the 
hang and crash.

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1536662/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1553353] Re: tail'ing a file in a script session hangs

2016-04-12 Thread Simon Déziel
** Bug watch added: Debian Bug tracker #820843
   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820843

** Also affects: util-linux (Debian) via
   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820843
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to util-linux in Ubuntu.
https://bugs.launchpad.net/bugs/1553353

Title:
  tail'ing a file in a script session hangs

Status in util-linux package in Ubuntu:
  Confirmed
Status in util-linux source package in Xenial:
  Confirmed
Status in util-linux package in Debian:
  Unknown

Bug description:
  Steps to reproduce:

  1) Start script session (same issue when script is saving to /dev/null)
  script # or: script /dev/null
  2) Tail a file
  tailf /var/log/syslog
  3) Press "Enter" 2 times
  4) Notice the script process taking 100% CPU

  This regression was introduced upstream by this commit:
  https://git.kernel.org/cgit/utils/util-linux/util-
  linux.git/commit/?id=54c6611d6f7b73609a5331f4d0bcf63c4af6429e

  $ lsb_release -rd
  Description:  Ubuntu Xenial Xerus (development branch)
  Release:  16.04

  $ apt-cache policy util-linux bsdutils coreutils
  util-linux:
    Installed: 2.27.1-4ubuntu1
    Candidate: 2.27.1-4ubuntu1
    Version table:
   *** 2.27.1-4ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
  100 /var/lib/dpkg/status
   2.27.1-3ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  bsdutils:
    Installed: 1:2.27.1-4ubuntu1
    Candidate: 1:2.27.1-4ubuntu1
    Version table:
   *** 1:2.27.1-4ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
  100 /var/lib/dpkg/status
   1:2.27.1-3ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  coreutils:
    Installed: 8.25-2ubuntu2
    Candidate: 8.25-2ubuntu2
    Version table:
   *** 8.25-2ubuntu2 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  100 /var/lib/dpkg/status

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: util-linux 2.27.1-4ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-10.25-generic 4.4.3
  Uname: Linux 4.4.0-10-generic x86_64
  NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Fri Mar  4 15:14:15 2016
  SourcePackage: util-linux
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/util-linux/+bug/1553353/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1553353] Re: tail'ing a file in a script session hangs

2016-04-12 Thread Simon Déziel
** Description changed:

  Steps to reproduce:
  
  1) Start script session (same issue when script is saving to /dev/null)
  script # or: script /dev/null
  2) Tail a file
- tail -f /var/log/syslog
+ tailf /var/log/syslog
  3) Press "Enter" 2 times
  4) Notice the script process taking 100% CPU
  
- This regression is rather new but I don't know which update introduced
- it. Reverting util-linux/bsdutils to the previous version doesn't help
- so maybe it's not even script's fault. tail/coreutils hasn't been update
- in a long time so I'm not sure who's fault it is. I can reproduce the
- problem with kernel 4.4.0-9-generic and 4.4.0-10-generic.
- 
+ This regression was introduced upstream by this commit:
+ https://git.kernel.org/cgit/utils/util-linux/util-
+ linux.git/commit/?id=54c6611d6f7b73609a5331f4d0bcf63c4af6429e
  
  $ lsb_release -rd
  Description:  Ubuntu Xenial Xerus (development branch)
  Release:  16.04
  
  $ apt-cache policy util-linux bsdutils coreutils
  util-linux:
-   Installed: 2.27.1-4ubuntu1
-   Candidate: 2.27.1-4ubuntu1
-   Version table:
-  *** 2.27.1-4ubuntu1 500
- 500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
- 100 /var/lib/dpkg/status
-  2.27.1-3ubuntu1 500
- 500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
+   Installed: 2.27.1-4ubuntu1
+   Candidate: 2.27.1-4ubuntu1
+   Version table:
+  *** 2.27.1-4ubuntu1 500
+ 500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
+ 100 /var/lib/dpkg/status
+  2.27.1-3ubuntu1 500
+ 500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  bsdutils:
-   Installed: 1:2.27.1-4ubuntu1
-   Candidate: 1:2.27.1-4ubuntu1
-   Version table:
-  *** 1:2.27.1-4ubuntu1 500
- 500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
- 100 /var/lib/dpkg/status
-  1:2.27.1-3ubuntu1 500
- 500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
+   Installed: 1:2.27.1-4ubuntu1
+   Candidate: 1:2.27.1-4ubuntu1
+   Version table:
+  *** 1:2.27.1-4ubuntu1 500
+ 500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
+ 100 /var/lib/dpkg/status
+  1:2.27.1-3ubuntu1 500
+ 500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  coreutils:
-   Installed: 8.25-2ubuntu2
-   Candidate: 8.25-2ubuntu2
-   Version table:
-  *** 8.25-2ubuntu2 500
- 500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
- 100 /var/lib/dpkg/status
+   Installed: 8.25-2ubuntu2
+   Candidate: 8.25-2ubuntu2
+   Version table:
+  *** 8.25-2ubuntu2 500
+ 500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
+ 100 /var/lib/dpkg/status
  
  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: util-linux 2.27.1-4ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-10.25-generic 4.4.3
  Uname: Linux 4.4.0-10-generic x86_64
  NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Fri Mar  4 15:14:15 2016
  SourcePackage: util-linux
  UpgradeStatus: No upgrade log present (probably fresh install)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to util-linux in Ubuntu.
https://bugs.launchpad.net/bugs/1553353

Title:
  tail'ing a file in a script session hangs

Status in util-linux package in Ubuntu:
  Confirmed
Status in util-linux source package in Xenial:
  Confirmed

Bug description:
  Steps to reproduce:

  1) Start script session (same issue when script is saving to /dev/null)
  script # or: script /dev/null
  2) Tail a file
  tailf /var/log/syslog
  3) Press "Enter" 2 times
  4) Notice the script process taking 100% CPU

  This regression was introduced upstream by this commit:
  https://git.kernel.org/cgit/utils/util-linux/util-
  linux.git/commit/?id=54c6611d6f7b73609a5331f4d0bcf63c4af6429e

  $ lsb_release -rd
  Description:  Ubuntu Xenial Xerus (development branch)
  Release:  16.04

  $ apt-cache policy util-linux bsdutils coreutils
  util-linux:
    Installed: 2.27.1-4ubuntu1
    Candidate: 2.27.1-4ubuntu1
    Version table:
   *** 2.27.1-4ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
  100 /var/lib/dpkg/status
   2.27.1-3ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  bsdutils:
    Installed: 1:2.27.1-4ubuntu1
    Candidate: 1:2.27.1-4ubuntu1
    Version table:
   *** 1:2.27.1-4ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
  100 /var/lib/dpkg/status
   1:2.27.1-3ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  coreutils:
    Installed: 8.25-2ubuntu2
    Candidate: 8.25-2ubuntu2
    Version table:
   *** 8.25-2ubuntu2 500
  500 

[Touch-packages] [Bug 1549849]

2016-04-12 Thread Sroland-vmware
(In reply to Timo Aaltonen from comment #2)
> how exactly? I've tried gdb:

Usually you could use x/i  if it's in jit code when gcc can't figure 
out the function (or just follow up to the caller and disassemble from there). 
But it looks like the stack got smashed so I don't know if that really would 
provide much insight.
Is that a debug build?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1549849

Title:
  11.2.0-rc1: llvmpipe tests fail if built on skylake

Status in Mesa:
  Confirmed
Status in mesa package in Ubuntu:
  Triaged

Bug description:
  if built on broadwell all is well. 11.1 was fine, so it's a regression
  in 11.2.x

To manage notifications about this bug go to:
https://bugs.launchpad.net/mesa/+bug/1549849/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1549849]

2016-04-12 Thread Timo Aaltonen
Also, compiz doesn't run on SKL/KBL when using llvmpipe, it keeps
restarting with 'trap: invalid opcode'. I guess these are related.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1549849

Title:
  11.2.0-rc1: llvmpipe tests fail if built on skylake

Status in Mesa:
  Confirmed
Status in mesa package in Ubuntu:
  Triaged

Bug description:
  if built on broadwell all is well. 11.1 was fine, so it's a regression
  in 11.2.x

To manage notifications about this bug go to:
https://bugs.launchpad.net/mesa/+bug/1549849/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1549849]

2016-04-12 Thread Timo Aaltonen
how exactly? I've tried gdb:

(gdb) run
Starting program: 
/home/tjaalton/src/pkg-xorg/lib/mesa.git/build/src/gallium/drivers/llvmpipe/lp_test_format
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Testing PIPE_FORMAT_B8G8R8A8_UNORM (float) ...

Program received signal SIGILL, Illegal instruction.
0x77ff5004 in ?? ()
(gdb) bt
#0 0x77ff5004 in ?? ()
#1 0x in ?? ()
(gdb) bt full
#0 0x77ff5004 in ?? ()
No symbol table info available.
#1 0x in ?? ()
No symbol table info available.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1549849

Title:
  11.2.0-rc1: llvmpipe tests fail if built on skylake

Status in Mesa:
  Confirmed
Status in mesa package in Ubuntu:
  Triaged

Bug description:
  if built on broadwell all is well. 11.1 was fine, so it's a regression
  in 11.2.x

To manage notifications about this bug go to:
https://bugs.launchpad.net/mesa/+bug/1549849/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569617] Re: Engine state is switched to off without the user requesting it

2016-04-12 Thread Thomas Voß
I'm marking higher-level components accessing service state, too. The
service itself does not alter its own state, and the behavior is random
enough to justify an investigation of values being initialized
correctly.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to location-service in
Ubuntu.
https://bugs.launchpad.net/bugs/1569617

Title:
  Engine state is switched to off without the user requesting it

Status in location-service package in Ubuntu:
  Confirmed

Bug description:
  In certain situations (being fuzzy on purpose), the state of the
  Engine switches to off without the user having requested the state
  change.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/location-service/+bug/1569617/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1560420] Re: package linux-image-extra-4.2.0-33-generic (not installed) failed to install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1

2016-04-12 Thread Alberto Salvia Novella
** Changed in: initramfs-tools (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1560420

Title:
  package linux-image-extra-4.2.0-33-generic (not installed) failed to
  install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools
  exited with return code 1

Status in initramfs-tools package in Ubuntu:
  Confirmed

Bug description:
  After update the system by terminal and executing autoremove, I
  rebooted the system and this error appeared

  ProblemType: Package
  DistroRelease: Ubuntu 15.10
  Package: linux-image-extra-4.2.0-33-generic (not installed)
  ProcVersionSignature: Ubuntu 4.2.0-35.40-generic 4.2.8-ckt5
  Uname: Linux 4.2.0-35-generic x86_64
  ApportVersion: 2.19.1-0ubuntu5
  AptOrdering:
   libllvm3.6v5: Remove
   linux-image-extra-4.2.0-33-generic: Remove
   linux-image-4.2.0-33-generic: Remove
   initramfs-tools: Configure
   NULL: ConfigurePending
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  eluxzen3572 F pulseaudio
  Date: Tue Mar 22 11:00:39 2016
  DuplicateSignature: package:linux-image-extra-4.2.0-33-generic:(not 
installed):run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return 
code 1
  ErrorMessage: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with 
return code 1
  HibernationDevice: RESUME=UUID=be5ce25d-e97e-4617-bf87-464ff474022a
  InstallationDate: Installed on 2016-03-09 (12 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  MachineType: TOSHIBA SATELLITE U920T
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.2.0-35-generic 
root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
  PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No 
PulseAudio daemon running, or not running as session daemon.
  RelatedPackageVersions: grub-pc 2.02~beta2-29ubuntu0.3
  SourcePackage: initramfs-tools
  Title: package linux-image-extra-4.2.0-33-generic (not installed) failed to 
install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with 
return code 1
  UdevLog: Error: [Errno 2] Bestand of map bestaat niet: '/var/log/udev'
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 09/27/2013
  dmi.bios.vendor: TOSHIBA
  dmi.bios.version: Version 1.50
  dmi.board.asset.tag: 00
  dmi.board.name: SATELLITE U920T
  dmi.board.vendor: TOSHIBA
  dmi.board.version: Version A0
  dmi.chassis.asset.tag: 00
  dmi.chassis.type: 10
  dmi.chassis.vendor: TOSHIBA
  dmi.chassis.version: Version 1.0
  dmi.modalias: 
dmi:bvnTOSHIBA:bvrVersion1.50:bd09/27/2013:svnTOSHIBA:pnSATELLITEU920T:pvrPSUL1E-00U00HDU:rvnTOSHIBA:rnSATELLITEU920T:rvrVersionA0:cvnTOSHIBA:ct10:cvrVersion1.0:
  dmi.product.name: SATELLITE U920T
  dmi.product.version: PSUL1E-00U00HDU
  dmi.sys.vendor: TOSHIBA

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1560420/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1566932] Re: package hicolor-icon-theme 0.15-0ubuntu1 failed to install/upgrade: triggers looping, abandoned

2016-04-12 Thread Alberto Salvia Novella
** Changed in: hicolor-icon-theme (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to hicolor-icon-theme in
Ubuntu.
https://bugs.launchpad.net/bugs/1566932

Title:
  package hicolor-icon-theme 0.15-0ubuntu1 failed to install/upgrade:
  triggers looping, abandoned

Status in hicolor-icon-theme package in Ubuntu:
  Confirmed

Bug description:
  lsb_release -rd
  Description:  Ubuntu Xenial Xerus (development branch)
  Release:  16.04

  apt-cache policy hicolor-icon-theme
  hicolor-icon-theme:
Installed: 0.15-0ubuntu1
Candidate: 0.15-0ubuntu1
Version table:
   *** 0.15-0ubuntu1 500
  500 http://nl.archive.ubuntu.com/ubuntu xenial/main i386 Packages
  100 /var/lib/dpkg/status

  Expect the package upgrade to be successful
  package instead failed to upgrade

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: hicolor-icon-theme 0.15-0ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-13.29-generic 4.4.5
  Uname: Linux 4.4.0-13-generic i686
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: i386
  Date: Wed Apr  6 16:45:14 2016
  Dependencies:
   
  ErrorMessage: triggers looping, abandoned
  InstallationDate: Installed on 2011-10-17 (1633 days ago)
  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1
   apt  1.2.10
  SourcePackage: hicolor-icon-theme
  Title: package hicolor-icon-theme 0.15-0ubuntu1 failed to install/upgrade: 
triggers looping, abandoned
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/hicolor-icon-theme/+bug/1566932/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1553353] Re: tail'ing a file in a script session hangs

2016-04-12 Thread Simon Déziel
The above commit is from Debian's git. The problem still exists upstream
in https://git.kernel.org/cgit/utils/util-linux/util-
linux.git/commit/?id=44338f7fe6a529cef1f206dccd95e7282625c483

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to util-linux in Ubuntu.
https://bugs.launchpad.net/bugs/1553353

Title:
  tail'ing a file in a script session hangs

Status in util-linux package in Ubuntu:
  Confirmed
Status in util-linux source package in Xenial:
  Confirmed

Bug description:
  Steps to reproduce:

  1) Start script session (same issue when script is saving to /dev/null)
  script # or: script /dev/null
  2) Tail a file
  tail -f /var/log/syslog
  3) Press "Enter" 2 times
  4) Notice the script process taking 100% CPU

  This regression is rather new but I don't know which update introduced
  it. Reverting util-linux/bsdutils to the previous version doesn't help
  so maybe it's not even script's fault. tail/coreutils hasn't been
  update in a long time so I'm not sure who's fault it is. I can
  reproduce the problem with kernel 4.4.0-9-generic and
  4.4.0-10-generic.


  $ lsb_release -rd
  Description:  Ubuntu Xenial Xerus (development branch)
  Release:  16.04

  $ apt-cache policy util-linux bsdutils coreutils
  util-linux:
Installed: 2.27.1-4ubuntu1
Candidate: 2.27.1-4ubuntu1
Version table:
   *** 2.27.1-4ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
  100 /var/lib/dpkg/status
   2.27.1-3ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  bsdutils:
Installed: 1:2.27.1-4ubuntu1
Candidate: 1:2.27.1-4ubuntu1
Version table:
   *** 1:2.27.1-4ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
  100 /var/lib/dpkg/status
   1:2.27.1-3ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  coreutils:
Installed: 8.25-2ubuntu2
Candidate: 8.25-2ubuntu2
Version table:
   *** 8.25-2ubuntu2 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  100 /var/lib/dpkg/status

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: util-linux 2.27.1-4ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-10.25-generic 4.4.3
  Uname: Linux 4.4.0-10-generic x86_64
  NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Fri Mar  4 15:14:15 2016
  SourcePackage: util-linux
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/util-linux/+bug/1553353/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1561302] Re: gdm won't allow passwordless login

2016-04-12 Thread Alberto Salvia Novella
** Changed in: casper (Ubuntu)
   Importance: Undecided => Critical

** Changed in: gnome-shell (Ubuntu)
   Importance: Undecided => Critical

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1561302

Title:
  gdm won't allow passwordless login

Status in gdm:
  Confirmed
Status in Ubuntu GNOME:
  Triaged
Status in casper package in Ubuntu:
  Triaged
Status in gdm3 package in Ubuntu:
  Fix Released
Status in gnome-shell package in Ubuntu:
  Invalid
Status in pam package in Ubuntu:
  Invalid

Bug description:
  The Live session user does not have a password set, however gdm won't
  allow login in this case since the "Sign In" button is disabled.

  Normally this should be too much of an issue, since the login screen
  should only be hit on logout from the live session, some people are
  reporting hitting the gdm login screen on boot due to ubiquity-dm
  failing to boot.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: gdm3 3.18.2-1ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-15.31-generic 4.4.6
  Uname: Linux 4.4.0-15-generic x86_64
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Thu Mar 24 13:55:19 2016
  InstallationDate: Installed on 2016-03-23 (0 days ago)
  InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Beta amd64 
(20160323)
  SourcePackage: gdm3
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/gdm/+bug/1561302/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569617] [NEW] Engine state is switched to off without the user requesting it

2016-04-12 Thread Thomas Voß
Public bug reported:

In certain situations (being fuzzy on purpose), the state of the Engine
switches to off without the user having requested the state change.

** Affects: location-service (Ubuntu)
 Importance: High
 Assignee: Thomas Voß (thomas-voss)
 Status: Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to location-service in
Ubuntu.
https://bugs.launchpad.net/bugs/1569617

Title:
  Engine state is switched to off without the user requesting it

Status in location-service package in Ubuntu:
  Confirmed

Bug description:
  In certain situations (being fuzzy on purpose), the state of the
  Engine switches to off without the user having requested the state
  change.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/location-service/+bug/1569617/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569616] Re: software-properties-gtk crashed with dbus.exceptions.UnknownMethodException in _method_lookup(): org.freedesktop.DBus.Error.UnknownMethod: Unknown method: Reload is

2016-04-12 Thread Apport retracing service
*** This bug is a duplicate of bug 1539026 ***
https://bugs.launchpad.net/bugs/1539026

Thank you for taking the time to report this crash and helping to make
this software better.  This particular crash has already been reported
and is a duplicate of bug #1539026, so is being marked as such.  Please
look at the other bug report to see if there is any missing information
that you can provide, or to see if there is a workaround for the bug.
Additionally, any further discussion regarding the bug should occur in
the other report.  Please continue to report any other bugs you may
find.

** Tags removed: need-duplicate-check

** Changed in: software-properties (Ubuntu)
   Importance: Undecided => Medium

** Attachment removed: "ProcMaps.txt"
   
https://bugs.launchpad.net/bugs/1569616/+attachment/4634846/+files/ProcMaps.txt

** Attachment removed: "ProcStatus.txt"
   
https://bugs.launchpad.net/bugs/1569616/+attachment/4634847/+files/ProcStatus.txt

** This bug has been marked a duplicate of private bug 1539026

** Information type changed from Private to Public

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1569616

Title:
  software-properties-gtk crashed with
  dbus.exceptions.UnknownMethodException in _method_lookup():
  org.freedesktop.DBus.Error.UnknownMethod: Unknown method: Reload is
  not a valid method of interface com.ubuntu.SoftwareProperties

Status in software-properties package in Ubuntu:
  New

Bug description:
  CF

  ProblemType: Crash
  DistroRelease: Ubuntu 16.04
  Package: software-properties-gtk 0.96.20
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  Date: Wed Apr 13 01:29:12 2016
  ExecutablePath: /usr/bin/software-properties-gtk
  InstallationDate: Installed on 2015-10-14 (181 days ago)
  InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
  InterpreterPath: /usr/bin/python3.5
  PackageArchitecture: all
  ProcCmdline: /usr/bin/python3 /usr/bin/software-properties-gtk --open-tab 2 
--toplevel 39845891
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   LANG=fr_FR.UTF-8
   LANGUAGE=fr_FR
   SHELL=/bin/bash
  PythonArgs: ['/usr/bin/software-properties-gtk', '--open-tab', '2', 
'--toplevel', '39845891']
  SourcePackage: software-properties
  Title: software-properties-gtk crashed with 
dbus.exceptions.UnknownMethodException in _method_lookup(): 
org.freedesktop.DBus.Error.UnknownMethod: Unknown method: Reload is not a valid 
method of interface com.ubuntu.SoftwareProperties
  UpgradeStatus: Upgraded to xenial on 2016-04-12 (0 days ago)
  UserGroups: pkcs11

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1569616/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1553353] Re: tail'ing a file in a script session hangs

2016-04-12 Thread Simon Déziel
FYI, the current master (d38bcd109e9) still has the problem.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to util-linux in Ubuntu.
https://bugs.launchpad.net/bugs/1553353

Title:
  tail'ing a file in a script session hangs

Status in util-linux package in Ubuntu:
  Confirmed
Status in util-linux source package in Xenial:
  Confirmed

Bug description:
  Steps to reproduce:

  1) Start script session (same issue when script is saving to /dev/null)
  script # or: script /dev/null
  2) Tail a file
  tail -f /var/log/syslog
  3) Press "Enter" 2 times
  4) Notice the script process taking 100% CPU

  This regression is rather new but I don't know which update introduced
  it. Reverting util-linux/bsdutils to the previous version doesn't help
  so maybe it's not even script's fault. tail/coreutils hasn't been
  update in a long time so I'm not sure who's fault it is. I can
  reproduce the problem with kernel 4.4.0-9-generic and
  4.4.0-10-generic.


  $ lsb_release -rd
  Description:  Ubuntu Xenial Xerus (development branch)
  Release:  16.04

  $ apt-cache policy util-linux bsdutils coreutils
  util-linux:
Installed: 2.27.1-4ubuntu1
Candidate: 2.27.1-4ubuntu1
Version table:
   *** 2.27.1-4ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
  100 /var/lib/dpkg/status
   2.27.1-3ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  bsdutils:
Installed: 1:2.27.1-4ubuntu1
Candidate: 1:2.27.1-4ubuntu1
Version table:
   *** 1:2.27.1-4ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
  100 /var/lib/dpkg/status
   1:2.27.1-3ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  coreutils:
Installed: 8.25-2ubuntu2
Candidate: 8.25-2ubuntu2
Version table:
   *** 8.25-2ubuntu2 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  100 /var/lib/dpkg/status

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: util-linux 2.27.1-4ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-10.25-generic 4.4.3
  Uname: Linux 4.4.0-10-generic x86_64
  NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Fri Mar  4 15:14:15 2016
  SourcePackage: util-linux
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/util-linux/+bug/1553353/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569608] [NEW] /usr/lib/arm-linux-gnueabihf/gstreamer1.0/gstreamer-1.0/gst-plugin-scanner:5:doGetScreenResources:XRRGetScreenResources:update_outputs:_cogl_xlib_renderer_connect:

2016-04-12 Thread errors.ubuntu.com bug bridge
Public bug reported:

The Ubuntu Error Tracker has been receiving reports about a problem
regarding gstreamer1.0.  This problem was most recently seen with
version 1.8.0-1, the problem page at
https://errors.ubuntu.com/problem/7be2e8e676333a21eb86f6805e4ff90b9e3c1818
contains more details.

** Affects: gstreamer1.0 (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: wily xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gstreamer1.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1569608

Title:
  /usr/lib/arm-linux-gnueabihf/gstreamer1.0/gstreamer-1.0/gst-plugin-
  
scanner:5:doGetScreenResources:XRRGetScreenResources:update_outputs:_cogl_xlib_renderer_connect:_cogl_winsys_renderer_connect

Status in gstreamer1.0 package in Ubuntu:
  New

Bug description:
  The Ubuntu Error Tracker has been receiving reports about a problem
  regarding gstreamer1.0.  This problem was most recently seen with
  version 1.8.0-1, the problem page at
  https://errors.ubuntu.com/problem/7be2e8e676333a21eb86f6805e4ff90b9e3c1818
  contains more details.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gstreamer1.0/+bug/1569608/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1568485] Re: kernel: audit: type=1400 audit(1460259033.648:34): apparmor="DENIED" operation="sendmsg" info="Failed name lookup - disconnected path" error=-13

2016-04-12 Thread Cody P
However, I still get an IP from dhcp, based on the logs, it seems
dhclient retries this operation many times and it eventually succeeds.
Maybe a race condition?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1568485

Title:
  kernel: audit: type=1400 audit(1460259033.648:34): apparmor="DENIED"
  operation="sendmsg" info="Failed name lookup - disconnected path"
  error=-13

Status in apparmor package in Ubuntu:
  Confirmed

Bug description:
  Get this logged on a fully upgraded 64 desktop (proposed archive
  enabled)

  kernel: audit: type=1400 audit(1460259033.648:34): apparmor="DENIED"
  operation="sendmsg" info="Failed name lookup - disconnected path"
  error=-13 profile="/sbin/dhclient" name="run/systemd/journal/dev-log"
  pid=1102 comm="dhclient" requested_mask="w" denied_mask="w" fsuid=0
  ouid=0

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: apparmor 2.10.95-0ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia_modeset nvidia
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Sun Apr 10 12:23:56 2016
  ProcKernelCmdline: BOOT_IMAGE=/boot/vmlinuz-4.4.0-18-generic 
root=UUID=7c755ed6-51cc-4b75-88ac-9c75acf82749 ro
  SourcePackage: apparmor
  Syslog:
   
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor/+bug/1568485/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1568485] Re: kernel: audit: type=1400 audit(1460259033.648:34): apparmor="DENIED" operation="sendmsg" info="Failed name lookup - disconnected path" error=-13

2016-04-12 Thread Cody P
Hitting this as well as of the recent upgrade to network manager
(1.1.93) came along with #1569316

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1568485

Title:
  kernel: audit: type=1400 audit(1460259033.648:34): apparmor="DENIED"
  operation="sendmsg" info="Failed name lookup - disconnected path"
  error=-13

Status in apparmor package in Ubuntu:
  Confirmed

Bug description:
  Get this logged on a fully upgraded 64 desktop (proposed archive
  enabled)

  kernel: audit: type=1400 audit(1460259033.648:34): apparmor="DENIED"
  operation="sendmsg" info="Failed name lookup - disconnected path"
  error=-13 profile="/sbin/dhclient" name="run/systemd/journal/dev-log"
  pid=1102 comm="dhclient" requested_mask="w" denied_mask="w" fsuid=0
  ouid=0

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: apparmor 2.10.95-0ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia_modeset nvidia
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Sun Apr 10 12:23:56 2016
  ProcKernelCmdline: BOOT_IMAGE=/boot/vmlinuz-4.4.0-18-generic 
root=UUID=7c755ed6-51cc-4b75-88ac-9c75acf82749 ro
  SourcePackage: apparmor
  Syslog:
   
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor/+bug/1568485/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


Re: [Touch-packages] [Bug 1567993] Re: alsa-utils does not store and restore alsa settings on boot reboot

2016-04-12 Thread Luke Yelavich
Could you possibly get me any relevant log data from syslog or
journalctl related to alsamixer so I might take a look?

Thanks.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-utils in Ubuntu.
https://bugs.launchpad.net/bugs/1567993

Title:
  alsa-utils does not store and restore alsa settings on boot reboot

Status in alsa-utils package in Ubuntu:
  Fix Released
Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  The standard run level seems to have changed from run level 2 to run
  level 5 in 16.04. /etc/init.d/alsa-utils does not have a symlink in
  rc5.d and so does not run and store and restore alsa settings on
  shutdown/boot.

  Most internal audio interfaces are set to some reasonable level by
  pulse on login. However, some (semi)pro audio interfaces like the
  ice1712 based interfaces are not controlled by pulseaudio but just fed
  audio in. This means that the user has to reset the alsa level at
  every boot.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: alsa-utils 1.1.0-0ubuntu2
  ProcVersionSignature: Ubuntu 4.4.0-17.33-lowlatency 4.4.6
  Uname: Linux 4.4.0-17-lowlatency x86_64
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: XFCE
  Date: Fri Apr  8 07:56:32 2016
  InstallationDate: Installed on 2016-03-24 (14 days ago)
  InstallationMedia: Ubuntu-Studio 16.04 LTS "Xenial Xerus" - Beta amd64 
(20160323)
  SourcePackage: alsa-utils
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-utils/+bug/1567993/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1553353] Re: tail'ing a file in a script session hangs

2016-04-12 Thread Simon Déziel
After bisecting util-linux, the problematic commit is:

54c6611d6f7b73609a5331f4d0bcf63c4af6429e is the first bad commit
commit 54c6611d6f7b73609a5331f4d0bcf63c4af6429e
Author: Karel Zak 
Date:   Wed Jun 17 15:48:50 2015 +0200

script: fix EOF problems

* remove STDIN from poll() if:

  * STDIN already closed -- poll returns POLLHUP, for example:

echo "date" | script

  * detect EOF as returned by read(), for example:

script -c "echo Hello" < /dev/null

* don't write to master when there is still something to read from
  slave (it means shell is not initialized yet or busy)

Signed-off-by: Karel Zak 

:04 04 2cc2b7f5d69f16775151517912dce6ff3a586847
b1a8465b2c3f23c0f41bfb7308af49b92963e77b M  term-utils


When using v2.27.1 and reverting just this commit, all is fine.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to util-linux in Ubuntu.
https://bugs.launchpad.net/bugs/1553353

Title:
  tail'ing a file in a script session hangs

Status in util-linux package in Ubuntu:
  Confirmed
Status in util-linux source package in Xenial:
  Confirmed

Bug description:
  Steps to reproduce:

  1) Start script session (same issue when script is saving to /dev/null)
  script # or: script /dev/null
  2) Tail a file
  tail -f /var/log/syslog
  3) Press "Enter" 2 times
  4) Notice the script process taking 100% CPU

  This regression is rather new but I don't know which update introduced
  it. Reverting util-linux/bsdutils to the previous version doesn't help
  so maybe it's not even script's fault. tail/coreutils hasn't been
  update in a long time so I'm not sure who's fault it is. I can
  reproduce the problem with kernel 4.4.0-9-generic and
  4.4.0-10-generic.


  $ lsb_release -rd
  Description:  Ubuntu Xenial Xerus (development branch)
  Release:  16.04

  $ apt-cache policy util-linux bsdutils coreutils
  util-linux:
Installed: 2.27.1-4ubuntu1
Candidate: 2.27.1-4ubuntu1
Version table:
   *** 2.27.1-4ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
  100 /var/lib/dpkg/status
   2.27.1-3ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  bsdutils:
Installed: 1:2.27.1-4ubuntu1
Candidate: 1:2.27.1-4ubuntu1
Version table:
   *** 1:2.27.1-4ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 
Packages
  100 /var/lib/dpkg/status
   1:2.27.1-3ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  coreutils:
Installed: 8.25-2ubuntu2
Candidate: 8.25-2ubuntu2
Version table:
   *** 8.25-2ubuntu2 500
  500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  100 /var/lib/dpkg/status

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: util-linux 2.27.1-4ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-10.25-generic 4.4.3
  Uname: Linux 4.4.0-10-generic x86_64
  NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Fri Mar  4 15:14:15 2016
  SourcePackage: util-linux
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/util-linux/+bug/1553353/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1539158] Re: Unable to pair with in-car hands-free system after OTA-9 update

2016-04-12 Thread Stunts
That's great news!
I'll try it again tomorrow morning and report back.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1539158

Title:
  Unable to pair with in-car hands-free system after OTA-9 update

Status in Canonical System Image:
  Fix Released
Status in bluez package in Ubuntu:
  Invalid
Status in ubuntu-system-settings package in Ubuntu:
  Fix Released

Bug description:
  After OTA-9 I started having trouble with my bluetooth connection to the car 
hands-free system (no sound, and incoming calls no longer displayed the 
number), so I have reset both the car and the phone connections (eg. forgot the 
devices).
  Now I can't even pair the phone with the car's system. 
  The car finds the phone, and then asks me to enter the code "" to pair 
the device, but after a few moments, it just says the connection failed and 
asks me to try again. Which fails again.

  It was working fine just before the update.

  Any logs I should post to help debug?

  PS - The car is a 2015 Honda Civic Tourer, if that matters.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1539158/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569593] [NEW] Doesn't include auto-detected timezone even if the setting is enabled

2016-04-12 Thread Sebastien Bacher
Public bug reported:

Using Xenial, the indicator doesn't seem to include the locale locations
even if the "Time in auto-detected location” is enabled

** Affects: indicator-datetime (Ubuntu)
 Importance: Low
 Assignee: Charles Kerr (charlesk)
 Status: Confirmed

** Changed in: indicator-datetime (Ubuntu)
   Importance: Undecided => Low

** Changed in: indicator-datetime (Ubuntu)
   Status: New => Confirmed

** Changed in: indicator-datetime (Ubuntu)
 Assignee: (unassigned) => Charles Kerr (charlesk)

** Summary changed:

- Doesn't include auto-detected timezone even if settings is enabled
+ Doesn't include auto-detected timezone even if the setting is enabled

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to indicator-datetime in
Ubuntu.
https://bugs.launchpad.net/bugs/1569593

Title:
  Doesn't include auto-detected timezone even if the setting is enabled

Status in indicator-datetime package in Ubuntu:
  Confirmed

Bug description:
  Using Xenial, the indicator doesn't seem to include the locale
  locations even if the "Time in auto-detected location” is enabled

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/indicator-datetime/+bug/1569593/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569590] [NEW] wireless card disabled in network-manager

2016-04-12 Thread Jane Atkinson
Public bug reported:

Using xenial on Asus EeePC 900

Network manager has worked fine with the wireless card on this machine,
until the update of 12 April.

Now the wireless card appears greyed out in the nm-applet interface with
no SSIDs visible. Ethernet still works.

wicd works on this machine, but I'd prefer not to have to install that.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: network-manager 1.1.93-0ubuntu3
ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
Uname: Linux 4.4.0-18-generic i686
ApportVersion: 2.20.1-0ubuntu1
Architecture: i386
Date: Wed Apr 13 09:55:01 2016
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 # Include files from /etc/network/interfaces.d:
 source-directory /etc/network/interfaces.d
IpRoute:
 default via 192.168.1.1 dev enp3s0  proto static  metric 100 
 192.168.1.0/24 dev enp3s0  proto kernel  scope link  src 192.168.1.67  metric 
100
IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig'
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
RfKill: Error: [Errno 2] No such file or directory: 'rfkill'
SourcePackage: network-manager
UpgradeStatus: No upgrade log present (probably fresh install)
nmcli-dev:
 DEVICE  TYPE  STATEDBUS-PATH  
CONNECTION  CON-UUID  CON-PATH  
 
 enp3s0  ethernet  connected/org/freedesktop/NetworkManager/Devices/1  
Wired connection 1  745074e0-abba-4f29-8c5d-1bcfbcb13e3a  
/org/freedesktop/NetworkManager/ActiveConnection/0 
 wlp1s0  ethernet  unavailable  /org/freedesktop/NetworkManager/Devices/2  --   
   ---- 

 lo  loopback  unmanaged/org/freedesktop/NetworkManager/Devices/0  --   
   ----
nmcli-nm: Error: command ['nmcli', '-f', 'all', 'nm'] failed with exit code 2: 
Error: Object 'nm' is unknown, try 'nmcli help'.

** Affects: network-manager (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: apport-bug i386 xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1569590

Title:
  wireless card disabled in network-manager

Status in network-manager package in Ubuntu:
  New

Bug description:
  Using xenial on Asus EeePC 900

  Network manager has worked fine with the wireless card on this
  machine, until the update of 12 April.

  Now the wireless card appears greyed out in the nm-applet interface
  with no SSIDs visible. Ethernet still works.

  wicd works on this machine, but I'd prefer not to have to install
  that.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: network-manager 1.1.93-0ubuntu3
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic i686
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: i386
  Date: Wed Apr 13 09:55:01 2016
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   # Include files from /etc/network/interfaces.d:
   source-directory /etc/network/interfaces.d
  IpRoute:
   default via 192.168.1.1 dev enp3s0  proto static  metric 100 
   192.168.1.0/24 dev enp3s0  proto kernel  scope link  src 192.168.1.67  
metric 100
  IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig'
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=true
   WWANEnabled=true
   WimaxEnabled=true
  RfKill: Error: [Errno 2] No such file or directory: 'rfkill'
  SourcePackage: network-manager
  UpgradeStatus: No upgrade log present (probably fresh install)
  nmcli-dev:
   DEVICE  TYPE  STATEDBUS-PATH  
CONNECTION  CON-UUID  CON-PATH  
 
   enp3s0  ethernet  connected/org/freedesktop/NetworkManager/Devices/1  
Wired connection 1  745074e0-abba-4f29-8c5d-1bcfbcb13e3a  
/org/freedesktop/NetworkManager/ActiveConnection/0 
   wlp1s0  ethernet  unavailable  /org/freedesktop/NetworkManager/Devices/2  -- 
 ----   
  
   lo  loopback  unmanaged/org/freedesktop/NetworkManager/Devices/0  -- 
 ----
  nmcli-nm: Error: command ['nmcli', '-f', 'all', 'nm'] failed with exit code 
2: Error: Object 'nm' is unknown, try 'nmcli help'.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1569590/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : 

[Touch-packages] [Bug 1539158] Re: Unable to pair with in-car hands-free system after OTA-9 update

2016-04-12 Thread Pat McGowan
It hopefully works in the latest update, v10+

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1539158

Title:
  Unable to pair with in-car hands-free system after OTA-9 update

Status in Canonical System Image:
  Fix Released
Status in bluez package in Ubuntu:
  Invalid
Status in ubuntu-system-settings package in Ubuntu:
  Fix Released

Bug description:
  After OTA-9 I started having trouble with my bluetooth connection to the car 
hands-free system (no sound, and incoming calls no longer displayed the 
number), so I have reset both the car and the phone connections (eg. forgot the 
devices).
  Now I can't even pair the phone with the car's system. 
  The car finds the phone, and then asks me to enter the code "" to pair 
the device, but after a few moments, it just says the connection failed and 
asks me to try again. Which fails again.

  It was working fine just before the update.

  Any logs I should post to help debug?

  PS - The car is a 2015 Honda Civic Tourer, if that matters.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1539158/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1553309] Re: [FFe]: Include FIPS 140-2 into openssl package

2016-04-12 Thread Joy Latten
New test package and debdiff. All the same testing completed successfully.
New test package, https://launchpad.net/~j-latten/+archive/ubuntu/myppa

** Attachment added: "debdiff: latest patch series (6 patches) to add fips 
support to openssl"
   
https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1553309/+attachment/4634783/+files/debdiff.openssl_1.0.2g-1ubuntu3~ppa6

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssl in Ubuntu.
https://bugs.launchpad.net/bugs/1553309

Title:
  [FFe]: Include FIPS 140-2 into openssl  package

Status in openssl package in Ubuntu:
  Incomplete

Bug description:
  This is a request for a Feature Freeze Exception to include FIPS 140-2 
selftest into the openssl package in preparation for the FIPS 140-2 compliance 
for 16.0.4. 
  This patchset will :
   - add ability to config, compile, run with fips option enabled
   - add the selftest files to crypto/fips directory. 
   - minor changes to several algorithms in crypto directory to ensure the 
selftest compile successfully when fips is enabled. 
   
  The selftest will be initiated externally at this point and not internally.
  Hope to have a test package ready early next week.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1553309/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1566944] Re: dnsmasq profile prevents LXD container to launch

2016-04-12 Thread Tyler Hicks
** Changed in: apparmor (Ubuntu)
   Status: New => In Progress

** Changed in: apparmor (Ubuntu)
   Importance: Undecided => High

** Changed in: apparmor (Ubuntu)
 Assignee: (unassigned) => Tyler Hicks (tyhicks)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1566944

Title:
  dnsmasq profile prevents LXD container to launch

Status in AppArmor:
  Fix Committed
Status in apparmor package in Ubuntu:
  In Progress

Bug description:
  LXD 2.0 has dropped lxcbr0 for lxdbr0 as its default bridge configuration.
  Since then, having usr.sbin.dnsmasq profile in enforce mode will prevent LXD 
containers to launch:

  Apr  6 12:55:06 franck-ThinkPad-T430s kernel: [ 7029.101587] audit: type=1400 
audit(1459940106.552:107): apparmor="DENIED" operation="mknod" 
profile="/usr/sbin/dnsmasq" name="/var/lib/lxd-bridge/dnsmasq.lxdbr0.leases" 
pid=22292 comm="dnsmasq" requested_mask="c" denied_mask="c" fsuid=0 ouid=0
  Apr  6 12:55:06 franck-ThinkPad-T430s lxd-bridge.start[22255]: dnsmasq: ne 
peut ouvrir ou créer le fichiers de baux 
/var/lib/lxd-bridge//dnsmasq.lxdbr0.leases : Permission non accordée

  Of course, switching to complain mode works the problem around, but
  maybe allowing write to /var/lib/lxd-bridge/ would be a good idea
  (disclaimer: I'm not a security expert).

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: apparmor-profiles 2.10-3ubuntu2
  ProcVersionSignature: Ubuntu 4.4.0-17.33-generic 4.4.6
  Uname: Linux 4.4.0-17-generic x86_64
  NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Wed Apr  6 17:34:12 2016
  InstallationDate: Installed on 2015-10-04 (185 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20151002)
  PackageArchitecture: all
  ProcKernelCmdline: BOOT_IMAGE=/vmlinuz-4.4.0-17-generic.efi.signed 
root=/dev/mapper/ubuntu--vg-root ro noprompt persistent kaslr threadirqs quiet 
splash vt.handoff=7
  SourcePackage: apparmor
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.apparmor.d.bin.ping: [modified]
  modified.conffile..etc.apparmor.d.sbin.klogd: [modified]
  modified.conffile..etc.apparmor.d.sbin.syslog.ng: [modified]
  modified.conffile..etc.apparmor.d.sbin.syslogd: [modified]
  modified.conffile..etc.apparmor.d.usr.bin.chromium.browser: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.avahi.daemon: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.dnsmasq: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.dovecot: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.identd: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.mdnsd: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.nmbd: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.nscd: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.smbd: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.smbldap.useradd: [modified]
  mtime.conffile..etc.apparmor.d.bin.ping: 2015-10-05T12:02:58.049761
  mtime.conffile..etc.apparmor.d.sbin.klogd: 2015-10-05T12:04:03.854535
  mtime.conffile..etc.apparmor.d.sbin.syslog.ng: 2015-10-05T12:03:21.918041
  mtime.conffile..etc.apparmor.d.sbin.syslogd: 2015-10-05T12:03:15.705968
  mtime.conffile..etc.apparmor.d.usr.bin.chromium.browser: 
2015-10-05T12:02:05.273141
  mtime.conffile..etc.apparmor.d.usr.sbin.avahi.daemon: 
2015-10-05T11:59:18.903198
  mtime.conffile..etc.apparmor.d.usr.sbin.dnsmasq: 2016-04-06T17:25:47.252257
  mtime.conffile..etc.apparmor.d.usr.sbin.dovecot: 2015-10-05T12:00:55.356323
  mtime.conffile..etc.apparmor.d.usr.sbin.identd: 2015-10-05T12:01:02.204403
  mtime.conffile..etc.apparmor.d.usr.sbin.mdnsd: 2015-10-05T12:02:37.861523
  mtime.conffile..etc.apparmor.d.usr.sbin.nmbd: 2015-10-05T12:00:10.119794
  mtime.conffile..etc.apparmor.d.usr.sbin.nscd: 2015-10-05T12:00:17.355879
  mtime.conffile..etc.apparmor.d.usr.sbin.smbd: 2015-10-05T12:00:26.103981
  mtime.conffile..etc.apparmor.d.usr.sbin.smbldap.useradd: 
2015-10-05T12:00:35.504091

To manage notifications about this bug go to:
https://bugs.launchpad.net/apparmor/+bug/1566944/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1548500] Re: camera stops taking pictures

2016-04-12 Thread scott hodgson
Cameras seems to be working now.  I haven't done anything to the system,
must be an upgrade or something that has corrected the issue.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to camera-app in Ubuntu.
https://bugs.launchpad.net/bugs/1548500

Title:
  camera stops taking pictures

Status in camera-app package in Ubuntu:
  Incomplete

Bug description:
  The camera after sometime stops working. you press the button to take image 
and the buttons disappear and no image is taken.
  log file is here.
  http://paste.ubuntu.com/15172765/

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/camera-app/+bug/1548500/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569582] Re: Add Bluetooth apparmor policy

2016-04-12 Thread Pat McGowan
** Also affects: apparmor (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: canonical-devices-system-image
   Importance: Undecided => High

** Changed in: canonical-devices-system-image
   Status: New => Confirmed

** Changed in: canonical-devices-system-image
 Assignee: (unassigned) => Jamie Strandboge (jdstrand)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1569582

Title:
  Add Bluetooth apparmor policy

Status in Canonical System Image:
  Confirmed
Status in apparmor package in Ubuntu:
  New

Bug description:
  I have created a content hub plugin that allows sending files via
  Bluetooth. At this point this only works when unconfined so here is a
  request to extend the apparmor policies to allow some things over
  Bluetooth. This plugin does a device discovery and then uses Bluez'
  obex client to transmit the file. When turning on apparmor on it, it
  first bails out with the messages below. However, once those are
  resolved, it'll probably want some more. I have attached the confined
  package to this bug so it can be easily tested. Please disregard the
  app in there completey and only evaluate the shareplugin in the
  package. After installing the click, open the gallery, share an image
  and select Bluetooth to start the process:

  [65927.602181] type=1107 audit(1460496066.496:2509): pid=891 uid=102 
auid=4294967295 ses=4294967295 msg='apparmor="DENIED" 
operation="dbus_method_call"  bus="system" path="/" 
interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects" 
mask="send" name="org.bluez" pid=25873 label="ubtd.mzanetti_shareplugin_0.1" 
peer_pid=911 peer_label="unconfined"
  [65927.602199] exe="/usr/bin/dbus-daemon" sauid=102 hostname=? addr=? 
terminal=?'
  [65927.607588] type=1107 audit(1460496066.506:2510): pid=891 uid=102 
auid=4294967295 ses=4294967295 msg='apparmor="DENIED" 
operation="dbus_method_call"  bus="system" path="/" 
interface="org.bluez.Manager" member="DefaultAdapter" mask="send" 
name="org.bluez" pid=25873 label="ubtd.mzanetti_shareplugin_0.1" peer_pid=911 
peer_label="unconfined"
  [65927.607606] exe="/usr/bin/dbus-daemon" sauid=102 hostname=? addr=? 
terminal=?'
  [65928.611714] type=1107 audit(1460496067.506:2511): pid=891 uid=102 
auid=4294967295 ses=4294967295 msg='apparmor="DENIED" 
operation="dbus_method_call"  bus="system" path="/" 
interface="org.bluez.Manager" member="DefaultAdapter" mask="send" 
name="org.bluez" pid=25873 label="ubtd.mzanetti_shareplugin_0.1" peer_pid=911 
peer_label="unconfined"
  [65928.611733] exe="/usr/bin/dbus-daemon" sauid=102 hostname=? addr=? 
terminal=?'
  [65929.615630] type=1107 audit(1460496068.516:2512): pid=891 uid=102 
auid=4294967295 ses=4294967295 msg='apparmor="DENIED" 
operation="dbus_method_call"  bus="system" path="/" 
interface="org.bluez.Manager" member="DefaultAdapter" mask="send" 
name="org.bluez" pid=25873 label="ubtd.mzanetti_shareplugin_0.1" peer_pid=911 
peer_label="unconfined"
  [65929.615649] exe="/usr/bin/dbus-daemon" sauid=102 hostname=? addr=? 
terminal=?'
  [65930.619178] type=1107 audit(1460496069.516:2513): pid=891 uid=102 
auid=4294967295 ses=4294967295 msg='apparmor="DENIED" 
operation="dbus_method_call"  bus="system" path="/" 
interface="org.bluez.Manager" member="DefaultAdapter" mask="send" 
name="org.bluez" pid=25873 label="ubtd.mzanetti_shareplugin_0.1" peer_pid=911 
peer_label="unconfined"
  [65930.619197] exe="/usr/bin/dbus-daemon" sauid=102 hostname=? addr=? 
terminal=?'
  [65931.622804] type=1107 audit(1460496070.516:2514): pid=891 uid=102 
auid=4294967295 ses=4294967295 msg='apparmor="DENIED" 
operation="dbus_method_call"  bus="system" path="/" 
interface="org.bluez.Manager" member="DefaultAdapter" mask="send" 
name="org.bluez" pid=25873 label="ubtd.mzanetti_shareplugin_0.1" peer_pid=911 
peer_label="unconfined"
  [65931.622822] exe="/usr/bin/dbus-daemon" sauid=102 hostname=? addr=? 
terminal=?'
  [65932.626550] type=1107 audit(1460496071.526:2515): pid=891 uid=102 
auid=4294967295 ses=4294967295 msg='apparmor="DENIED" 
operation="dbus_method_call"  bus="system" path="/" 
interface="org.bluez.Manager" member="DefaultAdapter" mask="send" 
name="org.bluez" pid=25873 label="ubtd.mzanetti_shareplugin_0.1" peer_pid=911 
peer_label="unconfined"
  [65932.626569] exe="/usr/bin/dbus-daemon" sauid=102 hostname=? addr=? 
terminal=?'
  [65933.630102] type=1107 audit(1460496072.526:2516): pid=891 uid=102 
auid=4294967295 ses=4294967295 msg='apparmor="DENIED" 
operation="dbus_method_call"  bus="system" path="/" 
interface="org.bluez.Manager" member="DefaultAdapter" mask="send" 
name="org.bluez" pid=25873 label="ubtd.mzanetti_shareplugin_0.1" peer_pid=911 
peer_label="unconfined"
  [65933.630121] exe="/usr/bin/dbus-daemon" sauid=102 hostname=? addr=? 
terminal=?'
  [65934.633739] type=1107 audit(1460496073.536:2517): pid=891 uid=102 

[Touch-packages] [Bug 1569316] Re: Log flooded with run/dbus/system_bus_socket wr denied

2016-04-12 Thread Tyler Hicks
Committed as r3437 in lp:apparmor

** Also affects: apparmor
   Importance: Undecided
   Status: New

** Changed in: apparmor
   Importance: Undecided => Medium

** Changed in: apparmor
   Status: New => Fix Committed

** Changed in: apparmor
 Assignee: (unassigned) => Tyler Hicks (tyhicks)

** Changed in: apparmor
Milestone: None => 2.11

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1569316

Title:
  Log flooded with run/dbus/system_bus_socket wr denied

Status in AppArmor:
  Fix Committed
Status in apparmor package in Ubuntu:
  In Progress

Bug description:
  Since latest upgrade, my logs are flooded with this message :

  audit: type=1400 audit(1460463960.943:31702): apparmor="ALLOWED"
  operation="connect" info="Failed name lookup - disconnected path"
  error=-13 profile="/usr/sbin/dnsmasq"
  name="run/dbus/system_bus_socket" pid=3448 comm="dnsmasq"
  requested_mask="wr" denied_mask="wr" fsuid=65534 ouid=0

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: apparmor-profiles 2.10.95-0ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Tue Apr 12 14:26:42 2016
  InstallationDate: Installed on 2015-10-04 (190 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20151002)
  PackageArchitecture: all
  ProcKernelCmdline: BOOT_IMAGE=/vmlinuz-4.4.0-18-generic.efi.signed 
root=/dev/mapper/ubuntu--vg-root ro noprompt persistent kaslr threadirqs quiet 
splash vt.handoff=7
  SourcePackage: apparmor
  Syslog:
   Apr 12 09:42:22 franck-ThinkPad-T430s dbus[2219]: [system] AppArmor D-Bus 
mediation is enabled
   Apr 12 12:24:39 franck-ThinkPad-T430s dbus[2318]: [system] AppArmor D-Bus 
mediation is enabled
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.apparmor.d.sbin.klogd: [modified]
  modified.conffile..etc.apparmor.d.sbin.syslogd: [modified]
  modified.conffile..etc.apparmor.d.usr.bin.chromium.browser: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.dovecot: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.identd: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.mdnsd: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.nmbd: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.smbd: [modified]
  mtime.conffile..etc.apparmor.d.sbin.klogd: 2015-10-05T12:04:03.854535
  mtime.conffile..etc.apparmor.d.sbin.syslogd: 2015-10-05T12:03:15.705968
  mtime.conffile..etc.apparmor.d.usr.bin.chromium.browser: 
2015-10-05T12:02:05.273141
  mtime.conffile..etc.apparmor.d.usr.sbin.dovecot: 2015-10-05T12:00:55.356323
  mtime.conffile..etc.apparmor.d.usr.sbin.identd: 2015-10-05T12:01:02.204403
  mtime.conffile..etc.apparmor.d.usr.sbin.mdnsd: 2015-10-05T12:02:37.861523
  mtime.conffile..etc.apparmor.d.usr.sbin.nmbd: 2015-10-05T12:00:10.119794
  mtime.conffile..etc.apparmor.d.usr.sbin.smbd: 2015-10-05T12:00:26.103981

To manage notifications about this bug go to:
https://bugs.launchpad.net/apparmor/+bug/1569316/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569573] Re: recent snapd path renames causes apparmor to not load profiles on boot

2016-04-12 Thread Jamie Strandboge
** Changed in: apparmor (Ubuntu)
   Status: Triaged => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1569573

Title:
  recent snapd path renames causes apparmor to not load profiles on boot

Status in Snappy:
  New
Status in apparmor package in Ubuntu:
  In Progress

Bug description:
  /lib/apparmor/functions has this:
  PROFILES_SNAPPY="/var/lib/snappy/apparmor/profiles"

  The recent snappy path renames move the profiles to
  /var/lib/snapd/apparmor/profiles so now snappy apparmor profiles are
  not loading on boot.

  apparmor needs this change:
  PROFILES_SNAPPY="/var/lib/snapd/apparmor/profiles"

To manage notifications about this bug go to:
https://bugs.launchpad.net/snappy/+bug/1569573/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 789309] Re: GLX Mac Radeon 9000

2016-04-12 Thread ernsteiswuerfel
Is this perhaps related to #1432949? If yes it's still here in Ubuntu
MATE 16.04 daily.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/789309

Title:
  GLX Mac Radeon 9000

Status in xorg package in Ubuntu:
  Incomplete

Bug description:
  Binary package hint: xorg

  No Opengl on ati radeon 9000

  ProblemType: Bug
  DistroRelease: Ubuntu 10.04
  Package: xorg 1:7.5+5ubuntu1
  ProcVersionSignature: Ubuntu 2.6.32-31.61-powerpc 2.6.32.32+drm33.14
  Uname: Linux 2.6.32-31-powerpc ppc
  Architecture: powerpc
  Date: Mon May 30 06:01:51 2011
  InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release powerpc (20100428)
  ProcEnviron:
   LANG=en_CA.UTF-8
   SHELL=/bin/bash
  RelatedPackageVersions:
   xserver-xorg 1:7.5+5ubuntu1
   libgl1-mesa-glx 7.7.1-1ubuntu3
   libdrm2 2.4.18-1ubuntu3
   xserver-xorg-video-ati 1:6.13.0-1ubuntu5
   xserver-xorg-video-nouveau N/A
  SourcePackage: xorg
  system:
   distro: Ubuntu
   codename:   lucid
   architecture:   ppc
   kernel: 2.6.32-31-powerpc

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/789309/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569316] Re: Log flooded with run/dbus/system_bus_socket wr denied

2016-04-12 Thread Launchpad Bug Tracker
** Branch linked: lp:apparmor

** Branch linked: lp:apparmor/2.10

** Branch linked: lp:apparmor/2.9

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1569316

Title:
  Log flooded with run/dbus/system_bus_socket wr denied

Status in apparmor package in Ubuntu:
  In Progress

Bug description:
  Since latest upgrade, my logs are flooded with this message :

  audit: type=1400 audit(1460463960.943:31702): apparmor="ALLOWED"
  operation="connect" info="Failed name lookup - disconnected path"
  error=-13 profile="/usr/sbin/dnsmasq"
  name="run/dbus/system_bus_socket" pid=3448 comm="dnsmasq"
  requested_mask="wr" denied_mask="wr" fsuid=65534 ouid=0

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: apparmor-profiles 2.10.95-0ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Tue Apr 12 14:26:42 2016
  InstallationDate: Installed on 2015-10-04 (190 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20151002)
  PackageArchitecture: all
  ProcKernelCmdline: BOOT_IMAGE=/vmlinuz-4.4.0-18-generic.efi.signed 
root=/dev/mapper/ubuntu--vg-root ro noprompt persistent kaslr threadirqs quiet 
splash vt.handoff=7
  SourcePackage: apparmor
  Syslog:
   Apr 12 09:42:22 franck-ThinkPad-T430s dbus[2219]: [system] AppArmor D-Bus 
mediation is enabled
   Apr 12 12:24:39 franck-ThinkPad-T430s dbus[2318]: [system] AppArmor D-Bus 
mediation is enabled
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.apparmor.d.sbin.klogd: [modified]
  modified.conffile..etc.apparmor.d.sbin.syslogd: [modified]
  modified.conffile..etc.apparmor.d.usr.bin.chromium.browser: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.dovecot: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.identd: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.mdnsd: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.nmbd: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.smbd: [modified]
  mtime.conffile..etc.apparmor.d.sbin.klogd: 2015-10-05T12:04:03.854535
  mtime.conffile..etc.apparmor.d.sbin.syslogd: 2015-10-05T12:03:15.705968
  mtime.conffile..etc.apparmor.d.usr.bin.chromium.browser: 
2015-10-05T12:02:05.273141
  mtime.conffile..etc.apparmor.d.usr.sbin.dovecot: 2015-10-05T12:00:55.356323
  mtime.conffile..etc.apparmor.d.usr.sbin.identd: 2015-10-05T12:01:02.204403
  mtime.conffile..etc.apparmor.d.usr.sbin.mdnsd: 2015-10-05T12:02:37.861523
  mtime.conffile..etc.apparmor.d.usr.sbin.nmbd: 2015-10-05T12:00:10.119794
  mtime.conffile..etc.apparmor.d.usr.sbin.smbd: 2015-10-05T12:00:26.103981

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor/+bug/1569316/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569436] Re: System takes an extremely long time to boot when system clock inaccurate

2016-04-12 Thread Per Parker
Normal dmesg for reference.



** Attachment added: "dmesg_normal.log"
   
https://bugs.launchpad.net/ubuntu/+source/libdrm/+bug/1569436/+attachment/4634780/+files/dmesg_normal.log

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libdrm in Ubuntu.
https://bugs.launchpad.net/bugs/1569436

Title:
  System takes an extremely long time to boot when system clock
  inaccurate

Status in libdrm package in Ubuntu:
  New

Bug description:
  I noticed this problem after I corrected the system clock from another
  OS (fixing the time on any of my OSs causes the others to display an
  incorrect time...). Ordinarily Ubuntu 16.04 starts in about 30 seconds
  on my system and displays the splash screen during early
  initialization. When the system clock is wrong, the splash screen is
  not displayed and the system takes about 5 minutes to start.

  Additionally, when the screen saver is on, it takes about 5 minutes
  from moving the mouse for the screens to turn on (there are two, if
  that matters)

  I think this is related to libdrm-amdgpu1 because dmesg gives me
  hundreds of messages looking like:

  [  308.832210] Failed to send Message.
  [  309.230389] Failed to send Previous Message.

  These messages originate from a drm source file:
  
https://github.com/torvalds/linux/blob/c05c2ec96bb8b7310da1055c7b9d786a3ec6dc0c/drivers/gpu/drm/amd/amdgpu/tonga_smc.c
  (There's another amdgpu file with the same messages but my GPU is tonga 
architecture)

  I'm not entirely sure that the system clock is responsible but this
  seems to be an intermittent problem and I haven't noticed any other
  contributing factors.

  $ lsb_release -rd
  Description:  Ubuntu Xenial Xerus (development branch)
  Release:  16.04

  $ apt-cache policy libdrm-amdgpu1
  libdrm-amdgpu1:
Installed: 2.4.67-1
Candidate: 2.4.67-1
Version table:
   *** 2.4.67-1 500
  500 http://ca.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  100 /var/lib/dpkg/status

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: libdrm-amdgpu1 2.4.67-1
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  .tmp.unity.support.test.0:
   
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  BootLog:
   
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  CurrentDesktop: Unity
  Date: Tue Apr 12 11:33:56 2016
  Dependencies:
   gcc-6-base 6-20160405-0ubuntu2
   libc6 2.23-0ubuntu2
   libdrm2 2.4.67-1
   libgcc1 1:6-20160405-0ubuntu2
  DistUpgraded: Fresh install
  DistroCodename: xenial
  DistroVariant: ubuntu
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Tonga PRO [Radeon R9 285/380] 
[1002:6939] (prog-if 00 [VGA controller])
 Subsystem: Gigabyte Technology Co., Ltd Tonga PRO [Radeon R9 285/380] 
[1458:229d]
  InstallationDate: Installed on 2016-03-21 (21 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160307)
  MachineType: Gigabyte Technology Co., Ltd. X58A-UD5
  ProcEnviron:
   LANGUAGE=en_CA:en
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_CA.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-18-generic 
root=UUID=b3ebe998-0b62-447a-9406-abf7f5e1f94c ro quiet splash vt.handoff=7
  SourcePackage: libdrm
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 02/01/2011
  dmi.bios.vendor: Award Software International, Inc.
  dmi.bios.version: FD
  dmi.board.name: X58A-UD5
  dmi.board.vendor: Gigabyte Technology Co., Ltd.
  dmi.board.version: x.x
  dmi.chassis.type: 3
  dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
  dmi.modalias: 
dmi:bvnAwardSoftwareInternational,Inc.:bvrFD:bd02/01/2011:svnGigabyteTechnologyCo.,Ltd.:pnX58A-UD5:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnX58A-UD5:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
  dmi.product.name: X58A-UD5
  dmi.sys.vendor: Gigabyte Technology Co., Ltd.
  version.compiz: compiz 1:0.9.12.2+16.04.20160331-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.67-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu1
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu1
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.3-1ubuntu2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160325-1ubuntu1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:1.0.12-1build2
  xserver.bootTime: Tue Apr 12 11:21:51 2016
  xserver.configfile: default
  xserver.errors:
   
  xserver.logfile: /var/log/Xorg.0.log
  

[Touch-packages] [Bug 1568439] Re: QtLocation OSM based routing does not work any more

2016-04-12 Thread Pat McGowan
We have a need to go to 5.5 fairly soon so perhaps we gain this directly
rather than backport.

** Changed in: canonical-devices-system-image
   Status: New => Incomplete

** Changed in: canonical-devices-system-image
 Assignee: (unassigned) => Pat McGowan (pat-mcgowan)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtlocation-opensource-src
in Ubuntu.
https://bugs.launchpad.net/bugs/1568439

Title:
  QtLocation OSM based routing does not work any more

Status in Canonical System Image:
  Incomplete
Status in qtlocation-opensource-src package in Ubuntu:
  New

Bug description:
  Apparently OSM changed a status code in their server, so all routing
  operations fail.

  This has been fixed in Qt 5.5. Please consider backporting this patch
  to our Qt 5.4 version:

  
http://code.qt.io/cgit/qt/qtlocation.git/patch/?id=9969179a06c30b56d3d057aba127686b64ccd659

  I have tested it locally and it seems to work fine.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1568439/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1432949] Re: r300 Mesa driver not loading with KMS enabled

2016-04-12 Thread ernsteiswuerfel
Still here on todays Ubuntu MATE 16.04 LTS (mesa 11.2, xserver-xorg-
video-radeon 7.7.0). Tested on a PowerMac G5 7,3.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1432949

Title:
  r300 Mesa driver not loading with KMS enabled

Status in Mesa:
  Confirmed
Status in mesa package in Ubuntu:
  Confirmed

Bug description:
  I cannot get 3D acceleration to work. I was expecting to see the gears
  via the command 'glxgears' I have KMS enable on my iBook G4 by using
  the following parameter

  Linux radeon.modeset=1 video=offb:off video=1024x768-32
  video=radeonfb:off radeon.agpmode=-1

  Here are my Mesa and Xorg output

  rican-linux@ibookG4-UbuntuMATE:~$ cat /var/log/Xorg.0.log |grep -e radeon -e 
dri2 -e drm -e KMS
  [32.774] Kernel command line: 
root=UUID=fadadc01-6fd5-49fa-85f3-9e52d0fe6155 ro quiet splash video=offb:off 
video=1024x768-32 video=radeonfb:off radeon.modeset=1 video=offb:off 
video=1024x768-32 video=radeonfb:off radeon.agpmode=-1
  [33.203] (II) xfree86: Adding drm device (/dev/dri/card0)
  [35.011] (II) LoadModule: "radeon"
  [35.012] (II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
  [35.337] (II) Module radeon: vendor="X.Org Foundation"
  [35.604] (II) [KMS] Kernel modesetting enabled.
  [35.697] (II) Loading sub module "dri2"
  [35.697] (II) LoadModule: "dri2"
  [35.697] (II) Module "dri2" already built-in
  [35.870] (II) RADEON(0): KMS Color Tiling: enabled
  [35.870] (II) RADEON(0): KMS Color Tiling 2D: disabled
  [35.870] (II) RADEON(0): KMS Pageflipping: enabled
  rican-linux@ibookG4-UbuntuMATE:~$ LIBGL_DEBUG=verbose glxinfo |grep render
  libGL: screen 0 does not appear to be DRI3 capable
  libGL: pci id for fd 4: 1002:4e56, driver r300
  libGL: OpenDriver: trying /usr/lib/powerpc-linux-gnu/dri/tls/r300_dri.so
  libGL: OpenDriver: trying /usr/lib/powerpc-linux-gnu/dri/r300_dri.so
  libGL error: No matching fbConfigs or visuals found
  libGL error: failed to load driver: r300
  libGL: OpenDriver: trying /usr/lib/powerpc-linux-gnu/dri/tls/swrast_dri.so
  libGL: OpenDriver: trying /usr/lib/powerpc-linux-gnu/dri/swrast_dri.so
  libGL error: No matching fbConfigs or visuals found
  libGL error: failed to load driver: swrast
  Error: couldn't find RGB GLX visual or fbconfig
  rican-linux@ibookG4-UbuntuMATE:~$ dpkg -l libgl1-mesa-dri
  Desired=Unknown/Install/Remove/Purge/Hold
  | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
  |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
  ||/ Name   Version  Architecture Description
  +++-==---=
  ii  libgl1-mesa-dr 10.5.0~rc1-0 powerpc  free implementation of the OpenGL
  rican-linux@ibookG4-UbuntuMATE:~$ 

  rican-linux@ibookG4-UbuntuMATE:~$ lsb_release -rd
  Description:  Ubuntu Vivid Vervet (development branch)
  Release:  15.04

  rican-linux@ibookG4-UbuntuMATE:~$ apt-cache policy libgl1-mesa-dri
  libgl1-mesa-dri:
Installed: 10.5.0~rc1-0ubuntu1
Candidate: 10.5.0-0ubuntu1
Version table:
   10.5.0-0ubuntu1 0
  500 http://ports.ubuntu.com/ubuntu-ports/ vivid/main powerpc Packages
   *** 10.5.0~rc1-0ubuntu1 0
  100 /var/lib/dpkg/status

  ProblemType: Bug
  DistroRelease: Ubuntu 15.04
  Package: libgl1-mesa-dri 10.5.0~rc1-0ubuntu1
  ProcVersionSignature: Ubuntu 3.18.0-13.14-powerpc-smp 3.18.5
  Uname: Linux 3.18.0-13-powerpc-smp ppc
  ApportVersion: 2.16.1-0ubuntu2
  Architecture: powerpc
  CurrentDesktop: MATE
  Date: Tue Mar 17 00:58:43 2015
  InstallationDate: Installed on 2015-03-17 (0 days ago)
  InstallationMedia: Ubuntu-MATE 15.04 "Vivid Vervet" - Alpha powerpc (20150225)
  SourcePackage: mesa
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/mesa/+bug/1432949/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569316] Re: Log flooded with run/dbus/system_bus_socket wr denied

2016-04-12 Thread Tyler Hicks
The network-manager upgrade from 1.0.4-0ubuntu10 to 1.1.93-0ubuntu2 is
what triggered this new denial.

To fix this for 16.04, we'll have to simply add the attach_disconnected
flag to the dnsmasq profile.

** Changed in: apparmor (Ubuntu)
   Importance: Undecided => High

** Changed in: apparmor (Ubuntu)
   Status: Confirmed => In Progress

** Changed in: apparmor (Ubuntu)
 Assignee: (unassigned) => Tyler Hicks (tyhicks)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1569316

Title:
  Log flooded with run/dbus/system_bus_socket wr denied

Status in apparmor package in Ubuntu:
  In Progress

Bug description:
  Since latest upgrade, my logs are flooded with this message :

  audit: type=1400 audit(1460463960.943:31702): apparmor="ALLOWED"
  operation="connect" info="Failed name lookup - disconnected path"
  error=-13 profile="/usr/sbin/dnsmasq"
  name="run/dbus/system_bus_socket" pid=3448 comm="dnsmasq"
  requested_mask="wr" denied_mask="wr" fsuid=65534 ouid=0

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: apparmor-profiles 2.10.95-0ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Tue Apr 12 14:26:42 2016
  InstallationDate: Installed on 2015-10-04 (190 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20151002)
  PackageArchitecture: all
  ProcKernelCmdline: BOOT_IMAGE=/vmlinuz-4.4.0-18-generic.efi.signed 
root=/dev/mapper/ubuntu--vg-root ro noprompt persistent kaslr threadirqs quiet 
splash vt.handoff=7
  SourcePackage: apparmor
  Syslog:
   Apr 12 09:42:22 franck-ThinkPad-T430s dbus[2219]: [system] AppArmor D-Bus 
mediation is enabled
   Apr 12 12:24:39 franck-ThinkPad-T430s dbus[2318]: [system] AppArmor D-Bus 
mediation is enabled
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.apparmor.d.sbin.klogd: [modified]
  modified.conffile..etc.apparmor.d.sbin.syslogd: [modified]
  modified.conffile..etc.apparmor.d.usr.bin.chromium.browser: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.dovecot: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.identd: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.mdnsd: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.nmbd: [modified]
  modified.conffile..etc.apparmor.d.usr.sbin.smbd: [modified]
  mtime.conffile..etc.apparmor.d.sbin.klogd: 2015-10-05T12:04:03.854535
  mtime.conffile..etc.apparmor.d.sbin.syslogd: 2015-10-05T12:03:15.705968
  mtime.conffile..etc.apparmor.d.usr.bin.chromium.browser: 
2015-10-05T12:02:05.273141
  mtime.conffile..etc.apparmor.d.usr.sbin.dovecot: 2015-10-05T12:00:55.356323
  mtime.conffile..etc.apparmor.d.usr.sbin.identd: 2015-10-05T12:01:02.204403
  mtime.conffile..etc.apparmor.d.usr.sbin.mdnsd: 2015-10-05T12:02:37.861523
  mtime.conffile..etc.apparmor.d.usr.sbin.nmbd: 2015-10-05T12:00:10.119794
  mtime.conffile..etc.apparmor.d.usr.sbin.smbd: 2015-10-05T12:00:26.103981

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor/+bug/1569316/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569573] [NEW] recent snapd path renames causes apparmor to not load profiles on boot

2016-04-12 Thread Jamie Strandboge
Public bug reported:

/lib/apparmor/functions has this:
PROFILES_SNAPPY="/var/lib/snappy/apparmor/profiles"

The recent snappy path renames move the profiles to
/var/lib/snapd/apparmor/profiles so now snappy apparmor profiles are not
loading on boot.

apparmor needs this change:
PROFILES_SNAPPY="/var/lib/snapd/apparmor/profiles"

** Affects: snappy
 Importance: Undecided
 Status: New

** Affects: apparmor (Ubuntu)
 Importance: Critical
 Assignee: Tyler Hicks (tyhicks)
 Status: Triaged

** Changed in: apparmor (Ubuntu)
   Status: New => Triaged

** Changed in: apparmor (Ubuntu)
   Importance: Undecided => Critical

** Changed in: apparmor (Ubuntu)
 Assignee: (unassigned) => Tyler Hicks (tyhicks)

** Also affects: snappy
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1569573

Title:
  recent snapd path renames causes apparmor to not load profiles on boot

Status in Snappy:
  New
Status in apparmor package in Ubuntu:
  Triaged

Bug description:
  /lib/apparmor/functions has this:
  PROFILES_SNAPPY="/var/lib/snappy/apparmor/profiles"

  The recent snappy path renames move the profiles to
  /var/lib/snapd/apparmor/profiles so now snappy apparmor profiles are
  not loading on boot.

  apparmor needs this change:
  PROFILES_SNAPPY="/var/lib/snapd/apparmor/profiles"

To manage notifications about this bug go to:
https://bugs.launchpad.net/snappy/+bug/1569573/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569064] Re: ifupdown wants to configure interfaces it shouldn't (lxdbr0)

2016-04-12 Thread Serge Hallyn
Removing /etc/network/interfaces.d/* and putting eth0 into
/etc/network/interfaces fixes it.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ifupdown in Ubuntu.
https://bugs.launchpad.net/bugs/1569064

Title:
  ifupdown wants to configure interfaces it shouldn't (lxdbr0)

Status in ifupdown package in Ubuntu:
  Confirmed
Status in lxd package in Ubuntu:
  Confirmed

Bug description:
  The reproducer:

  create a xenial vm.  There, run

  lxc launch ubuntu:

  leave that container running, and reboot.  If you're "lucky",
  networking will never come up:

  [[0;32m  OK  [0m] Found device /sys/subsystem/net/devices/lxdbr0.
  [[0m[0;31m* [0m] A start job is running for Raise network interfaces (32s 
/ 5min 11s)[K[[0;1;31m*[0m[0;31m*[0m]
   A start job is running for Raise network interfaces (33s / 5min 
11s)[K[[0;31m*[0;1;31m*[0m[0;31m*   [0m] A start job i
  s running for Raise network interfaces (34s / 5min 11s)[K[ 
[0;31m*[0;1;31m*[0m[0;31m*  [0m] A start job is running for
  Raise network interfaces (34s / 5min 11s)[K[  [0;31m*[0;1;31m*[0m[0;31m* [0m] 
A start job is running for Raise network
  interfaces (35s / 5min 11s)[K[   [0;31m*[0;1;31m*[0m[0;31m*[0m] A start job 
is running for Raise network interfaces (35
  s / 5min 11s)[K[[0;31m*[0;1;31m*[0m] A start job is running for Raise 
network interfaces (36s / 5min 11s)[K[ [0
  ;31m*[0m] A start job is running for Raise network interfaces (37s / 5min 
11s)[K[[0;31m*[0;1;31m*[0m] A start job i

  (etc)

  I can reproduce this 100% on serverstack (openstack) instances.  I
  cannot reproduce it locally with uvt-kvm.

  What appears to be happening is that lxd starts lxd-bridge which
  creates lxdbr0 with no ipv4 address;  this racily happens before
  systemd does its networking setup;  said network setup then sees
  lxdbr0 and wants to configure it, so waits for it to have an ip
  address.  Plausible?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ifupdown/+bug/1569064/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1566341] Re: Missing translations in the indicators

2016-04-12 Thread Pat McGowan
** Summary changed:

- ``Tomorrow'' appears untranslated
+ Missing translations in the indicators

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to indicator-datetime in
Ubuntu.
https://bugs.launchpad.net/bugs/1566341

Title:
  Missing translations in the indicators

Status in Canonical System Image:
  In Progress
Status in indicator-datetime package in Ubuntu:
  Invalid

Bug description:
  Reported in the ubuntu-phone mailing list's ``Landing team 31.03.16''
  thread:

  Richard Somlói:
  >  "Tomorrow" should be "Holnap" in Hungarian, and it worked well with the 
previous images. Could somebody confirm it with another language?

  sil2100:
  > I just checked the indicator-datetime language pack and see Tomorrow as 
translated in all possible places there, so at least it's not a problem with 
the langpack itself. I would recommend filling in a bug against 
indicator-datetime so that the developers can take a look what's wrong.
  > But there is certainly something wrong since I get the same issue with the 
Polish locale.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1566341/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1568007] Re: The main app scope doesn't show up

2016-04-12 Thread Pat McGowan
** Changed in: canonical-devices-system-image
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity-scopes-api in
Ubuntu.
https://bugs.launchpad.net/bugs/1568007

Title:
  The main app scope doesn't show up

Status in Canonical System Image:
  Incomplete
Status in unity-scopes-api package in Ubuntu:
  New
Status in unity8 package in Ubuntu:
  New

Bug description:
  I upload a picture that explains the bug better than me. The apps from
  the phone doesn't show up in the app scope.

  After OTA-10 update it happens 2 times. I had to reboot and after that
  everything was ok.

  After OTA-10 update I needed to reboot the phone too many times. I
  don't like this update. It's beautifull as design and many bugs were
  solved with this update, but many things are slowing down the phone
  maybe.

  If you need more info I can search for logs with adb if you can give
  me more instructions.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1568007/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1568006] Re: Sim Card unrecgnized after certain time elapsed

2016-04-12 Thread Pat McGowan
** Also affects: telephony-service (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: canonical-devices-system-image
   Status: New => Incomplete

** Changed in: canonical-devices-system-image
 Assignee: (unassigned) => Bill Filler (bfiller)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to telephony-service in
Ubuntu.
https://bugs.launchpad.net/bugs/1568006

Title:
  Sim Card unrecgnized after certain time elapsed

Status in Canonical System Image:
  Incomplete
Status in telephony-service package in Ubuntu:
  New

Bug description:
  I have a BQ Aquaris 4.5 After updating to TA-9, the phone now
  occasionally falsely reports that there is no SIM Card installed,
  therefore I cannot make calls or send SMS Messages.

  There is no  regualr pattern to this, so describing how to recreate
  the issue is a problem, but this nornally happens if I do not use the
  phone for over 12 hours.

  I need to restart the phone and the SIM card is then recocnized.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1568006/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1528735] Re: Suspend reboots every second time on Lenovo G50-45

2016-04-12 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: pm-utils (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pm-utils in Ubuntu.
https://bugs.launchpad.net/bugs/1528735

Title:
  Suspend reboots every second time on Lenovo G50-45

Status in pm-utils package in Ubuntu:
  Confirmed

Bug description:
  Fresh install of Xubuntu 14.04.3, replacing existing OEM Windows 10.
  Install detected UEFI, and installed in UEFI mode. (I have attempted
  to change to legacy boot, and got it to a state where it was booting
  without /sys/firmware/efi/ being present, but behaviour persisted.)

  Suspending the laptop, whether by closing the lid, choosing the
  suspend option from the menu, or directly typing "sudo pm-suspend"
  works perfectly well... once.

  The second attempt to suspend, whether immediately or hours later,
  suspends the laptop (I can see the screen turn off, and hear the disk
  and fans stop, but a moment later the screen shows bright yellow
  console text declaring "Warning!!! Boot script table modified!!!
  Please contact your vendor.", and then it hard reboots.

  This appears to be a weird interaction between suspend and UEFI
  protection, but others have reported that they have had working
  suspend when installed alone (and presumably in legacy from the
  start), but this behaviour appeared when reinstalled as dual-boot
  (when presumably UEFI would have had to be on).
  (http://askubuntu.com/questions/675683/suspend-does-not-work-more-
  than-once-after-reboot-ubuntu-15-04-dual-boot/712232 and earlier
  http://askubuntu.com/questions/651481/boot-script-table-modified-
  please-contact-vendor, from different people.)

  Beyond the investigations I have done, I know next to nothing about
  UEFI, or how Suspend might be interacting with it. Much less why it
  appears to work perfectly exactly once.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: pm-utils 1.4.1-13ubuntu0.1
  ProcVersionSignature: Ubuntu 4.2.0-22.27~14.04.1-generic 4.2.6
  Uname: Linux 4.2.0-22-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.19
  Architecture: amd64
  CurrentDesktop: XFCE
  Date: Wed Dec 23 13:27:11 2015
  InstallationDate: Installed on 2015-12-19 (3 days ago)
  InstallationMedia: Xubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64 (20150805)
  PackageArchitecture: all
  SourcePackage: pm-utils
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pm-utils/+bug/1528735/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1528735] Re: Suspend reboots every second time on Lenovo G50-45

2016-04-12 Thread Julius Eckert
Same problem on Lenovo G70. Ubuntu 14.04 on 4.2.0-35-generic. Replaced
OEM Win10 with Ubuntu.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pm-utils in Ubuntu.
https://bugs.launchpad.net/bugs/1528735

Title:
  Suspend reboots every second time on Lenovo G50-45

Status in pm-utils package in Ubuntu:
  Confirmed

Bug description:
  Fresh install of Xubuntu 14.04.3, replacing existing OEM Windows 10.
  Install detected UEFI, and installed in UEFI mode. (I have attempted
  to change to legacy boot, and got it to a state where it was booting
  without /sys/firmware/efi/ being present, but behaviour persisted.)

  Suspending the laptop, whether by closing the lid, choosing the
  suspend option from the menu, or directly typing "sudo pm-suspend"
  works perfectly well... once.

  The second attempt to suspend, whether immediately or hours later,
  suspends the laptop (I can see the screen turn off, and hear the disk
  and fans stop, but a moment later the screen shows bright yellow
  console text declaring "Warning!!! Boot script table modified!!!
  Please contact your vendor.", and then it hard reboots.

  This appears to be a weird interaction between suspend and UEFI
  protection, but others have reported that they have had working
  suspend when installed alone (and presumably in legacy from the
  start), but this behaviour appeared when reinstalled as dual-boot
  (when presumably UEFI would have had to be on).
  (http://askubuntu.com/questions/675683/suspend-does-not-work-more-
  than-once-after-reboot-ubuntu-15-04-dual-boot/712232 and earlier
  http://askubuntu.com/questions/651481/boot-script-table-modified-
  please-contact-vendor, from different people.)

  Beyond the investigations I have done, I know next to nothing about
  UEFI, or how Suspend might be interacting with it. Much less why it
  appears to work perfectly exactly once.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: pm-utils 1.4.1-13ubuntu0.1
  ProcVersionSignature: Ubuntu 4.2.0-22.27~14.04.1-generic 4.2.6
  Uname: Linux 4.2.0-22-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.19
  Architecture: amd64
  CurrentDesktop: XFCE
  Date: Wed Dec 23 13:27:11 2015
  InstallationDate: Installed on 2015-12-19 (3 days ago)
  InstallationMedia: Xubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64 (20150805)
  PackageArchitecture: all
  SourcePackage: pm-utils
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pm-utils/+bug/1528735/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1567389] Re: OpenVPN connections should allow username and password

2016-04-12 Thread Pat McGowan
Be nice to complete the implementation

** Changed in: canonical-devices-system-image
   Importance: Undecided => High

** Changed in: canonical-devices-system-image
   Status: New => Confirmed

** Changed in: canonical-devices-system-image
Milestone: None => 11

** Changed in: canonical-devices-system-image
 Assignee: (unassigned) => Bill Filler (bfiller)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-settings-components
in Ubuntu.
https://bugs.launchpad.net/bugs/1567389

Title:
  OpenVPN connections should allow username and password

Status in Canonical System Image:
  Confirmed
Status in Ubuntu UX:
  New
Status in indicator-network package in Ubuntu:
  Incomplete
Status in ubuntu-settings-components package in Ubuntu:
  Triaged

Bug description:
  When configuring a VPN connection, there is no "username" field in
  which to enter one's username (an e-mail address, in my case).

  --

  Reproduce:
  - Access the VPN settings (Apps Scope-->System Settings-->VPN-->Add Manual 
Configuration...).
  - Attempt to enter username.

  Result:
  - There is no field in which to enter one's username.

  Expectation:
  - To be able to specify a username for one's VPN connection, as per their 
respective VPN subscription.

  --

  bq Aquaris E5 HD Ubuntu Edition:
  * OS build number: OTA-10
  * Ubuntu Image part: 20160401.1
  * Ubuntu build description: Ubuntu 15.04 - armhf (20160401-184657)
  * Device Image part: 20160329-a9bacdb
  * Device build description: VEGETA01A-S23A_BQ_L100EN_2011_160401
  * Customization Image part: 20160324--36-54-vivid

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1567389/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1567350] Re: Performance/behavior regression opening a new tab OTA-9  OTA-10

2016-04-12 Thread Pat McGowan
My MX4 is twice as slow as the E4.5 here (E is less than a sec and seems
fine, mx4 is close to 2 secs), neither has much tab history.

** Changed in: canonical-devices-system-image
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1567350

Title:
  Performance/behavior regression opening a new tab OTA-9  OTA-10

Status in Canonical System Image:
  Confirmed
Status in webbrowser-app package in Ubuntu:
  Confirmed

Bug description:
  Having upgraded from OTA-9 to OTA-10 on my daily phone, it seems
  opening a new tab UX is considerably slower for me than before
  upgrading.

  The experience now is:  1. press new tab button, 2. the bottom bar
  goes away, old web page is shown. 3. Only 2 seconds later, new tab
  opens.

  I don't remember anymore exactly how it was OTA-9, but there wasn't an
  UX problem for me there. The wait time was definitely considerably
  shorter, and maybe the bottom bar didn't disappear before the new tab
  was really opened.

  I've checked that the CPU usage isn't up by any other process, so this
  behavior change would seem to be within webbrowser/oxide.

  Device is Bq Aquaris E4.5.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1567350/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1539158] Re: Unable to pair with in-car hands-free system after OTA-9 update

2016-04-12 Thread Stunts
Fix Released - Is there some silo I can try to test this?

Thanks.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1539158

Title:
  Unable to pair with in-car hands-free system after OTA-9 update

Status in Canonical System Image:
  Fix Released
Status in bluez package in Ubuntu:
  Invalid
Status in ubuntu-system-settings package in Ubuntu:
  Fix Released

Bug description:
  After OTA-9 I started having trouble with my bluetooth connection to the car 
hands-free system (no sound, and incoming calls no longer displayed the 
number), so I have reset both the car and the phone connections (eg. forgot the 
devices).
  Now I can't even pair the phone with the car's system. 
  The car finds the phone, and then asks me to enter the code "" to pair 
the device, but after a few moments, it just says the connection failed and 
asks me to try again. Which fails again.

  It was working fine just before the update.

  Any logs I should post to help debug?

  PS - The car is a 2015 Honda Civic Tourer, if that matters.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1539158/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


Re: [Touch-packages] [Bug 1569064] Re: ifupdown wants to configure interfaces it shouldn't (lxdbr0)

2016-04-12 Thread Serge Hallyn
http://paste.ubuntu.com/15800537/

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ifupdown in Ubuntu.
https://bugs.launchpad.net/bugs/1569064

Title:
  ifupdown wants to configure interfaces it shouldn't (lxdbr0)

Status in ifupdown package in Ubuntu:
  Confirmed
Status in lxd package in Ubuntu:
  Confirmed

Bug description:
  The reproducer:

  create a xenial vm.  There, run

  lxc launch ubuntu:

  leave that container running, and reboot.  If you're "lucky",
  networking will never come up:

  [[0;32m  OK  [0m] Found device /sys/subsystem/net/devices/lxdbr0.
  [[0m[0;31m* [0m] A start job is running for Raise network interfaces (32s 
/ 5min 11s)[K[[0;1;31m*[0m[0;31m*[0m]
   A start job is running for Raise network interfaces (33s / 5min 
11s)[K[[0;31m*[0;1;31m*[0m[0;31m*   [0m] A start job i
  s running for Raise network interfaces (34s / 5min 11s)[K[ 
[0;31m*[0;1;31m*[0m[0;31m*  [0m] A start job is running for
  Raise network interfaces (34s / 5min 11s)[K[  [0;31m*[0;1;31m*[0m[0;31m* [0m] 
A start job is running for Raise network
  interfaces (35s / 5min 11s)[K[   [0;31m*[0;1;31m*[0m[0;31m*[0m] A start job 
is running for Raise network interfaces (35
  s / 5min 11s)[K[[0;31m*[0;1;31m*[0m] A start job is running for Raise 
network interfaces (36s / 5min 11s)[K[ [0
  ;31m*[0m] A start job is running for Raise network interfaces (37s / 5min 
11s)[K[[0;31m*[0;1;31m*[0m] A start job i

  (etc)

  I can reproduce this 100% on serverstack (openstack) instances.  I
  cannot reproduce it locally with uvt-kvm.

  What appears to be happening is that lxd starts lxd-bridge which
  creates lxdbr0 with no ipv4 address;  this racily happens before
  systemd does its networking setup;  said network setup then sees
  lxdbr0 and wants to configure it, so waits for it to have an ip
  address.  Plausible?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ifupdown/+bug/1569064/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1567201] Re: Wifi stops scan after enabled and disabled under flight mode, then disable flight mode

2016-04-12 Thread Pat McGowan
** Changed in: canonical-devices-system-image
   Importance: Undecided => High

** Changed in: canonical-devices-system-image
   Status: New => Confirmed

** Changed in: canonical-devices-system-image
 Assignee: (unassigned) => John McAleely (john.mcaleely)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1567201

Title:
  Wifi stops scan after enabled and disabled under flight mode, then
  disable flight mode

Status in Canonical System Image:
  Confirmed
Status in network-manager package in Ubuntu:
  New

Bug description:
  $ system-image-cli -i
  current build number: 307
  device name: krillin
  channel: ubuntu-touch/rc-proposed/bq-aquaris.en
  last update: 2016-04-06 21:36:35
  version version: 307
  version ubuntu: 20160406
  version device: 20160329-a9bacdb
  version custom: 20160324--36-54-vivid

  Steps to reproduce:
  1. Connected to an available AP
  2. Enable Flight Mode from network indicator, both Cellular data and wifi are 
disabled
  3. Enable wifi, wifi reconnected and listing the available AP
  4. Disabled wifi again, wifi disabled and the available AP list disappears
  5. Disable Flight Mode

  Actual results:
  The wifi toggle is switched to 'On', but no available AP listed, network 
indicator showing the state of Cellular data connection.
  If manual disable wifi then enable it again, it works normally.
  Not sure if it's the same root cause of bug #1560793, though the reproduce 
steps are a bit different.

  network-manager 0.9.10.0-4ubuntu15.1.11

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1567201/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1569494] Re: cdparanoia crashed with SIGSEGV in __GI___libc_free()

2016-04-12 Thread Brian Murray
** Information type changed from Private to Public

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cdparanoia in Ubuntu.
https://bugs.launchpad.net/bugs/1569494

Title:
  cdparanoia crashed with SIGSEGV in __GI___libc_free()

Status in cdparanoia package in Ubuntu:
  New

Bug description:
  I was ripping some CDs with asunder and discovered this crash report
  sometime during the process.

  ProblemType: Crash
  DistroRelease: Ubuntu 16.04
  Package: cdparanoia 3.10.2+debian-11
  ProcVersionSignature: Ubuntu 4.4.0-16.32-generic 4.4.6
  Uname: Linux 4.4.0-16-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia_modeset nvidia
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Tue Apr 12 09:27:09 2016
  Dependencies:
   gcc-6-base 6-20160319-0ubuntu1
   libc6 2.23-0ubuntu2
   libcdparanoia0 3.10.2+debian-11
   libgcc1 1:6-20160319-0ubuntu1
   multiarch-support 2.23-0ubuntu2
  EcryptfsInUse: Yes
  ExecutablePath: /usr/bin/cdparanoia
  InstallationDate: Installed on 2013-01-16 (1182 days ago)
  InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130116)
  ProcCmdline: cdparanoia -e -d /dev/cdrom 1 /home/username/Music/Max\ 
Brooks/World\ War\ Z\ Complete\ Edition/01\ -\ 6\ Around\ the\ World\ and\ 
Above\ I\ -\ \ Kyoto,\ Japan\ 4\ -\ Kondo\ Tatsumi\ -\ \ World\ War\ Z\ 
Complete\ Edition.wav
  ProcEnviron:
   LANGUAGE=en_US
   PATH=(custom, user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/zsh
  Signal: 11
  SourcePackage: cdparanoia
  StacktraceTop:
   __GI___libc_free (mem=0x2ef8f90) at malloc.c:2968
   i_cblock_destructor () from /usr/lib/x86_64-linux-gnu/libcdda_paranoia.so.0
   free_elem () from /usr/lib/x86_64-linux-gnu/libcdda_paranoia.so.0
   i_paranoia_trim () from /usr/lib/x86_64-linux-gnu/libcdda_paranoia.so.0
   paranoia_read_limited () from /usr/lib/x86_64-linux-gnu/libcdda_paranoia.so.0
  Title: cdparanoia crashed with SIGSEGV in __GI___libc_free()
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm autopilot cdrom dip libvirtd lpadmin plugdev sambashare 
sbuild sudo

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cdparanoia/+bug/1569494/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1566341] Re: ``Tomorrow'' appears untranslated

2016-04-12 Thread Pat McGowan
problem in the langpacks

** Changed in: canonical-devices-system-image
   Importance: Undecided => High

** Changed in: canonical-devices-system-image
   Status: New => In Progress

** Changed in: canonical-devices-system-image
Milestone: None => 11

** Changed in: canonical-devices-system-image
 Assignee: (unassigned) => Łukasz Zemczak (sil2100)

** Changed in: indicator-datetime (Ubuntu)
   Status: Confirmed => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to indicator-datetime in
Ubuntu.
https://bugs.launchpad.net/bugs/1566341

Title:
  ``Tomorrow'' appears untranslated

Status in Canonical System Image:
  In Progress
Status in indicator-datetime package in Ubuntu:
  Invalid

Bug description:
  Reported in the ubuntu-phone mailing list's ``Landing team 31.03.16''
  thread:

  Richard Somlói:
  >  "Tomorrow" should be "Holnap" in Hungarian, and it worked well with the 
previous images. Could somebody confirm it with another language?

  sil2100:
  > I just checked the indicator-datetime language pack and see Tomorrow as 
translated in all possible places there, so at least it's not a problem with 
the langpack itself. I would recommend filling in a bug against 
indicator-datetime so that the developers can take a look what's wrong.
  > But there is certainly something wrong since I get the same issue with the 
Polish locale.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1566341/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


Re: [Touch-packages] [Bug 1553309] Re: [FFe]: Include FIPS 140-2 into openssl package

2016-04-12 Thread Joy Latten
Hi Martin,

Dividing up the patch proved to be a challenge but was the right thing to
do.
I divided it up into a patch series of 6, with the first 5 patches being
those from fedora. The 6th patch was all my corrections and updates.
I ran all the prior testcases successfully.

Weird, but the fedora patches were not independent of each other. Each
patch relied on of the others to fulfill missing symbols and compile
successfully.
I usually like patches to be independent in that they compile
successfully,  even in a patch series.

Thanks and let me know what else is needed.

regards,
Joy

On Fri, Apr 8, 2016 at 9:04 AM, Joy Latten 
wrote:

> Hi Martin,
>
> I will get to work on all the resolutions we mentioned. Thanks!
> I will send you email when completed and list them.
>
> regards,
> Joy
>
> On Fri, Apr 8, 2016 at 2:07 AM, Martin Pitt 
> wrote:
>
>> Joy Latten [2016-04-08  5:07 -]:
>> > > -# define SHA1_Init   private_SHA1_Init
>> > Those defines are within an OPENSSL_FIPS so were never used in regular
>> > openssl.
>>
>> Ah, I see that this doesn't actually get shipped in libssl-dev, so
>> sorry for the noise.
>>
>> > > The changes in crypto/evp/p_sign.c and crypto/evp/p_verify.c don't
>> look
>> > > FIPS related, change the default behaviour, and should probably be
>> split
>> > > out into a separate patch with justification/origin and at least
>> > > proposed upstream.
>> > >
>> > >
>> > I did not think these change the default behaviour. They are adding PSS
>> or
>> > X931 padding to rsa
>> > if requested via a flag.
>>
>> Right, and both flags are already exported in
>> usr/include/openssl/evp.h in the current (unpatched) libssl. So, while
>> this code looks correct, it looks like a backported patch from
>> upstream which is unrelated to the FIPS changes.
>>
>> Again, I just noticed that during review. If that's part of the
>> original RedHat/SUSE patch etc., then by all means keep it (taking
>> unmodified patches from known, reliable, and declared origins trumps
>> pretty much everything else). But if that was one of the changes from
>> Ubuntu/you, it should be split out and sent upstream (or say which
>> upstream commit it was).
>>
>> > > It also concerns me that crypto/fips/ seems to reimplement RNG,
>> > > HMAC, and RSA algorithms which should already be in openssl
>> > > itself. [...] The reimplemented RNG (crypto/fips/fips_rand.c) has
>> > > no author information at all.
>> >
>> > Openssl community implements a lot of the fips approved algorithms into
>> the
>> > openssl-fips module, rather than into regular openssl.
>> > This means for us to acquire some of these fips approved algorithms, we
>> > must take them from the openssl-fips module source.
>>
>> Ah, so that's where they are coming from? I seems a bit dubious that
>> fips_rand.c is one of the very few files which does *not* have an
>> author information. So I guess this is another case of "as a reviewer
>> of this big patch I have not the slightest idea where this came from"
>> (cf. "split and declare patches by origin" again)
>>
>> > fips_utl.h is from the upstream openssl-fips module. It is a local
>> header
>> > file that is not exported into /usr/include/openssl.
>> > But if you prefer I can move the routines into fips_test_suite.c where
>> they
>> > are being used. Let me know if you feel strongly about this and I will
>> move
>> > them.
>>
>> No, I don't feel strongly about it, it just jumped my eye as a
>> potential trap. Again, if that's in the Ubuntu modified portion it'd
>> be nice to clean up, but do prefer unmodified patches over cleanup
>> like this.
>>
>> > > crypto/o_init.c disables checking for $OPENSSL_FORCE_FIPS_MODE. What's
>> > > the rationale for this?
>> > >
>> > >
>> > Oh wow! Yeah, that is very odd... carried over from the fedora patch. I
>> > will remove that.
>>
>> Just FTR, this would be a good example of keeping the fedora patch
>> as-is, and putting back the env check would then go into the Ubuntu
>> followup patch.
>>
>> Thanks!
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1553309
>>
>> Title:
>>   [FFe]: Include FIPS 140-2 into openssl  package
>>
>> Status in openssl package in Ubuntu:
>>   Incomplete
>>
>> Bug description:
>>   This is a request for a Feature Freeze Exception to include FIPS 140-2
>> selftest into the openssl package in preparation for the FIPS 140-2
>> compliance for 16.0.4.
>>   This patchset will :
>>- add ability to config, compile, run with fips option enabled
>>- add the selftest files to crypto/fips directory.
>>- minor changes to several algorithms in crypto directory to ensure
>> the selftest compile successfully when fips is enabled.
>>
>>   The selftest will be initiated externally at this point and not
>> internally.
>>   Hope to have a test package ready early next week.
>>
>> To manage notifications about this bug go to:

[Touch-packages] [Bug 1553309] Re: [FFe]: Include FIPS 140-2 into openssl package

2016-04-12 Thread Joy Latten
** Attachment added: "debdiff: latest patch series (6 patches) to add fips 
support to openssl"
   
https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1553309/+attachment/4634739/+files/debdiff.openssl_1.0.2g-1ubuntu3~ppa5

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssl in Ubuntu.
https://bugs.launchpad.net/bugs/1553309

Title:
  [FFe]: Include FIPS 140-2 into openssl  package

Status in openssl package in Ubuntu:
  Incomplete

Bug description:
  This is a request for a Feature Freeze Exception to include FIPS 140-2 
selftest into the openssl package in preparation for the FIPS 140-2 compliance 
for 16.0.4. 
  This patchset will :
   - add ability to config, compile, run with fips option enabled
   - add the selftest files to crypto/fips directory. 
   - minor changes to several algorithms in crypto directory to ensure the 
selftest compile successfully when fips is enabled. 
   
  The selftest will be initiated externally at this point and not internally.
  Hope to have a test package ready early next week.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1553309/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1563590] Re: 1.25.4, xenial, init script install error race

2016-04-12 Thread Launchpad Bug Tracker
This bug was fixed in the package systemd - 229-4ubuntu4

---
systemd (229-4ubuntu4) xenial; urgency=medium

  * 73-special-net-names.rules: Further refine ibmveth naming.

 -- Martin Pitt   Tue, 12 Apr 2016 12:06:30
+0200

** Changed in: systemd (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1563590

Title:
  1.25.4, xenial, init script install error race

Status in juju-core:
  Invalid
Status in systemd package in Ubuntu:
  Fix Released

Bug description:
  Notice the error: "The unit files have no [Install] section. They are
  not meant to be enabled using systemctl."  And the long error message
  after it saying this could be for a number of reasons.  My only clue
  is perhaps some kind of race, since I get this only occasionally.

  Here is the contents of the systemd file:

  /etc/systemd/system/multi-user.target.wants/jujud-machine-1.service

  http://paste.ubuntu.com/1673/

  Note, it does have an [Install] section, so I think the error from
  systemd link is at best misleading.

  
  Mar 29 21:47:37 pascal cloud-init[4957]: + mkdir -p 
/var/lib/juju/tools/1.25.4-xenial-amd64
  Mar 29 21:47:37 pascal cloud-init[4957]: + echo Fetching tools: curl -sSfw 
'tools from %{url_effective} downloaded: HTTP %{http_code}; time 
%{time_total}s; size %{size_download} bytes; speed %{speed_download} bytes/s ' 
--noproxy "*" --insecure -o $bin/tools.tar.gz <[
  Mar 29 21:47:37 pascal cloud-init[4957]: Fetching tools: curl -sSfw 'tools 
from %{url_effective} downloaded: HTTP %{http_code}; time %{time_total}s; size 
%{size_download} bytes; speed %{speed_download} bytes/s ' --noproxy "*" 
--insecure -o $bin/tools.tar.gz <[https:/
  Mar 29 21:47:37 pascal cloud-init[4957]: + seq 5
  Mar 29 21:47:37 pascal cloud-init[4957]: + printf Attempt 1 to download tools 
from %s...\n https://10.1.101.81:17070/tools/1.25.4-xenial-amd64
  Mar 29 21:47:37 pascal cloud-init[4957]: Attempt 1 to download tools from 
https://10.1.101.81:17070/tools/1.25.4-xenial-amd64...
  Mar 29 21:47:37 pascal cloud-init[4957]: + curl -sSfw tools from 
%{url_effective} downloaded: HTTP %{http_code}; time %{time_total}s; size 
%{size_download} bytes; speed %{speed_download} bytes/s  --noproxy * --insecure 
-o /var/lib/juju/tools/1.25.4-xenial-amd64/tools
  Mar 29 21:47:39 pascal cloud-init[4957]: tools from 
https://10.1.101.81:17070/tools/1.25.4-xenial-amd64 downloaded: HTTP 200; time 
2.408s; size 16602428 bytes; speed 6893479.000 bytes/s + echo Tools downloaded 
successfully.
  Mar 29 21:47:39 pascal cloud-init[4957]: Tools downloaded successfully.
  Mar 29 21:47:39 pascal cloud-init[4957]: + break
  Mar 29 21:47:39 pascal cloud-init[4957]: + sha256sum 
/var/lib/juju/tools/1.25.4-xenial-amd64/tools.tar.gz
  Mar 29 21:47:40 pascal cloud-init[4957]: + grep 
416c01467ac9ddd17907d3ab627631df10822c2a706631b86efead6f3f38d27b 
/var/lib/juju/tools/1.25.4-xenial-amd64/juju1.25.4-xenial-amd64.sha256
  Mar 29 21:47:40 pascal cloud-init[4957]: 
416c01467ac9ddd17907d3ab627631df10822c2a706631b86efead6f3f38d27b  
/var/lib/juju/tools/1.25.4-xenial-amd64/tools.tar.gz
  Mar 29 21:47:40 pascal cloud-init[4957]: + tar zxf 
/var/lib/juju/tools/1.25.4-xenial-amd64/tools.tar.gz -C 
/var/lib/juju/tools/1.25.4-xenial-amd64
  Mar 29 21:47:40 pascal cloud-init[4957]: + printf %s 
{"version":"1.25.4-xenial-amd64","url":"https://10.1.101.81:17070/environment/94a7eb52-f85f-4280-8b51-0f9c8cc07748/tools/1.25.4-xenial-amd64","sha256":"416c01467ac9ddd17907d3ab627631df10822c2a706631b86efead6f3f38d2
  Mar 29 21:47:40 pascal cloud-init[4957]: + mkdir -p 
/var/lib/juju/agents/machine-1
  Mar 29 21:47:40 pascal cloud-init[4957]: + cat
  Mar 29 21:47:40 pascal cloud-init[4957]: + chmod 0600 
/var/lib/juju/agents/machine-1/agent.conf
  Mar 29 21:47:40 pascal cloud-init[4957]: + ln -s 1.25.4-xenial-amd64 
/var/lib/juju/tools/machine-1
  Mar 29 21:47:40 pascal cloud-init[4957]: + echo Starting Juju machine agent 
(jujud-machine-1)
  Mar 29 21:47:40 pascal cloud-init[4957]: Starting Juju machine agent 
(jujud-machine-1)
  Mar 29 21:47:40 pascal cloud-init[4957]: + mkdir -p 
/var/lib/juju/init/jujud-machine-1
  Mar 29 21:47:40 pascal cloud-init[4957]: + cat
  Mar 29 21:47:40 pascal cloud-init[4957]: + chmod 0755 
/var/lib/juju/init/jujud-machine-1/exec-start.sh
  Mar 29 21:47:40 pascal cloud-init[4957]: + cat
  Mar 29 21:47:40 pascal cloud-init[4957]: + /bin/systemctl link 
/var/lib/juju/init/jujud-machine-1/jujud-machine-1.service
  Mar 29 21:47:40 pascal cloud-init[4957]: Created symlink from 
/etc/systemd/system/jujud-machine-1.service to 
/var/lib/juju/init/jujud-machine-1/jujud-machine-1.service.
  Mar 29 21:47:40 pascal systemd[1]: Reloading.
  Mar 29 21:47:40 pascal systemd[1]: Started ACPI event daemon.
  Mar 29 21:47:40 pascal cloud-init[4957]: + /bin/systemctl 

[Touch-packages] [Bug 1553309] Re: [FFe]: Include FIPS 140-2 into openssl package

2016-04-12 Thread Joy Latten
Code Review Resolutions:
1. Original one patch divided up into a patch-series of 6 patches. The first 5 
patches are the original patches from fedora. The 6th patch authored by me to 
fix compiler warnings and use updated fips compliant algorithms and tests from 
upstream openssl and openssl fips module.
2. Restored error codes to those from openssl upstream and any news ones 
associated with fips were given a value of 200+
to avoid collisions with openssl upstream updates.
3. Restored defines that had been changed in evp/evp.h
4. Removed fips-prng references in fips-rand.c since no longer allowed in fips 
mode and was specifically added for fips.

New test package in
https://launchpad.net/~j-latten/+archive/ubuntu/myppa

All testcases were run and succeeded.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssl in Ubuntu.
https://bugs.launchpad.net/bugs/1553309

Title:
  [FFe]: Include FIPS 140-2 into openssl  package

Status in openssl package in Ubuntu:
  Incomplete

Bug description:
  This is a request for a Feature Freeze Exception to include FIPS 140-2 
selftest into the openssl package in preparation for the FIPS 140-2 compliance 
for 16.0.4. 
  This patchset will :
   - add ability to config, compile, run with fips option enabled
   - add the selftest files to crypto/fips directory. 
   - minor changes to several algorithms in crypto directory to ensure the 
selftest compile successfully when fips is enabled. 
   
  The selftest will be initiated externally at this point and not internally.
  Hope to have a test package ready early next week.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1553309/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1491806] Re: Remove the new private header usage from webbrowser-app

2016-04-12 Thread Olivier Tilloy
Note that the fix for bug #1537782 adds back a dependency on qtbase5
-private-dev.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1491806

Title:
  Remove the new private header usage from webbrowser-app

Status in webbrowser-app package in Ubuntu:
  In Progress

Bug description:
  This is reportedly waiting for the bottom edge component from unity8
  to move to the UITK.

  The less packages depend on private headers, the less maintenance
  overhead for moving to new Qt versions and the less chance of
  breakage.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1491806/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1565969] Re: Udev rule causes automatic incorrect unmount of dm device

2016-04-12 Thread Launchpad Bug Tracker
This bug was fixed in the package systemd - 229-4ubuntu4

---
systemd (229-4ubuntu4) xenial; urgency=medium

  * 73-special-net-names.rules: Further refine ibmveth naming.

 -- Martin Pitt   Tue, 12 Apr 2016 12:06:30
+0200

** Changed in: systemd (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1565969

Title:
  Udev rule causes automatic incorrect unmount of dm device

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd package in Fedora:
  Unknown

Bug description:
  1) The release of Ubuntu you are using, via 'lsb_release -rd'

  Description: Ubuntu Xenial Xerus (development b ranch)
  Release: 16.04

  2) The version of the package you are using, via 'apt-cache policy
  pkgname'

  systemd:
Installed: 229-3ubuntu1
Candidate: 229-3ubuntu1

  3) What you expected to happen

  I am testing our E-Series Netapp storage array and the ability of the
  server to failover IO to the secondary path.  I pull a cable and allow
  DM-MP to fail the path and route IO down the other path.  I then
  replug the cable and repeat for the other path.

  I expect that the failover to occur and for the mount points to stay
  mounted through the operation.

  4) What happened instead

  I see in the system log that during the test systemd tries to perform
  an unmount operation on the mountpoint of the dm-device(s) that have
  lost an underlying path.  The unmount fails, I assume because there is
  active IO at the time.  However it should not be attempted in the
  first place.

  I believe this is related to the bug that we discovered in RHEL and
  SLES that can be seen in this redhat commit:

  https://github.com/lnykryn/systemd-
  rhel/commit/d77ced281c6d1f47b5dfc3abff6817d8f5756af9

  Our testing of RHEL seems to indicate that this patch resolved our
  problem.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: systemd 229-3ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-16.32-generic 4.4.6
  Uname: Linux 4.4.0-16-generic x86_64
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  Date: Mon Apr  4 13:56:35 2016
  MachineType: Dell Inc. PowerEdge R720
  ProcEnviron:
   TERM=xterm
   SHELL=/bin/bash
   PATH=(custom, no user)
   LANG=en_US
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-16-generic 
root=UUID=ab1330f8-0a76-4ba4-b2a2-a55f2b68b8c0 ro quiet splash vt.handoff=7
  SourcePackage: systemd
  SystemdDelta:
   [EXTENDED]   /lib/systemd/system/systemd-timesyncd.service -> 
/lib/systemd/system/systemd-timesyncd.service.d/disable-with-time-daemon.conf
   [EXTENDED]   /lib/systemd/system/rc-local.service -> 
/lib/systemd/system/rc-local.service.d/debian.conf
   
   2 overridden configuration files found.
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 01/22/2016
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 2.5.4
  dmi.board.name: 0VWT90
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A02
  dmi.chassis.type: 23
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr2.5.4:bd01/22/2016:svnDellInc.:pnPowerEdgeR720:pvr:rvnDellInc.:rn0VWT90:rvrA02:cvnDellInc.:ct23:cvr:
  dmi.product.name: PowerEdge R720
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1565969/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1561096] Re: STC850:Brazos:Br16:Br16p05: Network ethernet port name changed under Ubuntu 16.04 with added adapters (ibmveth)

2016-04-12 Thread Launchpad Bug Tracker
This bug was fixed in the package systemd - 229-4ubuntu4

---
systemd (229-4ubuntu4) xenial; urgency=medium

  * 73-special-net-names.rules: Further refine ibmveth naming.

 -- Martin Pitt   Tue, 12 Apr 2016 12:06:30
+0200

** Changed in: systemd (Ubuntu Xenial)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1561096

Title:
  STC850:Brazos:Br16:Br16p05: Network ethernet port name changed under
  Ubuntu 16.04 with added adapters (ibmveth)

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Xenial:
  Fix Released

Bug description:
  Problem Description : I had installed a fresh install of Ubuntu 16.04
  from an ISO image and had set up the partition as directed in the
  Wiki. I had set up the networking as directed in the WIKI and was able
  to ping "iofnim" and was able to perform updates and upgrades to the
  Ubuntu installation without issue.

  I had checked to make sure (by adding them to an existing AIX
  partition) that the Mason and Travis_EN adapters to be added were at
  the latest microcode levels.  I assigned them to the partition to be
  used (br16p05) and then shut down the partition and restarted it to
  allow the partition to activate the adapters.

  After the partition restarted, I attempted to build the network using
  build_net and during its run noticed that the output for the adapters
  was returning "Network is unreachable".  After it completed, I
  attempted to mount iofnim using the command:

  "mount iofnim.aus.stglabs.ibm.com:/nim/build_net /root/test -o nolock"

  which returned a "Failed" error message.

  I then ran "ifconfig -a" to check on the state of the network which
  had been working until I rebooted the partition after adding the
  adapters.

  I found the unconventional names for both the Mason and the Travis_EN
  adapters contained in the output from "ifconfig -a" but also found
  that "eth0", with which I had originally set up the network access for
  the partition during setupp, was no longer listed but instead "eth1"
  was now listed and none of the networking data including IP's reported
  from "ifconfig -a" were set.

  I consulted with Thiru and he asked I write it up and include a tar
  file created from /var/log which I have attached to the defect.

  As an additional note, I was able to go back into
  /etc/network/interfaces and modify the settings for "eth0" to now be
  set to "eth1" and after bringing the port down and back up, was able
  to again ping out and access the network.

  Please advise.

  == Comment: #7 - Kevin W. Rudd  - 2016-02-11 12:32:49 ==
  Thank you for the additional info.  This is not quite the same as the bug I 
referenced earlier.  It is actually a match for bug 122308 . 

  Canonical:

  This is the same basic issue as originally worked in LP Bug 1437375

  The ibmveth based devices are not associated with PCI bus locations,
  and still rely on the legacy eth? naming.  The problem here is that
  the 75-persistent-net-generator.rules file that used to set up the 70
  -persistent-net.rules file for these devices has been removed in 16.04

  This creates a name-slip problem for these ibmveth devices depending
  on the timing of other devices (where another NIC will temporarily be
  assigned a name like eth0 before it is renamed by udev).

  Please add back persistent-net-generator support for non-PCI-based
  devices like this.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1561096/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1565542] Re: init scripts don't set console fonts

2016-04-12 Thread Alexandr
Confirm bug in ubuntu 16.04 beta 2 with latest updates (2016.04.12)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to console-setup in Ubuntu.
https://bugs.launchpad.net/bugs/1565542

Title:
  init scripts don't set console fonts

Status in console-setup package in Ubuntu:
  In Progress

Bug description:
  1) lsb_release -rd
  Description:  Ubuntu 15.10
  Release:  15.10

  2) apt-cache policy keyboard-configuration
  keyboard-configuration:
    Installed: 1.108ubuntu9
    Candidate: 1.108ubuntu9
    Version table:
   *** 1.108ubuntu9 0
  500 http://ru.archive.ubuntu.com/ubuntu/ wily/main amd64 Packages
  100 /var/lib/dpkg/status

  3) I expected to have cyrillic font for consoles (/dev/tty[1-6]) after
  sudo dpkg-reconfigure console-setup
  and reboot

  4) I have cyrrilic font until I reboot. After reboot I have black boxes 
instead cyrillic chars.
  If I do:
  setfont /etc/console-setup/Uni2-TerminusBold16.psf.gz
  then I have cyrrilic font in current console

  I found that these scripts
  /usr/share/initramfs-tools/scripts/init-top/console_setup
  /lib/udev/console-setup-tty
  cannot properly set console fonts.
  They don't recognize option CODESET="guess" and FONTSIZE="*x*" and check if 
exist only *.psf file, but we have *.psf.gz

  I get part of code from /bin/setupcon and paste it in
  /usr/share/initramfs-tools/scripts/init-top/console_setup
  /lib/udev/console-setup-tty
  and add extra test for psf.gz and acm.gz files

  The attachment contain original scripts, fixed scripts and patches.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/console-setup/+bug/1565542/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1560420] Re: package linux-image-extra-4.2.0-33-generic (not installed) failed to install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1

2016-04-12 Thread Ed Broadley
Just before it happened, a background job was trying to compile
nvidia-364

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1560420

Title:
  package linux-image-extra-4.2.0-33-generic (not installed) failed to
  install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools
  exited with return code 1

Status in initramfs-tools package in Ubuntu:
  Confirmed

Bug description:
  After update the system by terminal and executing autoremove, I
  rebooted the system and this error appeared

  ProblemType: Package
  DistroRelease: Ubuntu 15.10
  Package: linux-image-extra-4.2.0-33-generic (not installed)
  ProcVersionSignature: Ubuntu 4.2.0-35.40-generic 4.2.8-ckt5
  Uname: Linux 4.2.0-35-generic x86_64
  ApportVersion: 2.19.1-0ubuntu5
  AptOrdering:
   libllvm3.6v5: Remove
   linux-image-extra-4.2.0-33-generic: Remove
   linux-image-4.2.0-33-generic: Remove
   initramfs-tools: Configure
   NULL: ConfigurePending
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  eluxzen3572 F pulseaudio
  Date: Tue Mar 22 11:00:39 2016
  DuplicateSignature: package:linux-image-extra-4.2.0-33-generic:(not 
installed):run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return 
code 1
  ErrorMessage: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with 
return code 1
  HibernationDevice: RESUME=UUID=be5ce25d-e97e-4617-bf87-464ff474022a
  InstallationDate: Installed on 2016-03-09 (12 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  MachineType: TOSHIBA SATELLITE U920T
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.2.0-35-generic 
root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
  PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No 
PulseAudio daemon running, or not running as session daemon.
  RelatedPackageVersions: grub-pc 2.02~beta2-29ubuntu0.3
  SourcePackage: initramfs-tools
  Title: package linux-image-extra-4.2.0-33-generic (not installed) failed to 
install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with 
return code 1
  UdevLog: Error: [Errno 2] Bestand of map bestaat niet: '/var/log/udev'
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 09/27/2013
  dmi.bios.vendor: TOSHIBA
  dmi.bios.version: Version 1.50
  dmi.board.asset.tag: 00
  dmi.board.name: SATELLITE U920T
  dmi.board.vendor: TOSHIBA
  dmi.board.version: Version A0
  dmi.chassis.asset.tag: 00
  dmi.chassis.type: 10
  dmi.chassis.vendor: TOSHIBA
  dmi.chassis.version: Version 1.0
  dmi.modalias: 
dmi:bvnTOSHIBA:bvrVersion1.50:bd09/27/2013:svnTOSHIBA:pnSATELLITEU920T:pvrPSUL1E-00U00HDU:rvnTOSHIBA:rnSATELLITEU920T:rvrVersionA0:cvnTOSHIBA:ct10:cvrVersion1.0:
  dmi.product.name: SATELLITE U920T
  dmi.product.version: PSUL1E-00U00HDU
  dmi.sys.vendor: TOSHIBA

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1560420/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1568787] Re: resolveconf does not reliable receive nameserver information from network manager

2016-04-12 Thread Thomas Hood
** Description changed:

- resolveconf does not reliable receive nameserver information from
- network manager.
+ resolvconf does not reliable receive nameserver information from
+ NetworkManager.
  
  In the journal I see things like:
  
  Apr 11 11:13:52 ottawa dnsmasq[3122]: setting upstream servers from DBus
  Apr 11 11:13:52 ottawa dnsmasq[3122]: using nameserver fe80::1#53
  Apr 11 11:13:52 ottawa dnsmasq[3122]: using nameserver 192.168.1.254#53
  Apr 11 11:13:52 ottawa dbus[978]: [system] Rejected send message, 13 matched 
rules; type="method_return", sender=":1.99" (uid=0 pid=3122 
comm="/usr/sbin/dnsmasq --no-resolv --keep-in-foreground") interface="(unset)" 
member="(unset)" error name="(unset)" requested_reply="0" destination=":1.8" 
(uid=0 pid=1017 comm="/usr/sbin/NetworkManager --no-daemon ")
  
  Apr 11 11:04:21 ottawa NetworkManager[1017]:   DNS: starting dnsmasq...
  Apr 11 11:04:21 ottawa NetworkManager[1017]:   dnsmasq not available on 
the bus, can't update servers.
  Apr 11 11:04:21 ottawa NetworkManager[1017]:  [1460369061.825658] 
[dns-manager/nm-dns-dnsmasq.c:387] update(): dnsmasq owner not found on bus: 
Could not get owner of name 'org.freedesktop.NetworkManager.dnsmasq': no such 
name
  
- 
- Doing this via dbus seems really odd, but I suspect messages between 
NetworkManager and the dnsmasq it spawns should not be rejected.
+ Doing this via dbus seems really odd, but I suspect messages between
+ NetworkManager and the dnsmasq it spawns should not be rejected.
  
  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: dnsmasq-base 2.75-1
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Mon Apr 11 11:17:34 2016
  InstallationDate: Installed on 2016-01-26 (76 days ago)
  InstallationMedia: Ubuntu-Server 16.04 LTS "Xenial Xerus" - Alpha amd64 
(20160125)
  SourcePackage: dnsmasq
  UpgradeStatus: No upgrade log present (probably fresh install)

** Summary changed:

- resolveconf does not reliable receive nameserver information from network 
manager
+ resolvconf does not reliable receive nameserver information from 
NetworkManager

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to dbus in Ubuntu.
https://bugs.launchpad.net/bugs/1568787

Title:
  resolvconf does not reliable receive nameserver information from
  NetworkManager

Status in dbus package in Ubuntu:
  New
Status in dnsmasq package in Ubuntu:
  New
Status in network-manager package in Ubuntu:
  New

Bug description:
  resolvconf does not reliable receive nameserver information from
  NetworkManager.

  In the journal I see things like:

  Apr 11 11:13:52 ottawa dnsmasq[3122]: setting upstream servers from DBus
  Apr 11 11:13:52 ottawa dnsmasq[3122]: using nameserver fe80::1#53
  Apr 11 11:13:52 ottawa dnsmasq[3122]: using nameserver 192.168.1.254#53
  Apr 11 11:13:52 ottawa dbus[978]: [system] Rejected send message, 13 matched 
rules; type="method_return", sender=":1.99" (uid=0 pid=3122 
comm="/usr/sbin/dnsmasq --no-resolv --keep-in-foreground") interface="(unset)" 
member="(unset)" error name="(unset)" requested_reply="0" destination=":1.8" 
(uid=0 pid=1017 comm="/usr/sbin/NetworkManager --no-daemon ")

  Apr 11 11:04:21 ottawa NetworkManager[1017]:   DNS: starting dnsmasq...
  Apr 11 11:04:21 ottawa NetworkManager[1017]:   dnsmasq not available on 
the bus, can't update servers.
  Apr 11 11:04:21 ottawa NetworkManager[1017]:  [1460369061.825658] 
[dns-manager/nm-dns-dnsmasq.c:387] update(): dnsmasq owner not found on bus: 
Could not get owner of name 'org.freedesktop.NetworkManager.dnsmasq': no such 
name

  Doing this via dbus seems really odd, but I suspect messages between
  NetworkManager and the dnsmasq it spawns should not be rejected.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: dnsmasq-base 2.75-1
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  ApportVersion: 2.20.1-0ubuntu1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Mon Apr 11 11:17:34 2016
  InstallationDate: Installed on 2016-01-26 (76 days ago)
  InstallationMedia: Ubuntu-Server 16.04 LTS "Xenial Xerus" - Alpha amd64 
(20160125)
  SourcePackage: dnsmasq
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dbus/+bug/1568787/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1560420] Re: package linux-image-extra-4.2.0-33-generic (not installed) failed to install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1

2016-04-12 Thread Ed Broadley
Also getting this, but for package linux-image-4.2.0-35-generic
4.2.0-35.40 failed to install/upgrade: run-parts: /etc/kernel/postinst.d
/initramfs-tools exited with return code 1

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1560420

Title:
  package linux-image-extra-4.2.0-33-generic (not installed) failed to
  install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools
  exited with return code 1

Status in initramfs-tools package in Ubuntu:
  Confirmed

Bug description:
  After update the system by terminal and executing autoremove, I
  rebooted the system and this error appeared

  ProblemType: Package
  DistroRelease: Ubuntu 15.10
  Package: linux-image-extra-4.2.0-33-generic (not installed)
  ProcVersionSignature: Ubuntu 4.2.0-35.40-generic 4.2.8-ckt5
  Uname: Linux 4.2.0-35-generic x86_64
  ApportVersion: 2.19.1-0ubuntu5
  AptOrdering:
   libllvm3.6v5: Remove
   linux-image-extra-4.2.0-33-generic: Remove
   linux-image-4.2.0-33-generic: Remove
   initramfs-tools: Configure
   NULL: ConfigurePending
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  eluxzen3572 F pulseaudio
  Date: Tue Mar 22 11:00:39 2016
  DuplicateSignature: package:linux-image-extra-4.2.0-33-generic:(not 
installed):run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return 
code 1
  ErrorMessage: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with 
return code 1
  HibernationDevice: RESUME=UUID=be5ce25d-e97e-4617-bf87-464ff474022a
  InstallationDate: Installed on 2016-03-09 (12 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  MachineType: TOSHIBA SATELLITE U920T
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.2.0-35-generic 
root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
  PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No 
PulseAudio daemon running, or not running as session daemon.
  RelatedPackageVersions: grub-pc 2.02~beta2-29ubuntu0.3
  SourcePackage: initramfs-tools
  Title: package linux-image-extra-4.2.0-33-generic (not installed) failed to 
install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with 
return code 1
  UdevLog: Error: [Errno 2] Bestand of map bestaat niet: '/var/log/udev'
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 09/27/2013
  dmi.bios.vendor: TOSHIBA
  dmi.bios.version: Version 1.50
  dmi.board.asset.tag: 00
  dmi.board.name: SATELLITE U920T
  dmi.board.vendor: TOSHIBA
  dmi.board.version: Version A0
  dmi.chassis.asset.tag: 00
  dmi.chassis.type: 10
  dmi.chassis.vendor: TOSHIBA
  dmi.chassis.version: Version 1.0
  dmi.modalias: 
dmi:bvnTOSHIBA:bvrVersion1.50:bd09/27/2013:svnTOSHIBA:pnSATELLITEU920T:pvrPSUL1E-00U00HDU:rvnTOSHIBA:rnSATELLITEU920T:rvrVersionA0:cvnTOSHIBA:ct10:cvrVersion1.0:
  dmi.product.name: SATELLITE U920T
  dmi.product.version: PSUL1E-00U00HDU
  dmi.sys.vendor: TOSHIBA

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1560420/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1568310] Re: BQ E4.5 (OTA-10): gallery-app tries to index thousands of files on the SD card, but should not

2016-04-12 Thread Arthur Mello
** Changed in: canonical-devices-system-image
   Status: Confirmed => In Progress

** Changed in: gallery-app (Ubuntu)
   Status: Confirmed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gallery-app in Ubuntu.
https://bugs.launchpad.net/bugs/1568310

Title:
  BQ E4.5 (OTA-10): gallery-app tries to index thousands of files on the
  SD card, but should not

Status in Canonical System Image:
  In Progress
Status in gallery-app package in Ubuntu:
  In Progress

Bug description:

  The app gallery did not started anymore in my BQ E4.5, it was just
  sitting there and loading  for hours without coming to an end. I 
investigated
  it with strace and lsof and saw the app was searching through all the
  100.000 files (OSM tiles) on my SD card. While the SD card managment app
  supports placing a file there with the name '.nomedia' so the SD Card
  app ignores all files and dirs below:

  $ ls -la /media/phablet/4BDC-71D9/Maps
  total 840900
  drwxr-xr-x  3 phablet phablet  4096 Apr  7 09:25 .
  drwxr-xr-x  8 phablet phablet  4096 Jan  1  1970 ..
  -rw-r--r--  1 phablet phablet 0 Apr  4 14:58 .nomedia
  drwxr-xr-x 19 phablet phablet  4096 Apr  4 14:08 osm

  $ find /media/phablet/4BDC-71D9/Maps/osm | wc -l
  129236

  it seems that the gallery-app does not honor this file '.nomedia'.

  Any idea for a workaround in the gallery-app?

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1568310/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1568310] Re: BQ E4.5 (OTA-10): gallery-app tries to index thousands of files on the SD card, but should not

2016-04-12 Thread Launchpad Bug Tracker
** Branch linked: lp:~artmello/gallery-app/gallery-app-fix_1568310

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gallery-app in Ubuntu.
https://bugs.launchpad.net/bugs/1568310

Title:
  BQ E4.5 (OTA-10): gallery-app tries to index thousands of files on the
  SD card, but should not

Status in Canonical System Image:
  Confirmed
Status in gallery-app package in Ubuntu:
  Confirmed

Bug description:

  The app gallery did not started anymore in my BQ E4.5, it was just
  sitting there and loading  for hours without coming to an end. I 
investigated
  it with strace and lsof and saw the app was searching through all the
  100.000 files (OSM tiles) on my SD card. While the SD card managment app
  supports placing a file there with the name '.nomedia' so the SD Card
  app ignores all files and dirs below:

  $ ls -la /media/phablet/4BDC-71D9/Maps
  total 840900
  drwxr-xr-x  3 phablet phablet  4096 Apr  7 09:25 .
  drwxr-xr-x  8 phablet phablet  4096 Jan  1  1970 ..
  -rw-r--r--  1 phablet phablet 0 Apr  4 14:58 .nomedia
  drwxr-xr-x 19 phablet phablet  4096 Apr  4 14:08 osm

  $ find /media/phablet/4BDC-71D9/Maps/osm | wc -l
  129236

  it seems that the gallery-app does not honor this file '.nomedia'.

  Any idea for a workaround in the gallery-app?

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1568310/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1512002] Re: Annoying dialog "Authentication is required to change your own user data"

2016-04-12 Thread Bug Watch Updater
Launchpad has imported 1 comments from the remote bug at
https://bugs.freedesktop.org/show_bug.cgi?id=94895.

If you reply to an imported comment from within Launchpad, your comment
will be sent to the remote bug automatically. Read more about
Launchpad's inter-bugtracker facilities at
https://help.launchpad.net/InterBugTracking.


On 2016-04-11T17:14:30+00:00 Alkis Georgopoulos wrote:

Currently, data/org.freedesktop.accounts.policy.in specifies that a user
must be active in order to set his own data.

X2go, LTSP etc users are considered remote, i.e. inactive, and they are not 
allowed to change their own user data without authentication.
This results in a different behaviour when they e.g. try to change their 
language in the `gnome-control-center user-accounts`.

Furthermore, in some distributions it has been observed that change-own-
user-data authentication dialogs popup when changing VTs or when
switching users or sometimes even with just gnome-screensaver, possibly
because the distribution is trying to update the user data (e.g. to
notify the UI that he has new mails) when the user's vt was not active.

Therefore I'd like to ask you to consider setting
yes for change-own-user-data.

Ubuntu bug report:
https://bugs.launchpad.net/ubuntu/+source/accountsservice/+bug/1512002

Thanks!

Reply at:
https://bugs.launchpad.net/ubuntu/+source/policykit-1-gnome/+bug/1512002/comments/37


** Changed in: accountsservice
   Status: Unknown => Confirmed

** Changed in: accountsservice
   Importance: Unknown => Medium

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to accountsservice in Ubuntu.
https://bugs.launchpad.net/bugs/1512002

Title:
  Annoying dialog "Authentication is required to change your own user
  data"

Status in accountsservice:
  Confirmed
Status in accountsservice package in Ubuntu:
  Confirmed
Status in indicator-messages package in Ubuntu:
  Confirmed
Status in policykit-1-gnome package in Ubuntu:
  Confirmed

Bug description:
  Every few days a dialog pops up saying "Authentication is required to change 
your own user data" with an entry field for a password. If I type my user's 
password the dialog will reappear with an empty entry field. If I click on the 
cross to close the window many times it will be gone, but reappear a few days 
later. I don't know what this window is for and it makes no difference whether 
I close it or leave it. I don't use the gnome keyring.
  This started with Ubuntu 15.04 or maybe with an earlier release, and is still 
there in Ubuntu 15.10, also on machines I did a fresh install.

To manage notifications about this bug go to:
https://bugs.launchpad.net/accountsservice/+bug/1512002/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1528886] Re: Checking for updates never finishes

2016-04-12 Thread royden
Yes, now working again on wifi

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtbase-opensource-src in
Ubuntu.
https://bugs.launchpad.net/bugs/1528886

Title:
  Checking for updates never finishes

Status in Canonical System Image:
  Fix Released
Status in Today Scope:
  Invalid
Status in connectivity-api package in Ubuntu:
  Invalid
Status in qtbase-opensource-src package in Ubuntu:
  Fix Released
Status in ubuntu-system-settings package in Ubuntu:
  Fix Released
Status in qtbase-opensource-src package in Ubuntu RTM:
  Fix Released

Bug description:
  Tested on krillin with SIM and data enabled
  OTA 8.5 stable channel
  Also Arale on proposed 201

  Ensure phone has latest updates installed
  Check for update on Wifi and it reports software is up to date
  Turn off wifi and go to updates panel again
  Note that the indicator shows and active 3G data connection
  Checking for updates ... is shown and I see one of 3 results

  In all cases the log reports:

  2015-12-23 15:34:19,394 - WARNING - void
  UpdatePlugin::Network::checkForNewVersions(QHash&)

  2015-12-23 15:44:56,007 - WARNING - Reply is not valid.

  In some instances I see this but not all, this is logged when the phone locks 
and resumes
  2015-12-23 15:36:18,625 - WARNING - QObject::killTimer: Timers cannot be 
stopped from another thread
  2015-12-23 15:36:18,625 - WARNING - QObject::startTimer: Timers cannot be 
started from another thread

  One time I saw
  Connect to the Internet ...

  In anther case it displayed this after around 5 mins when I did not allow the 
phone to turn off:
  Software is up to date

  In all other cases Checking for updates never finished

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1528886/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


  1   2   3   4   5   >